<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.configurationwizard.*" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="java.util.*" %>

<%@ include file="/includes/00_page_header.jspf" %> 

<% 
    // $Id: autoconfRobotResults.jsp,v 1.3 2015/09/28 08:41:09 marcos Exp $
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
    
    // Retrieve the information to be shown
    LTable ltOperationsList = oC.getLt("CONFWIZ_PageContents");
    boolean bSucceded = oC.getS("CONFWIZ_OperationStatus").equalsIgnoreCase("OK");
    LTable ltResult = oC.getLt("CONFWIZ_ResultPageContents");
%>


<script defer>          
    function onLoadApplicativo() {
            // transazione standard
            document.forms[0].<%= K.REQ_VERBO %>.value = "";
            document.forms[0].<%= K.REQ_PARAM %>.value = "";
    }
</script>

<center>
    Operation result: <%= (bSucceded == true)? "SUCCESS":"FAIL"%>
    <p/>
</center>

<% if (ltOperationsList.numRows() != 0) { %>
    <center>
        Below is the list of completed operations and their result status.
        <p/>
    </center>

    <center>
        <% 
            SmartTable operationsList = new SmartTable("CONFWIZ_UserAnswer", ltOperationsList);

            operationsList.addColumn( oDec.k("td_autoconf_wz_summary_id"), ConfWizardHandler.TBLRES_SUMMARY_ID, "100" );
            operationsList.addColumn( oDec.k("td_autoconf_wz_summary_name"), ConfWizardHandler.TBLRES_SUMMARY_NAME, "100" );
            operationsList.addColumn( oDec.k("td_autoconf_wz_summary_type"), ConfWizardHandler.TBLRES_SUMMARY_TYPE, "100" );        
            operationsList.addColumn( oDec.k("td_autoconf_wz_servername"), ConfWizardHandler.TBLRES_SUMMARY_SERVER, "100");
            operationsList.addColumn( oDec.k("td_autoconf_wz_summary_operation"), ConfWizardHandler.TBLRES_SUMMARY_OPERATION, "100" );
            operationsList.addColumn( oDec.k("td_autoconf_wz_summary_opresult"), ConfWizardHandler.TBLRES_SUMMARY_OPRESULT, "150" );

            out.println(operationsList.render());
        %>
    </center>
<% } %>

<center>
    <% if (!bSucceded) { 

        SmartTable T = new SmartTable("x", ltResult);
        T.setDecoder(oDec);
        T.addColumn("", 0, "300");
        out.println(T.render());

    } %>
</center>

<%@ include file="/includes/00_page_footer.jspf" %>
  
<%
// $Log: autoconfRobotResults.jsp,v $
// Revision 1.3  2015/09/28 08:41:09  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.1  2009/03/31 08:39:37  marcos
// #276 - New configuration wizard - Unattended modality started by an external HTTP request was implemented.
//
%>
