<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.agawAlarmDecor" %>
<%@ page import="it.loway.app.queuemetrics.agaw.BO.AgentReader" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "agaw_logon",  "agaw_logon.txt",  0, 1 );
%>
<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<div class="qm-form-body-wide">
<center>
<h1>Agents Awareness Report</h1>

<% String reportType = oC.getS("TPF_XPAR1");
if ( reportType.compareToIgnoreCase("location") == 0 ) { %>
        <%= oH.combo( "AGAWREP_FilterForLocation", true, "", oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %>
<div class="uk-margin"><%= oH.button( "View", true, "", "qm_agaw_reportview", reportType ) %></div>
<% } %>
</center>

<hr>


<h2>Queue statistics</h2>
<%
    // TABELLA SUPERIORE: CODA
    SmartTable T = new SmartTable( "x", oC.getLt( "AGAW_queue_ltDat" ) );
    T.setDecoder( oDec );

    T.addSortableColumn( "Queue",  AgentReader.AD_queue , "100", new queueNameDecor( oC.getLt( "DATI_code" ) ), SmartTable.SORT_TEXT_CI);

    T.addSortableColumn( "N. Wait",  AgentReader.AD_q_nwait, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_INT_DX, AgentReader.AD_q_nwait_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Max Wait",  AgentReader.AD_q_max_wait, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_q_max_wait_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "ACL",  AgentReader.AD_q_acl, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_q_acl_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "SPH",  AgentReader.AD_q_sph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_q_sph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "QCPH",  AgentReader.AD_q_qcph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_q_qcph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "CPH",  AgentReader.AD_q_cph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_q_cph_A), SmartTable.SORT_TEXT_CI);

    T.addSortableColumn( "QCONV%",  AgentReader.AD_q_qconv_p, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, AgentReader.AD_q_qconv_p_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "CONV%",  AgentReader.AD_q_conv_p, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, AgentReader.AD_q_conv_p_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Avg Wait",  AgentReader.AD_q_avgwait, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_q_avgwait_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Wrap",  AgentReader.AD_q_wrap, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_q_wrap_A), SmartTable.SORT_TEXT_CI);

    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>
    <h2>Agents statistics</h2>
<%
    // TABELLA INFERIORE: AGENTE
    T = new SmartTable( "x", oC.getLt( "AGAW_age_ltDat" ) );
    T.setDecoder( oDec );

    T.addSortableColumn( "Agent", AgentReader.AD_agent, "100", SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Queue",  AgentReader.AD_queue , "100", new queueNameDecor( oC.getLt( "DATI_code" ) ), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Status",  AgentReader.AD_status, "100", new decoderDecor( oDec, "agaw_logon"), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "PCode",  AgentReader.AD_pcode, "100", SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Last",  AgentReader.AD_lst_log , "100", new reformatDateDecor( reformatDateDecor.D_SHORT, U.DATA_MYSQL), SmartTable.SORT_TEXT_CI);


    T.addSortableColumn( "ACL",  AgentReader.AD_a_acl, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_a_acl_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "SPH",  AgentReader.AD_a_sph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_a_sph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "QCPH",  AgentReader.AD_a_qcph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_a_qcph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "CPH",  AgentReader.AD_a_cph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_a_cph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "N. Calls",  AgentReader.AD_a_ncalls, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_INT_DX, AgentReader.AD_a_ncalls_A), SmartTable.SORT_TEXT_CI);

    T.addSortableColumn( "QCONV%",  AgentReader.AD_a_qconv_p, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, AgentReader.AD_a_qconv_p), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "CONV%",  AgentReader.AD_a_conv_p, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, AgentReader.AD_a_conv_p_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Wrap",  AgentReader.AD_a_wrap, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_a_wrap_A), SmartTable.SORT_TEXT_CI);

    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>
</div>
<%@ include file="/includes/00_page_footer.jspf" %>
<%
// $Log: agaw_reportview.jsp,v $
// Revision 1.4  2015/09/28 08:41:09  marcos
// jsp/jspf refactoring.
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2008/12/02 10:46:04  lenz
// Typo
//
// Revision 1.1  2008/12/01 09:50:32  marcos
// #522 Added a new AGAW report visible for superusers having the AGAW_REP key set.
//
%>
