<%@page import="ch.loway.tpf.dbcreator.HttpTools"%>
<%@ page language="java" %>
<%@page pageEncoding="UTF-8"%>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.*" %>
<%@ page import="ch.loway.tpf.dbcreator.*" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.createDb.*" %>
<%@ include file="/includes/00_page_header_context.jspf" %>

<%
    // $Id: create_db.jsp,v 1.2 2015/09/28 08:41:15 marcos Exp $

    String stW = "";
    String op = HttpTools.read( request, "op");
    String rootAddress = HttpTools.read( request, "CDB_address", oC );
    String rootUser = HttpTools.read( request, "CDB_rootuser", oC );
    String rootPass = HttpTools.read( request, "CDB_rootpass", oC );

    String qmDb = HttpTools.read( request, "CDB_qmDb", oC );
    String qmUser = HttpTools.read( request, "CDB_qmUser", oC );
    String qmPass = HttpTools.read( request, "CDB_qmPass", oC );

    String dbDump = application.getRealPath("/WEB-INF/README/queuemetrics_sample.sql");

    UpdateSuite suite = new UpdateSuite();
    suite.addStep(
            (new TestMasterPassword())
            .setJdbc( JdbcUri.build(rootAddress, "mysql", rootUser, rootPass) )
    );
    suite.addStep(
            (new CreateDatabase( qmDb ))
            .setJdbc( JdbcUri.build(rootAddress, "mysql", rootUser, rootPass) )
    );
    suite.addStep(
            (new CreateLocalUser( qmDb, qmUser, qmPass ))
            .setJdbc( JdbcUri.build(rootAddress, "mysql", rootUser, rootPass) )
    );
    suite.addStep(
            (new UploadDatabase(dbDump))
            .setJdbc( JdbcUri.build(rootAddress, qmDb, qmUser, qmPass) )
    );

    if ( op.equalsIgnoreCase("run") ) {
        suite.run();

    } else {
        if ( rootAddress.length() == 0 ) { oC.putS( "CDB_address", "127.0.0.1" ); };
        if ( rootUser.length() == 0 ) { oC.putS( "CDB_rootuser", "root" ); };

        if ( qmDb.length() == 0 ) { oC.putS( "CDB_qmDb", "queuemetrics" ); };
        if ( qmUser.length() == 0 ) { oC.putS( "CDB_qmUser", "queuemetrics" ); };
        if ( qmPass.length() == 0 ) { oC.putS( "CDB_qmPass", "javadude" ); };
    }

%>


<%@ include file="dbupdateHeader.jsp" %>

<div id="bCorpo">

<style>
.db-install-result {
  display: flex;
  flex-flow: wrap;
  justify-content:space-between;
  flex-flow: column;
}

.db-install-result h1 {
  margin: 0;
}

.db-install-result .buttonandtext {
  text-align: center;
}

.buttonandtext .db-installed {
  font-weight: bold;
}
</style>

<form method="PUT" action="create_db.jsp">
<div class="qm-form-body-wide" uk-grid>
  <div class="uk-width-4-5@s">

  <%if ( op.equalsIgnoreCase("run") ) { %>
    <div class="db-install-result">
      <div>
        <h1>Result</h1>
      </div>

      <div class="buttonandtext">
        <% if ( suite.wentWell() ) { %>
          <div class="db-installed"> Database installed successfully! <br>
            <a href="./qm_start.do" class="uk-button uk-button-default uk-button-primary">Click here to start <%=CS.QUEUEMETRICS%></a>
          </div>
        <% } else {%>
          <input type="submit">
        <% }; %>
      </div>

    </div>
    <hr>
    <div class="table-wrapper-db-install">
      <%=suite.toHtml() %>
    </div>

  <% } %>

    <%// suite.toHtml() %>

  <h1>Create <%=CS.QUEUEMETRICS%> database</h1>
  <div class="uk-margin"> This procedure may delete all data if you already have an existing <%=CS.QUEUEMETRICS%> database.</div>
  <div class="uk-margin uk-text-danger uk-text-center"><b>If you already have a database, do not run this procedure.</b></div>
  <div class="uk-margin"> Parameters that are not editable and come from the web.xml file. If you need to change them, go edit the web.xml file.</div>

  <hr>


  <fieldset class="qm-fieldset">
  <legend>MySQL root information</legend>
    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="CDB_address">MySQL database address</label>
      <div><%= oH.textBox( "CDB_address",  false, stW, 100 ) %></div>

      <label for="CDB_rootuser">MySQL root user</label>
      <div><%= oH.textBox( "CDB_rootuser",  true, stW, 100 ) %></div>

      <label for="CDB_rootpass">MySQL root password </label>
      <div><%= oH.textBox( "CDB_rootpass",  true, stW, 100 ) %> </div>
    </div>
    </fieldset>

    <fieldset class="qm-fieldset">
      <legend><%=CS.QUEUEMETRICS%> database information</legend>
      <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
        <label for="CDB_qmDb"><%=CS.QUEUEMETRICS%> database</label>
        <div><%= oH.textBox( "CDB_qmDb",  false, stW, 100 ) %> </div>

        <label for="CDB_qmUser"><%=CS.QUEUEMETRICS%> database user</label>
        <div><%= oH.textBox( "CDB_qmUser",  false, stW, 100 ) %></div>

        <label for="CDB_qmPass"><%=CS.QUEUEMETRICS%> database password</label>
        <div><%= oH.textBox( "CDB_qmPass",  false, stW, 100 ) %></div>

        <div class="uk-text-center uk-width-1-1 uk-margin-medium-top">
          <input type="hidden" name="op" value="run">
            <% if ( suite.wentWell() ) { %>

            <div > Database installed successfully! <br>

              <a href="./qm_start.do" class="uk-button uk-button-default uk-button-primary">Click here to start <%=CS.QUEUEMETRICS%></a>
            </div>
            <% } else {%>
              <input type="submit">

            <% }; %>



        </div>
      </div>
    </fieldset>


<!--
  <hr>
  <%= suite.toHtml() %>
-->
  </div>

  <div class="uk-width-1-5@s">
    <h4>Diagnostic tools</h4>
    <ul>
        <li><a href="dbtest_viewconfig.do">View configuration</a></li>
        <li><a href="dbtest_ami_choose.do">AMI tester</a></li>
        <li><a href="dbtest_inspector.do">Live DB inspector</a></li>
    </ul>
    <hr>

    <b>Note:</b><br>
    Access to this page is supposed to be restricted. <p>
    You can turn off access to this page by setting <i>default.viewTechInfo=false</i> in
    the <i>configuration.properties</i> file.
  </div>
 </div>
 </form>
</div>

<%@ include file="dbupdateFooter.jsp" %>

<%
// $Log: create_db.jsp,v $
// Revision 1.2  2015/09/28 08:41:15  marcos
// jsp/jspf refactoring.
//
// Revision 1.1  2012/03/26 10:16:58  lenz-mobile
// #1283 - Create DB from web GUI
//
// Revision 1.11  2010/11/06 16:30:47  lenz-mobile
// Bug #1195 - Show current config
//
// Revision 1.10  2009/04/02 11:05:42  marcos
// #667 - Added a warning string on the db updater wizard when started by a QM exception
//
// Revision 1.9  2009/03/03 15:38:32  marcos
// #375: dbTest refactor
//
// Revision 1.8  2008/10/21 15:23:44  lenz
// Bug #411: Spengo il DBtest via configurazione.
//
// Revision 1.7  2007/05/17 15:32:46  lenz
// Bug #114: ancora links a queuemetrics.loway.it
//
// Revision 1.6  2006/11/10 11:32:38  lenz
// Modo UTF-8
//
// Revision 1.5  2006/10/07 17:10:26  lenz
// Corretto spelling.
//
// Revision 1.4  2006/10/07 15:58:57  lenz
// Merge 1.3
//
// Revision 1.3.4.1  2006/09/26 15:46:03  lenz
// Aggiunto link per update.
//
// Revision 1.3  2006/01/09 16:21:56  lenz
// Aggiunto messaggio per restart
//
// Revision 1.2  2006/01/09 15:45:19  lenz
// Tester per connessione JDBC
//
//
//
%>
