<%@ page language="java" %>
<%@page pageEncoding="UTF-8"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.SafeHtmlDecor" %>
<%@ include file="/includes/00_page_header.jspf" %>

<div class="qm-form-body L-padding-32">
<h1>AMI tester</h1>


  <ul uk-accordion="multiple: true">
      <li class="uk-open">
          <a class="uk-accordion-title" href="#">AMI test status</a>
          <div class="uk-accordion-content">

            <%
                SmartTable T = new SmartTable("x1", oC.getLt("DBTEST_ami_results") );
                T.setDecoder(oDec);
                T.addColumn("Status", 0, "50", new SafeHtmlDecor());
                T.addColumn("&nbsp;", 1, "600", new SafeHtmlDecor());
                T.withTableClass( "qm-table qm-table-withborder uk-table uk-table-small uk-width-expand qm-dbtest_ami_results" );
                out.println(T.render());
            %>
          </div>
      </li>
      <li>
          <a class="uk-accordion-title" href="#">Configured Dialplan</a>
          <div class="uk-accordion-content">
          <%
                  T = new SmartTable("x2", oC.getLt("DBTEST_ami_dialplan") );
                  T.setDecoder(oDec);
                  T.addColumn("Name", 0, "250", new SafeHtmlDecor());
                  T.addColumn("Value", 1, "300", new SafeHtmlDecor());
                  T.withTableClass( "qm-table qm-table-withborder uk-table uk-table-small uk-width-expand" );
                  out.println(T.render());
          %>
          </div>
      </li>
      <li>
          <a class="uk-accordion-title" href="#">Configured Queues</a>
          <div class="uk-accordion-content">
            <%
                T = new SmartTable("x3", oC.getLt("DBTEST_ami_queues") );
                T.setDecoder(oDec);
                T.addColumn("Queue", 2, "150", new SafeHtmlDecor());
                T.addColumn("Value", 1, "500", new SafeHtmlDecor());
                T.withTableClass( "qm-table qm-table-withborder uk-table uk-table-small uk-width-expand" );
                out.println(T.render());
            %>
          </div>
      </li>
      <li>
          <a class="uk-accordion-title" href="#">Configured Agents</a>
          <div class="uk-accordion-content">
            <%
                T = new SmartTable("x3", oC.getLt("DBTEST_ami_agents") );
                T.setDecoder(oDec);
                T.addColumn("Queue", 2, "150", new SafeHtmlDecor());
                T.addColumn("Value", 1, "500", new SafeHtmlDecor());
                T.withTableClass( "qm-table qm-table-withborder uk-table uk-table-small uk-width-expand" );
                out.println(T.render());
            %>
          </div>
      </li>
  </ul>


</div>

<%-- old
  <div id="accordion">

    <h3><a href="#">AMI test status</a></h3>
    <div>
    <%
        SmartTable T = new SmartTable("x1", oC.getLt("DBTEST_ami_results") );
        T.setDecoder(oDec);
        T.addColumn("Status", 0, "50", new SafeHtmlDecor());
        T.addColumn("&nbsp;", 1, "600", new SafeHtmlDecor());
        out.println(T.render());
    %>
    </div>

    <h3><a href="#">Configured Dialplan</a></h3>
    <div>
    <%
        T = new SmartTable("x2", oC.getLt("DBTEST_ami_dialplan") );
        T.setDecoder(oDec);
        T.addColumn("Name", 0, "250", new SafeHtmlDecor());
        T.addColumn("Value", 1, "300", new SafeHtmlDecor());
        out.println(T.render());
    %>
    </div>

    <h3><a href="#">Configured Queues</a></h3>
    <div>
    <%
        T = new SmartTable("x3", oC.getLt("DBTEST_ami_queues") );
        T.setDecoder(oDec);
        T.addColumn("Queue", 2, "150", new SafeHtmlDecor());
        T.addColumn("Value", 1, "500", new SafeHtmlDecor());
        out.println(T.render());
    %>
    </div>
    <h3><a href="#">Configured Agents</a></h3>
    <div>
    <%
        T = new SmartTable("x3", oC.getLt("DBTEST_ami_agents") );
        T.setDecoder(oDec);
        T.addColumn("Queue", 2, "150", new SafeHtmlDecor());
        T.addColumn("Value", 1, "500", new SafeHtmlDecor());
        out.println(T.render());
    %>
    </div>
</div>



<script>
    $(function() {
        $( "#accordion" ).accordion({
            autoHeight: false,
            navigation: true,
            collapsible: true
	});
    });
</script>
--%>






<%@ include file="/includes/00_page_footer.jspf" %>
