<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.SafeHtmlDecor" %>
<%@ include file="/includes/00_page_header.jspf" %>

<div class="qm-form-body L-padding-32">
  <div class="L-column L-gap-24">

    <h1>System configuration</h1>
    
    <ul id="tabs-menu" class="uk-margin-top" uk-tab data-uk-tab="{connect:'#tabs'}" uk-switcher="animation: uk-animation-fade">
      <li><a  href=""><%=CS.QUEUEMETRICS%> properties</a></li>
      <li><a  href="">JVM properties</a></li>
      <li><a  href="">Current memory properties</a></li>
      <li><a  href="">HTTP Configuration</a></li>
    </ul>
    
    <ul id="tabs" class="uk-switcher">
      <!-- each li = 1 tab -->
      <!-- tab 1 -->
      <li>
        <%SmartTable T = new SmartTable("x1", oC.getLt("DBTEST_configProps") );
        T.setDecoder(oDec);
        T.addColumn("Name", 0, "250");
        T.addColumn("Value", 1, "450");
        T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
        out.println(T.render());
        %>
      </li>
      
      <!-- tab 2 -->
      <li>
        <%
        T = new SmartTable("x2", oC.getLt("DBTEST_sysJava") );
        T.setDecoder(oDec);
        T.addColumn("Name", 0, "250");
        T.addColumn("Value", 1, "300");
        T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
        out.println(T.render());
        %>
      </li>
      
      <!-- tab 3 -->
      <li>
        <%
        T = new SmartTable("x3", oC.getLt("DBTEST_ramJava") );
        T.setDecoder(oDec);
        T.addColumn("Name", 0, "250");
        T.addColumn("Value", 1, "300");
        T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
        out.println(T.render());
        %>
      </li>
      
      <!-- tab 4 -->
      <li>
        <%
        T = new SmartTable("x3", oC.getLt("DBTEST_http") );
        T.setDecoder(oDec);
        T.addColumn("Name", 0, "250", new SafeHtmlDecor());
        T.addColumn("Value", 1, "300", new SafeHtmlDecor());
        T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
        out.println(T.render());
        %>
      </li>
    </ul>
  </div>
</div>
  
  <%@ include file="/includes/00_page_footer.jspf" %>
  