<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.IconLib" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="it.loway.app.queuemetrics.payroll.payrollNotesEngine" %>
<%@ page import="java.text.*" %>
<%@ page import="java.util.Date" %>
<%@ page import="it.loway.app.queuemetrics.html.JSON" %>

<%

    class commentDeleteDecorator implements TpfCellDecoratorInterface {

        LDecoder oDec = null;

        public commentDeleteDecorator(LDecoder oDec) {
            this.oDec = oDec;
        }

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stCommentID = lt.getS(r, c );
            String stID = "delCmtCell";

            String stText = IconLib.clickIcon("deleteComment(" + stCommentID + ")", IconLib.I_EDITOR_DELETE, oDec.k("prl_delcomment"));

            return  "  <td class='stData' " + stID + " style='width: " + width + ";'>" + stText + "</td>\n";
        }
    }


    // Retrieve notes
    LTable ltUnfilteredComments = oC.getLt( "PAYROLL_SessionNotes");
    LTable ltFilteredComments = payrollNotesEngine.filterAgentNotes(ltUnfilteredComments, oC.getS("PAYROLL_dtInizio"), oC.getS("PAYROLL_dtFine"));
    ltUnfilteredComments = payrollNotesEngine.removeSimilarComments(ltFilteredComments, ltUnfilteredComments);

    String stFilteredComments = "";
    if (ltFilteredComments.numRows() != 0) {
        SmartTable Comments = new SmartTable( "x", ltFilteredComments );
        Comments.setDecoder( oDec );
        Comments.addColumn( oDec.k("prl_note_date"), payrollNotesEngine.PRL_NOTE_CREATION_TIMESTAMP, "120px" );
        Comments.addColumn( oDec.k("prl_note_user"), payrollNotesEngine.PRL_NOTE_CREATION_USER_NAME, "100px" );
        Comments.addColumn( oDec.k("prl_note_feedback"), payrollNotesEngine.PRL_NOTE_VALUE, "500px" );
        if (oU.hasKey("PAYROLL_REMOVENOTE"))
            Comments.addColumn( "&nbsp;", payrollNotesEngine.PRL_NOTE_ID_COL, "30px", new commentDeleteDecorator(oDec) );

        Comments.withTableClass( "qm-table  uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
        stFilteredComments = Comments.render();
    }

    String stUnfilteredComments = "";
    if (ltUnfilteredComments.numRows() != 0) {
        SmartTable Comments = new SmartTable( "x", ltUnfilteredComments );
        Comments.setDecoder( oDec );
        Comments.addColumn( oDec.k("prl_note_date"), payrollNotesEngine.PRL_NOTE_CREATION_TIMESTAMP, "120px" );
        Comments.addColumn( oDec.k("prl_note_user"), payrollNotesEngine.PRL_NOTE_CREATION_USER_NAME, "100px" );
        Comments.addColumn( oDec.k("prl_note_feedback"), payrollNotesEngine.PRL_NOTE_VALUE, "500px" );
        if (oU.hasKey("PAYROLL_REMOVENOTE"))
            Comments.addColumn( "&nbsp;", payrollNotesEngine.PRL_NOTE_ID_COL, "30px", new commentDeleteDecorator(oDec) );

        Comments.withTableClass( "qm-table  uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
        stUnfilteredComments = Comments.render();
    }
%>

{
    "filteredcomments" : <%= JSON.serialize(stFilteredComments) %>,
    "unfilteredcomments" : <%= JSON.serialize(stUnfilteredComments) %>
}
