<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ page import="it.loway.app.queuemetrics.payroll.*" %>
<%@ page import="it.loway.app.queuemetrics.payroll.writers.punchWriterFactory" %>

<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    //oDec.load( "statusCalls", "status_calls.txt", 0, 1);

    String stWidth = "";

    SmartTable T;

    LProperties lProps = FA.props(application);

    agentSessionsDO agSessDO = new agentSessionsDO();
    agSessDO.initJsp(oC, oDec, oU, lProps, stWebHere);

    LTable ltExporters = oC.getLt("PAYROLL_AvailableExporters");
%>

<script>
var page_sessionList = true;

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  
}
</script>


<script>
/*
function openPopUpDatiAg(agentCode) {
    startTransaction("qm_payroll_session_detail", agentCode);
}

function openNoteDetailsDialog(agentCode, goToAnchor) {
    $("#PAYROLL_AgentDetail_GoToAnchorNotes").val(goToAnchor);
    startTransaction("qm_payroll_session_detail", agentCode);
}
*/
</script>


<div class="qm-form-body">
  <h1><%= oDec.k("prl_searchpage_title") %></h1>
  <hr>

  <div class="qm-table-container">
  <%
      T = agSessDO.dispatch( agentSessionsDO.SESSIONS_PAGE_HEADER, "" );
      T.withCaption( oDec.k("prl_searchpage_title"));
      T.withTableClass( "qm-table uk-table-small" );
      //T.withHeaderClass( "uk-table-shrink" );
      //.withEvenOddClass( "CSSEVEN", "CSSODD" );
      out.println(T.render());
  %>
  </div>

  <div class="L-row L-gap-16 uk-margin-top">
    <div class=""><%=oDec.k("prl_export_as") + " " + ltExporters.getS(0, punchWriterFactory.FORMAT_LABEL) %></div>
    <div >
        <%= oH.button(oDec.k("prl_export_now"), true, "", "qm_payroll_export_all", ltExporters.getS(0, punchWriterFactory.FORMAT_CODE)) %>
    </div>
  </div>

<%
    T = agSessDO.dispatch( agentSessionsDO.SESSIONS_AGGREGATED, "" );
    T.withCaption( oDec.k("prl_session_available") );
    T.withTableClass( "qm-table  uk-margin-large-top uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>
<%= agSessDO.exportButtons( oDec,  agentSessionsDO.THIS_DO, agentSessionsDO.SESSIONS_AGGREGATED )  %>

<input type="hidden" id="PAYROLL_AgentDetail_GoToAnchorNotes" name="PAYROLL_AgentDetail_GoToAnchorNotes" value="0">
</div>

<!-- old stuff -->
<%--

<h1><%= oDec.k("prl_searchpage_title") %></h1>

<table border="0">
    <tr><td width="300px">
<%
    T = agSessDO.dispatch( agentSessionsDO.SESSIONS_PAGE_HEADER, "" );
    out.println(T.render());
%>
    </td>
    <td width="100px">&nbsp;</td>
    <td>
        <table border="0">
            <tr>
                <td width="100px"><%=oDec.k("prl_export_as") + " " + ltExporters.getS(0, punchWriterFactory.FORMAT_LABEL) %></td>
            </tr>
            <tr><td>&nbsp;</td></tr>
            <tr><td><%= oH.button(oDec.k("prl_export_now"), true, "", "qm_payroll_export_all", ltExporters.getS(0, punchWriterFactory.FORMAT_CODE)) %></td></tr>
        </table>
    </td>
    </tr>
</table>

<h2><%= oDec.k("prl_session_available") %></h2>


<%
    T = agSessDO.dispatch( agentSessionsDO.SESSIONS_AGGREGATED, "" );
    out.println(T.render());
%>
<%= agSessDO.exportButtons( oDec,  agentSessionsDO.THIS_DO, agentSessionsDO.SESSIONS_AGGREGATED )  %>

<input type="hidden" id="PAYROLL_AgentDetail_GoToAnchorNotes" name="PAYROLL_AgentDetail_GoToAnchorNotes" value="0">
--%>


<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: sessionsList.jsp,v $
// Revision 1.10  2015/09/28 08:41:17  marcos
// jsp/jspf refactoring.
//
// Revision 1.9  2014/07/30 10:03:35  marcos
// #2425: Exporting a payroll report in XLS (and other formats) causes an erro
//
// Revision 1.8  2013/10/29 13:01:54  lenz-mobile
// #1913 - Custom report pages
//
// Revision 1.7  2013/03/18 11:28:07  marcos
// IMM21 branch merge on trunk
//
// Revision 1.6.2.1  2012/09/18 10:13:18  marcos
// #1684:  Payroll: Payroll notes by date
//
// Revision 1.6  2012/05/09 12:39:50  marcos
// BasicDO is now always initialized with a valid LProperties.
//
// Revision 1.5  2011/12/19 09:48:04  lenz-mobile
// #1516 - Bottoni di export
//
// Revision 1.4  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.3  2011/01/14 11:16:45  marcos
// IMM14 merge on main trunk
//
// Revision 1.2.2.1  2010/10/05 08:23:46  marcos
// - Changes for Payroll release II
// - Bug 1169
//
// Revision 1.2  2010/01/13 09:37:11  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.1.2.2  2009/10/16 07:58:26  marcos
// Payroll: Added payroll.exportGenerator configuration key handler.
//
// Revision 1.1.2.1  2009/10/01 10:22:51  marcos
// #860, #861, #863: Payroll 1st commit with partial implementation
//
//
%>
