<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.QA.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.grader.GraderHtmlHelper" %>
<%@ page import="java.util.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.perftracker.PTKCallResultsContainer" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.perftracker.PTKAgentsResultsContainer" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );


    class yesNoDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int inCode = lt.getI(r, c );
                String stTesto = "";
                if ( inCode > 0 ) {
                    stTesto = "<img src='../img/icons_silk/cancel.png' width=16 height=16>";
                }
                return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
            }
    };

%>
<%@ include file="/includes/00_page_header.jspf" %>

<script>

    /**
    * Funzione AgentTimeline
    */

    window.agentTimeline = (a) => {
        openAgentTimeline(a)
    }

    function openAgentTimeline(agent) {
        var parameters = "agent="+agent;

        stUrl = "qm_at_load.do?"+parameters;
        _openPopUp(stUrl);
    }
    
    function openPopUpDatiAg(agentCode) {
        startTransaction('qm_qa_perftrack_agent_detail', agentCode);
    }

    function openCallDetailFiltered(agentCode) {
        startTransaction('qm_qa_perftrack_agent_detail_bytarget', agentCode);
    }

    function _openPopUp(stUrl) {
        eval("page" + " = window.open( stUrl, 'AT', '');");
    }

</script>

<div class="qm-form-body">
    <h1><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_perftrack_page") %>: <%= oDec.k("qa_perftrack_agentlist") %></h1>

    <%
        LTable ltHeader = oC.getLt("QA_PERFTRACK_reportHeader");
        SmartTable T = new SmartTable("x", ltHeader);
        T.setDecoder(oDec);

        T.addColumn("", 0, "150");
        T.addColumn("", 1, "150");
        T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand" );
        out.println(T.render());
    %>

    <%
        LTable ltAgents = FA.FilterSelectableAgents(oU, oC.getLt("DATI_agenti"));
        LTable lt = oC.getLt("QA_PERFTRACK_resultList");
        T = new SmartTable("x", lt);
        T.setDecoder(oDec);

        T.addSortableColumn(oDec.k("qa_perftrack_agent"), PTKCallResultsContainer.RESULT_AGENT_ID, "150", new agentiDecor(ltAgents).withLink(), SmartTable.SORT_TEXT_CI );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_score"), PTKCallResultsContainer.RESULT_SCORE_COL, "50", new QAPTKScoreDecor(PTKCallResultsContainer.RESULT_SCORECONTRIBLEGEND_COL).withLink(PTKCallResultsContainer.RESULT_AGENT_ID), SmartTable.SORT_NUMBER );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_sph"), PTKCallResultsContainer.RESULT_SPH_COL, "50", new FloatDecor(FloatDecor.MODE_NUM_1DEC), SmartTable.SORT_NUM_TEXT );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_qcph"), PTKCallResultsContainer.RESULT_QCPH_COL, "50", new FloatDecor(FloatDecor.MODE_NUM_1DEC), SmartTable.SORT_NUM_TEXT );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_cph"), PTKCallResultsContainer.RESULT_CPH_COL, "50", new FloatDecor(FloatDecor.MODE_NUM_1DEC), SmartTable.SORT_NUM_TEXT );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_sales"), PTKCallResultsContainer.RESULT_SALES_COL, "50", SmartTable.SORT_NUMBER );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_qc"), PTKCallResultsContainer.RESULT_QC_COL, "50", SmartTable.SORT_NUMBER );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_cont"), PTKCallResultsContainer.RESULT_CONT_COL, "50", SmartTable.SORT_NUMBER );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_conv"), PTKCallResultsContainer.RESULT_CONV_COL, "50", new FloatDecor(FloatDecor.MODE_NUM_1DEC), SmartTable.SORT_NUM_TEXT );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_qconv"), PTKCallResultsContainer.RESULT_QCONV_COL, "50", new FloatDecor(FloatDecor.MODE_NUM_1DEC), SmartTable.SORT_NUM_TEXT );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_ncalls"), PTKCallResultsContainer.RESULT_NCALLS_COL, "50", SmartTable.SORT_NUMBER );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_clength"), PTKCallResultsContainer.RESULT_CALLLENGTH_COL, "50", new secondDecor(), SmartTable.SORT_NUM_TEXT );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_forms"), PTKCallResultsContainer.RESULT_FORMS_COL, "50", SmartTable.SORT_NUMBER );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_avgscore"), PTKCallResultsContainer.RESULT_AVGSCORE_COL, "50", new FloatDecor(FloatDecor.MODE_NUM_1DEC), SmartTable.SORT_NUM_TEXT );
        T.addSortableColumn(oDec.k("qa_perftrack_tgt_flunked"), PTKCallResultsContainer.RESULT_FLUNKED_COL, "50", SmartTable.SORT_NUMBER );
        T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
        out.println(T.render());
    %>

    <%
        LTable ltDeletedAgentList = oC.getLt("QA_PERFTRACK_deletedAgents");
        if (ltDeletedAgentList.numRows() != 0) {

            out.println("<br>" + oDec.k("qa_perftrack_deleted_agents") + "<br><p>");
            T = new SmartTable("x", ltDeletedAgentList);
            T.setDecoder(oDec);

            T.addColumn(oDec.k("qa_perftrack_agent"), PTKAgentsResultsContainer.DELETED_AGENTCODE_COL, "150", new agentiDecor(ltAgents));
            T.addColumn(oDec.k("qa_perftrack_daysingroup"), PTKAgentsResultsContainer.DELETED_MINDAYSINGROUP_COL, "100", new yesNoDecor());
            T.addColumn(oDec.k("qa_perftrack_mincalls"), PTKAgentsResultsContainer.DELETED_NOMORECALLS, "100", new yesNoDecor());
            T.addColumn(oDec.k("qa_perftrack_minscore"), PTKAgentsResultsContainer.DELETED_TOOLOWSCORE, "100", new yesNoDecor());
            T.withTableClass( "qm-table uk-table uk-table-small uk-width-expand qm-table-withborder" );
            out.println(T.render());
        }
    %>
</div>
<%@ include file="/includes/00_page_footer.jspf" %>
