<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.grader.GraderHtmlHelper" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    String stWidth = "";
    String stTableColWidth = "";
    String stControlsWidth = "";
%>

<script>
var page_qaPerfTrackerSearch = true;
var ruleToQueue = <%= oC.getS("QAR_rule2queue_link") %>
var ruleToForm = <%= oC.getS("QAR_rule2form_link") %>
var whoami = <%= oU.getUserId() %>;

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

        // Initialize JQuery UI elements
        //$("#QA_PERFTRACK_dtFrom_date").datepicker( { dateFormat: 'yy-mm-dd' } );
        //$("#QA_PERFTRACK_dtTo_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}

</script>
<div class="qm-form-body L-padding-32">
  <h1><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_perftrack_page") %></h1>
  <div class="qm-perfTracker-blocks" id="qm-perfTracker">

    <fieldset class="qm-fieldset">
      <legend><%= oDec.k("qa_perftrack_scoretargets") %></legend>
      <hr>
      <div class="qm-form-grid-3  uk-child-width-1-3@s uk-flex uk-flex-middle" uk-grid >
      
      <label class="uk-text-right@s" for="QA_PERFTRACK_ruleId"><%= oDec.k("qa_perftrack_scorerule") + ":" %></label>
      <div><%= oH.combo( "QA_PERFTRACK_ruleId", true, stControlsWidth, oC.getLt( "QAR_ltRulesSelect" ), 0, 1, "" ) %></div>
      
      <label class="uk-text-right@s" for="QA_PERFTRACK_mincalls" ><%= oDec.k("qa_perftrack_mincalls") + ":" %></label>
      <div><%= oH.textBox( "QA_PERFTRACK_mincalls", true, stControlsWidth, 10 ) %></div>
      
      <label class="uk-text-right@s" for="QA_PERFTRACK_minscore" ><%= oDec.k("qa_perftrack_minscore") + ":" %></label>
      <div><%= oH.textBox( "QA_PERFTRACK_minscore", true, stControlsWidth, 10 ) %></div>
      
      <label class="uk-text-right@s" for="QA_PERFTRACK_daysingroup"><%= oDec.k("qa_perftrack_daysingroup") + ":" %></label>
      <div><%= oH.textBox( "QA_PERFTRACK_daysingroup", true, stControlsWidth, 10 ) %></div>
      
      <label class="uk-text-right@s" for="QA_PERFTRACK_override_rule_link"><%= oDec.k("qa_perftrack_override_rule_link") + ":" %></label>
      <div><%= oH.checkBox("QA_PERFTRACK_override_rule_link", "50") %></div>
      <div>
    </fieldset>
      
      <fieldset class="qm-fieldset">
        <legend><%= oDec.k("qa_perftrack_agentscoring") %></legend>
        <hr>
        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
          <label class="uk-text-right@s" for="CODA_input"><%= oDec.k("qa_perftrack_queues") + ":" %></label>
          <div><%= oH.comboX( "CODA_input", true, stControlsWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %></div>

          <label class="uk-text-right@s" for="QA_PERFTRACK_dtFrom_date"><%= oDec.k("qa_perftrack_fromdate") + ":" %></label>
          <div class=" qm-form-datehourpicker qm-performance-tracker-search-from-date"><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtFrom", oC, oH, true, oDec) %></div>
          
          <label class="uk-text-right@s" for="QA_PERFTRACK_dtTo_date"><%= oDec.k("qa_perftrack_todate") + ":" %></label>
          <div class=" qm-form-datehourpicker qm-performance-tracker-search-to-date"><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtTo", oC, oH, true, oDec) %></div>
          
          <div></div>
        </div>
        <div class=" qm-datespan-quicklinks uk-subnav uk-subnav-divider L-justify-flexend" data-verb="qm_qa_perftrack_search_period">
          <%@ include file="/includes/10_form_quicklinks.jspf" %>
        </div>
      </fieldset>
  </div>
  
  <div class="qm-perfTracker-blocks" id="qm-perfTracker">
    <fieldset class="qm-fieldset">
      <legend><%= oDec.k("qa_perftrack_agentselection") %></legend>
      <hr>
      <div class="qm-form-grid-3 uk-child-width-1-3@s " uk-grid>
        <label class="uk-text-right@s" for="QA_PERFTRACK_agenteFiltro"><%= oDec.k("qa_perftrack_agent") + ":" %></label>
        <div><%= oH.comboX( "QA_PERFTRACK_agenteFiltro", true, stControlsWidth, FA.FilterSelectableAgents(oU, oC.getLt( "DATI_agenti" )), 0, 1, "" ) %></div>
        
        <label class="uk-text-right@s" for="QA_PERFTRACK_idAgentGroup"><%= oDec.k("qa_perftrack_agentgroup") + ":" %></label>
        <div><%= oH.combo( "QA_PERFTRACK_idAgentGroup", true, stControlsWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
        
        <label class="uk-text-right@s" for="QA_PERFTRACK_idLocation"><%= oDec.k("qa_perftrack_location") + ":" %></label>
        <div><%= oH.combo( "QA_PERFTRACK_idLocation", true, stControlsWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
        
        <label class="uk-text-right@s" for="QA_PERFTRACK_idSupervisor"><%= oDec.k("qa_perftrack_supervisor") + ":" %></label>
        <div class="me-button">
          <% if (oU.hasKey( "SUPERVISOR") ) { %>
            <%= oH.combo( "QA_PERFTRACK_idSupervisor", true, stControlsWidth, oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>
            
            <INPUT TYPE='button' CLASS='actButton selectMeAsSupervisor' VALUE=<%=oDec.k("prl_supbybe")%>   >
              <% } else { %>
                <%= oH.combo( "QA_PERFTRACK_idSupervisor", true, stControlsWidth, oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>
                <% } %>
        </div>
      </div>
            
        <script>
          
        </script>
    </fieldset>

    <fieldset class="qm-fieldset">
      <legend><%= oDec.k("qa_perftrack_qaform") %></legend>
      <hr>
      <div class="qm-form-grid-3 uk-child-width-1-3@s " uk-grid>
        <label class="uk-text-right@s" for="QA_PERFTRACK_form"><%= oDec.k("qa_perftrack_qaformsel") + ":" %></label>
          <div><%= oH.combo( "QA_PERFTRACK_form", true, stControlsWidth, oC.getLt( "QAR_ltFormsReports" ), 0, 1, "" ) %></div>
      </div>
    </fieldset>
  </div>

  <div class="qm-perfTracker-button">
     <%= oH.button( oDec.k("qa_perftrack_search"), oU.hasKey("QA_PERF_TRACK"), "", "qm_qa_perftrack_compute", "" ) %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
<%
// $Log: qaPerfTrackerSearch.jsp,v $
// Revision 1.6  2015/09/28 08:41:18  marcos
// jsp/jspf refactoring.
//
// Revision 1.5  2013/09/05 08:57:53  marcos
// #1916: Easier way to select queue - Multiple Queue Pull Down Boxes
//
// Revision 1.4  2012/07/31 09:48:47  marcos
// Memory Imp: DATI_agentiSel is no more in the context and is now calculated each time is required.
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2011/01/14 11:16:50  marcos
// IMM14 merge on main trunk
//
// Revision 1.1.2.2  2010/10/29 08:34:18  marcos
// QA Performance tracking
//
// Revision 1.1.2.1  2010/09/01 10:03:45  marcos
// QA Performance tracking - 1st part - interrupted for payroll implementation requirements.
//
//
%>
