<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    //oDec.load( "statusCalls", "status_calls.txt", 0, 1);

    String stWidth = "";

%>

<script>
function onLoadApplicativo() {
    // transazione standard
    document.forms[0].<%= K.REQ_VERBO %>.value = "";
    document.forms[0].<%= K.REQ_PARAM %>.value = "";
//    $("#QAR_dtInizio_date").datepicker( { dateFormat: 'yy-mm-dd' } );
//    $("#QAR_dtFine_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}
</script>

<!-- new layout -->
<div class="qm-form-body L-padding-32">
  <h1 class="L-primary-text"><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_search_form") %></h1>
  <fieldset class="qm-fieldset L-column L-gap-24">
    <div class="L-row L-gap-16">
        <div class="L-column L-flex-1 L-gap-4">
          <label class="" for="QAR_form"><%= oDec.k("qa_form") %> </label>
          <div> <%= oH.combo( "QAR_form", true, stWidth, oC.getLt( "QAR_ltFormsReports" ), 0, 1, "" ) %> </div>
        </div>
        
        <div class="L-column L-flex-1 L-gap-4">
          <label class="" for="QAR_inputQ"><%= oDec.k("custrep_queue") %></label>
          <div><%= oH.comboX( "QAR_inputQ", true, stWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %></div>
        </div>

        <div class="L-column L-flex-1 L-gap-4">
          <label class="" for="QAR_date_cftype"><%= oDec.k("custrep_date_callorform") %></label>
          <div><%= oH.combo( "QAR_date_cftype", true, stWidth, oC.getLt( "DATI_date_cftype" ), 0, 1, "" ) %></div>
        </div>
    </div>
    <div class="L-row L-gap-16">  
      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_dtInizio_date"><%= oDec.k("custrep_start_date") %></label>
        <div class="qm-form-datehourpicker  qm-qa-report-from-date"><%= FA.generaJQueryComboDataOra( "QAR_dtInizio", oC,oH,true, oDec) %></div>  
      </div>
      
      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_dtFine_date"><%= oDec.k("custrep_end_date") %></label>
        <div class="qm-form-datehourpicker  qm-qa-report-to-date"><%= FA.generaJQueryComboDataOra( "QAR_dtFine", oC,oH,true, oDec) %></div>
      </div>
    </div>
      
    <div class="L-row L-gap-16">  
      <div class="L-column L-flex-1 L-gap-4">  
        <label class="" for="QAR_queryAgenteFiltro"><%= oDec.k("custrep_agent") %></label>
        <div class="uk-form-controls"><%= oH.comboX( "QAR_queryAgenteFiltro", true, stWidth, FA.FilterSelectableAgents(oU, oC.getLt( "DATI_agenti" )), 0, 1, "" ) %></div>
      </div>
      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_idAgentGroupFiltro"><%= oDec.k("custrep_agentgroup") %></label>
        <div><%= oH.combo( "QAR_idAgentGroupFiltro", true, stWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
      </div>  
      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_asterisk_id"><%= oDec.k("custrep_asterisk_id") %></label>
        <div><%= oH.textBox( "QAR_asterisk_id", true, stWidth, 50 ) %></div>
      </div> 
    </div>

    <div class="L-row L-gap-16">
      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_caller"><%= oDec.k("custrep_caller") %> </label>
        <div><%= oH.textBox( "QAR_caller", true, stWidth, 50 ) %></div>
      </div>

      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_stAddedBy"><%= oDec.k("qagrader_addedbygrtype") %></label>
        <div><%= oH.combo( "QAR_stAddedBy", true, stWidth, oC.getLt( "DATI_graderTypes" ), 1, 0, "" ) %></div>
      </div>

      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_idGraderFiltro"><%= oDec.k("custrep_grader") %></label>
        <div><%= oH.combo( "QAR_idGraderFiltro", true, stWidth, oC.getLt( "DATI_graders" ), 0, 2, "" ) %></div>
      </div>
      <!--
        <tr><td>
          <%= oDec.k("custrep_location") %>
        </td><td>
          <%= oH.combo( "QAR_idLocation", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %>
        </td></tr>
      -->
    </div> 

    <div class="L-row L-gap-16"> 
      <%-- this is the field git didn't want during the merge with master --%>
      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_idSupervisoreFiltro"><%= oDec.k("custrep_supervision") %></label>
        <div><%= oH.combo( "QAR_idSupervisoreFiltro", true, stWidth, oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %></div>
      </div>
      
      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_stOutcomeFiltro"><%= oDec.k("custrep_outcome") %></label>
        <div><%= oH.combo( "QAR_stOutcomeFiltro", true, stWidth, oC.getLt( "DATI_outcomes" ), 1, 2, "" ) %></div>
      </div>

      <div class="L-column L-flex-1 L-gap-4">
        <label class="" for="QAR_idLocationFiltro"><%= oDec.k("custrep_location") %></label>
        <div><%= oH.combo( "QAR_idLocationFiltro", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
      </div>
    </div>
    
    <div class="L-row L-gap-8 qm-datespan-quicklinks uk-subnav uk-subnav-divider L-justify-flexend" data-verb="qm_qa_report_input_period">
      <%@ include file="/includes/10_form_quicklinks.jspf" %>
    </div>

    <div class="qm-editor-button">
      <div>
        <%= oH.button( oDec.k("qa_report_calc"), true, stWidth, "qm_qa_report_calc", "" ) %>
      </div>
      <div>
        <%= oH.button( oDec.k("qa_summary_calc"), true, stWidth, "qm_qa_summary_calc", "" ) %>
      </div>
    </div>


  </fieldset>

  <%if (oU.hasKey("QA_CALREP")) {%>
  <fieldset class="qm-fieldset">
    <h2 class="L-primary-text"><%= oDec.k("qa_reports_mcr_title") %></h2>
    <div class="L-column L-gap-24 uk-width-1-3">
        <form>
          <div class="L-column L-gap-8">
            <label class="" for=""><%= oDec.k("qa_reports_mcr_minimum_thcall") %></label>
            <div class=""><%= oH.textBox( "QAR_mincallth", true, "", 10 ) %>
            </div>
          </div>
          <div class="L-justify-flexend">
            <%= oH.button( oDec.k("qa_report_calc"), true, stWidth, "qm_qa_calib_report_calc", "" ) %>
          </div>
        </form>
    </div>
  </fieldset>
  <%}%>
</div>

<!-- new layout end -->

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: runQaReport.jsp,v $
// Revision 1.14  2015/09/28 08:41:19  marcos
// jsp/jspf refactoring.
//
// Revision 1.13  2013/09/05 08:57:53  marcos
// #1916: Easier way to select queue - Multiple Queue Pull Down Boxes
//
// Revision 1.12  2012/07/31 09:48:47  marcos
// Memory Imp: DATI_agentiSel is no more in the context and is now calculated each time is required.
//
// Revision 1.11  2011/12/19 10:42:22  marcos
// QA Reports are now calculated in "Form Filling" or "Call date" time range.
//
// Revision 1.10  2011/11/24 17:16:45  marcos
// #1008: Link diretto a License page
//
// Revision 1.9  2011/02/24 11:30:07  marcos
// #1251: QA modifiche cosmetiche
//
// Revision 1.8  2011/02/04 09:37:32  lenz-mobile
// Bug #1250
//
// Revision 1.7  2011/01/14 11:16:50  marcos
// IMM14 merge on main trunk
//
// Revision 1.6.2.4  2010/11/12 11:14:39  marcos
// - Agent peer review - 1st step. Not completed.
// - Payroll notes and pause change debug
//
// Revision 1.6.2.3  2010/07/15 10:28:49  marcos
// #1054: Monitor Calibration report - meta-node
//
// Revision 1.6.2.2  2010/03/05 08:56:52  marcos
// #998: Filtro per ricerca agenti tramite ID
//
// Revision 1.6.2.1  2010/03/04 10:47:15  marcos
// #997: QA reports: interfavvi già fatti
//
// Revision 1.6  2010/01/19 16:06:58  marcos
// #909: Adding filters to the QA reports
//
// Revision 1.5  2010/01/12 17:11:54  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.4.2.2  2009/12/01 17:08:22  marcos
// #902: QA REPORTS LIKE VERIZON’S
//
// Revision 1.4.2.1  2009/09/02 10:19:09  marcos
// #817: QA search form - new criteria
//
// Revision 1.4  2008/03/21 10:54:53  lenz
// Internazionalizzazione
// Tolto "By Location"
//
// Revision 1.3  2008/03/19 14:27:58  lenz
// Check-in parziale pagine risultato QA report.
//
// Revision 1.2  2008/03/17 15:00:15  lenz
// Giro fino alla pagina QA report.
//
// Revision 1.1  2008/03/17 14:48:31  lenz
// Segnaposto.
//
//
//
//
%>
