<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="java.text.*" %>
<%@ page import="java.util.Date" %>
<%@ page import="it.loway.app.queuemetrics.html.JSON" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%
    // $Id: realtime2_datasource.jsp,v 1.10 2015/09/04 10:11:09 marcos Exp $

    // Instanzia Data  Object appropriato
    LProperties props = FA.props( application );
    BasicDO doRT = new RealtimeDO();
    doRT.initJsp( oC, oDec, oU, props, stWebHere );

    // inizializza Timer
    LTimer t = new LTimer();
    SmartTable T = null;

    String stD = new Date().toString();
    String stReportHeader = "";
    String stRiassunto = "";
    String stChiamate  = "";
    String stAgenti    = "";
    String stAggByQueueView = "";
    String stAggByTagView = "";
    String stAgentAndOutcomeView = "";
    
    // Report Header
    T = doRT.dispatch( RealtimeDO.REALTIME_REPORT_HEADER, "");
    stReportHeader = T.render();

    // RIASSUNTO
    T = doRT.dispatch( RealtimeDO.RIASSUNTO_REALTIME, "");
    stRiassunto = T.render();
    if ( !oC.defined( "CODA_rt_hideExportButtons" ) ) {
        stRiassunto += doRT.exportButtons( oDec,  RealtimeDO.THIS_DO, RealtimeDO.RIASSUNTO_REALTIME);
    }

    // CHIAMATE
    T = doRT.dispatch( RealtimeDO.CALLS_BEING_PROC, "" );
    stChiamate = T.render();
    if ( !oC.defined( "CODA_rt_hideExportButtons" ) ) {
        stChiamate += doRT.exportButtons( oDec,  RealtimeDO.THIS_DO, RealtimeDO.CALLS_BEING_PROC);
    }

    // AGENTI
    T = doRT.dispatch( RealtimeDO.AGENTS_LOGGED_IN, "");
    stAgenti = T.render();
    if ( !oC.defined( "CODA_rt_hideExportButtons" ) ) {
        stAgenti += doRT.exportButtons( oDec,  RealtimeDO.THIS_DO, RealtimeDO.AGENTS_LOGGED_IN );
    }
    
    // QueuesAndTagsView
    T = doRT.dispatch( RealtimeDO.RT_AGG_BYQUEUE_VIEW, "" );
    stAggByQueueView = T.render();
    if ( !oC.defined( "CODA_rt_hideExportButtons" ) ) {
        stAggByQueueView += doRT.exportButtons( oDec,  RealtimeDO.THIS_DO, RealtimeDO.RT_AGG_BYQUEUE_VIEW );
    }

    // QueuesAndTimesView
    T = doRT.dispatch( RealtimeDO.RT_AGG_BYTAG_VIEW, "" );
    stAggByTagView = T.render();
    if ( !oC.defined( "CODA_rt_hideExportButtons" ) ) {
        stAggByTagView += doRT.exportButtons( oDec,  RealtimeDO.THIS_DO, RealtimeDO.RT_AGG_BYTAG_VIEW );
    }
    
    // QueuesAndTimesView
    T = doRT.dispatch( RealtimeDO.AGENT_AND_OUTCOME_VIEW, "" );
    stAgentAndOutcomeView = T.render();
    if ( !oC.defined( "CODA_rt_hideExportButtons" ) ) {
        stAgentAndOutcomeView += doRT.exportButtons( oDec,  RealtimeDO.THIS_DO, RealtimeDO.AGENT_AND_OUTCOME_VIEW );
    }
    
%>

{
    "tab_reportheader": <%= JSON.serialize(stReportHeader) %>,
    "tab_riepilogo": <%= JSON.serialize(stRiassunto) %>,
    "tab_chiamate":  <%= JSON.serialize(stChiamate) %>,
    "tab_agenti":    <%= JSON.serialize(stAgenti) %>,
    "tab_aggbyqueue":<%= JSON.serialize(stAggByQueueView) %>,
    "tab_aggbytag":  <%= JSON.serialize(stAggByTagView) %>,
    "tab_agentoutcomeview": <%= JSON.serialize(stAgentAndOutcomeView) %>,

    "errormsg": <%= JSON.serialize( oC.getS( "JSON_error" ) ) %>,
    "dataOra": <%= JSON.serialize( oC.getS( "REALTIME_dataOra" ) ) %>
}



<%
    // System.out.println( "4.JSON In esecuzione:" + stD );

    doRT = null;
%>




<% 
// $Log: realtime2_datasource.jsp,v $
// Revision 1.10  2015/09/04 10:11:09  marcos
// #2856: Skill Based Routing: Show skills on the RT page
//
// Revision 1.9  2015/05/08 10:57:56  marcos
// Merge 24 on trunk
//
// Revision 1.8.2.3  2015/04/08 12:48:49  marcos
// #2673 to #2682
//
// Revision 1.8.2.2  2014/12/09 14:36:17  marcos
// #2480: New RT report: Agent and Outcome
//
// Revision 1.8.2.1  2014/12/04 14:35:39  marcos
// #2478 and #2479: New queues and tags views, New queues and times view on realtime page
//
// Revision 1.8  2014/07/30 10:03:34  marcos
// #2425: Exporting a payroll report in XLS (and other formats) causes an erro
//
// Revision 1.7  2013/10/29 13:01:53  lenz-mobile
// #1913 - Custom report pages
//
// Revision 1.6  2012/05/09 12:39:49  marcos
// BasicDO is now always initialized with a valid LProperties.
//
// Revision 1.5  2012/04/12 10:15:14  marcos
// #733: Log-on/off agents from the RT page
//
// Revision 1.4  2011/12/19 09:48:03  lenz-mobile
// #1516 - Bottoni di export
//
// Revision 1.3  2010/04/29 09:41:09  lenz-mobile
// Tolto log nocivo
//
// Revision 1.2  2009/09/27 12:48:12  lenz-mobile
// Passaggio di 'errormsg'
//
// Revision 1.1  2009/09/16 16:45:58  lenz
// Bug #858 - Realtime in Json
//
//
%>  
