<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="java.text.*" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ include file="/includes/00_page_header.jspf" %>


<%
    // $Id: realtime_visitor.jsp,v 1.16 2015/09/28 08:41:07 marcos Exp $

    // Instanzia Data  Object appropriato
    BasicDO doRT = new RealtimeDO();
    LProperties props = FA.props( application );
    doRT.initJsp( oC, oDec, oU, props, stWebHere );

    // inizializza Timer
    LTimer t = new LTimer();
    SmartTable T = null;
%>
<script>
var page_realtime_visitor = true;
var oCgetIREALTIME_reload_time = <%= oC.getI( "REALTIME_reload_time" ) %> * 2 ;
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<div class="qm-form-body-wide">
<h1><%= oDec.k("rt_visitor_visitor_realtime_call_center_monitoring") %> - <%= oC.getS( "REALTIME_dataOra" ) %></h1>
<%= oDec.k("rt_visitor_queues") %>
<%
  if (oC.defined( "DATI_showQueueComposition" )) {
    out.println(
      realtimeHelper.decodificaNomiCode(
        oC.getS("REALTIME_codeIncluse"), oC.getLt("DATI_code")
    ));
  } else {
      out.println( FA.trovaNomeCoda(oC.getS( "REALTIME_codeIncluse"), oC.getLt("DATI_code"))  );
  }
%>
<p>
<%= oH.button( oDec.k("rt_visitor_reload_now") , oU.hasKey("VISITOR"), "", "qm_realtime_visitor", "" ) %>
<p>
<b><%= oDec.k("rt_visitor_calls_being_processed") %></b>
<%
    T = doRT.dispatch( RealtimeDO.VISITOR_CALLS_PROCESSED, "" );
    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>
<p>
<b><%= oDec.k("rt_visitor_today_at_a_glance") %></b>
<%
    T = doRT.dispatch( RealtimeDO.VISITOR_TODAYS_OK, "" );
    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>
<p>
<%
    T = doRT.dispatch( RealtimeDO.VISITOR_TODAYS_KO, "" );
    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>

<center>
<small><%= oDec.k("rt_visitor_in_order_to_mantain_session_information") %></small>
<table id="vmeter">
<tr>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>

<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>

<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>

<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
</tr>
</table>
</center>
</div>
<%@ include file="/includes/00_page_footer.jspf" %>
<%
// $Log: realtime_visitor.jsp,v $
// Revision 1.16  2015/09/28 08:41:07  marcos
// jsp/jspf refactoring.
//
// Revision 1.15  2014/07/30 10:03:34  marcos
// #2425: Exporting a payroll report in XLS (and other formats) causes an erro
//
// Revision 1.14  2013/10/29 13:01:53  lenz-mobile
// #1913 - Custom report pages
//
// Revision 1.13  2012/05/09 12:39:49  marcos
// BasicDO is now always initialized with a valid LProperties.
//
// Revision 1.12  2012/05/08 10:53:23  marcos
// #1583: Wrong query result after returning from RT page
//
// Revision 1.11  2009/11/13 16:20:23  lenz-mobile
// Bug #924 - "Wand" logo present butnot working.
// .
//
// Revision 1.10  2009/07/01 08:50:30  marcos
// #745: escaping # characters in URLs
//
// Revision 1.9  2009/04/30 09:11:57  marcos
// #706: The "cachebreaker" field is now generated dynamically by javascript
//
// Revision 1.8  2009/03/27 15:20:27  lenz
// Bug #630: filtraggio chiamate
//
// Revision 1.7  2008/11/25 16:05:59  marcos
// #460 Call monitor from Visitor page does not work.
//
// Revision 1.6  2007/07/29 11:50:28  lenz
// Bug #168: ancora problemi UTF-8
//
// Revision 1.5  2007/06/19 15:30:15  lenz
// BUG#144: la descrizione nel realtime era scorretta se in modalita' default.showQueueComposition=false
//
// Revision 1.4  2007/02/21 12:29:05  lenz
// Bug #38: Toggle per la composizione della coda.
//
// Revision 1.3  2006/10/07 17:02:12  lenz
// Merge v1.3
//
// Revision 1.2.2.1  2006/09/16 16:36:44  lenz
// fULL i18n
//
// Revision 1.2  2006/04/08 21:47:13  lenz-mobile
// Merge da branch IMM2.
//
// Revision 1.1.2.8  2006/03/02 12:04:54  lenz
// Impostazione chiave corretta per Visitor.
//
// Revision 1.1.2.7  2006/01/31 17:49:58  lenz
// Cache breakers sui popup.
// Bug segnalato da Tim.
//
// Revision 1.1.2.6  2006/01/26 10:46:07  lenz
// Collego la transazione qm_vnc e la apro in nuovo frame.
//
// Revision 1.1.2.4  2006/01/21 16:22:21  lenz
// Apertura popup chiamate.
//
// Revision 1.1.2.2  2006/01/20 17:50:47  lenz
// Prima versione corretta della pagina del visitatore.
//
// Revision 1.1.2.1  2006/01/19 17:51:34  lenz
// Primissima versione, copie della pagina Realtime.
// Sono da svuotare/migliorare.
//
//
//
//
%>
