<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    oDec.load( "amo_list_states", "amo_list_states.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_amo_campaigns";
    final String stTabPrefix  = "TABAMOCAMPAIGNS";


    class buttonModificaDecor implements TpfCellDecoratorInterface {
        HtmlGenerator obH = null;
        public buttonModificaDecor( HtmlGenerator oHx) { obH = oHx; };

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String transaction = "qm_cfg2_amo_lists_list";
            String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", transaction, lt.getS(r, c ) );
            return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
        }
    };

     class queueDecor implements TpfCellDecoratorInterface {
         public String decorate(LTable lt, int r, int c, String width) throws TechException {
                return  "<a href='javascript:startTransaction(\"qm_cfg2_queues_edit\", \""+lt.getS(r, 0)+"\");'>" + lt.getS(r, c) + "</a>\n";
         }
     }

     class validFromDecor implements TpfCellDecoratorInterface {
         public String decorate(LTable lt, int r, int c, String width) throws TechException {
           String validFrom = lt.getS(r, c);
           if(validFrom.equals("0000-00-00 00:00:00")){
            validFrom = "-";
           }

           return validFrom;
         }
     }

%>
<%-- transazione standard --%>
<%@ include file="/includes/qm_adm/21_qm_adm_transazione_standard.jspf" %>


<div class="qm-form-body">
  <fieldset class="qm-fieldset">
    <legend><%=oDec.k("list_amo_title")%></legend>
    <div class="qm-editor-search">

      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

      <div class="qm-editor-button">
      <%-- no buttons --%>
      </div>
    </div>


    <%
        SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
            it.loway.app.queuemetrics.configurazione.cfg2.ptAgents.SORTINGS );

        stT.addColumn( oDec.k("edit_amo_campaign"),      1   , "30px", new queueDecor()    );
        stT.addColumn( oDec.k("edit_amo_state"),     2   , "200px", "agd", new decoderDecor(oDec, "amo_list_states") );
        stT.addColumn( oDec.k("edit_amo_n_lists"),     3   , "200px", "agd"   );
        stT.addColumn( oDec.k("edit_amo_n_added"),     4   , "200px", "agd"   );
        stT.addColumn( oDec.k("edit_amo_n_completed"),     5   , "200px", "agd"   );
        stT.addColumn( oDec.k("edit_amo_last_pull"),     6   , "200px", "agd", new validFromDecor() );

        stT.addColumn( "&nbsp;",  0 , "20px", new buttonModificaDecor( oH )  );

        if ( stT.getNRigheTotaliQuery() > 0 ) {
    %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
    <%
    }
    %>
    <%
    if ( stT.numRows() > 0 ) {
        stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
        out.println( stT.render() );
    }
    if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
    <%
        } else { // ci sono righe
    %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
    <%
    };
    %>
      <div class="qm-editor-button">
        <%-- no buttons --%>
      </div>
  </fieldset>
</div>



<%@ include file="/includes/00_page_footer.jspf" %>
