<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%--
<style>
     .unknownKeysContainer {
          text-align: left;
     }

     .unknownKeys {
	width: 95%;
	border: none;
     }
    .secKeyCategory {
        text-align: left;
    }
    .secKeyDef {
    }
    .secKeyTitle {
        font-weight: bold;
        font-size: large;
        padding-top: 20px;
        padding-bottom: 5px;
    }
    .keydefDescr {
    }
    .keydefDescrFromClass {
        color: gray;
    }
    .keydefCheckBox {
    }

    .hk_div_button {
        position: relative;
        top: 45px;
        left: 40px;
    }

    .hk_button {
        background: white;
        border: none;
        box-shadow: none;
        background-image: url('../img/icon_wizard.png');
        background-repeat: no-repeat;
        height: 32px;
        width: 32px;
    }
</style>
--%>

<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_classes";
    final String stTabPrefix  = "TABCLASSES";
    String stWidth = "";

    int nUsersBelonging = oC.getI( "TABCLASSES_opt_n_users");
%>

<script>
var page_cfg2_classes_edit = true;
var secKeyConfig=<%=oC.getS("TABCLASSES_keyConfig")%>

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus( "TABCLASSES_nome_classe" );
/*
        $("#dialog-modal-keyhelper").dialog({
            height: 580,
            width: 650,
            autoOpen: false,
            modal: true,
            buttons: {
                    Ok: function() { closeKeyHelperDialog($(this), true); },
                    Cancel: function() { closeKeyHelperDialog($(this), false); }
            }
        });
*/

}
</script>

<!-- BEGIN: Templates for keyset helper dialog. -->
<script type="text/x-template" class="unknownKeysTemplate">
  <ul uk-accordion class="unknownKeysContainer">
      <li >
          <a class="uk-accordion-title unknownKeySetTitle" href="#"><%=oDec.k("keydesc_cat_customkeyset") %></a>
          <div class="uk-accordion-content">
            <span class="unknownKeys" id="unknownKeys"/>
              <input type="hidden" id="id_chk_hiddenchk" checked="true" />
          </div>
      </li>
  </ul>
</script>

<script type="text/x-template" class="categoryTemplate">
  <ul uk-accordion class="secKeyCategory">
      <li >
          <a class="uk-accordion-title secKeyTitle" href="#">[SECKEYCATEGORYDESC]</a>
          <div class="uk-accordion-content keydefs">
          </div>
      </li>
  </ul>
</script>

<script type="text/x-template" class="keyDefTemplate">
    <div class="secKeyDef">
            <input type="checkbox" class="keydefCheckBox" />
            <span class="keydefDescr">[SECKEYDESCR]</span>
            <input type="hidden" class="keydefParents"/>
            <input type="hidden" class="keydefNotCompatible"/>
    </div>
</script>
<!-- END: Templates. -->


<%--
<!-- BEGIN: Templates for keyset helper dialog. -->
<script type="text/x-template" class="unknownKeysTemplate">
	<div class="unknownKeysContainer">
		<h3><a href="#" class="unknownKeySetTitle"><%=oDec.k("keydesc_cat_customkeyset") %></a></h3>
		<div>
			<span class="unknownKeys" id="unknownKeys"/>
			<input type="hidden" id="id_chk_hiddenchk" checked="true" />
		</div>
	</div>
</script>

<script type="text/x-template" class="categoryTemplate">
    <div class="secKeyCategory">
        <h3><a href="#" class="secKeyTitle">[SECKEYCATEGORYDESC]</a></h3>
        <div class="keydefs"/>
    </div>
</script>

<script type="text/x-template" class="keyDefTemplate">
    <div class="secKeyDef">
            <input type="checkbox" class="keydefCheckBox" onclick="javascript:onSecKeyChecboxClick(this)"/>
            <span class="keydefDescr">[SECKEYDESCR]</span>
            <input type="hidden" class="keydefParents"/>
            <input type="hidden" class="keydefNotCompatible"/>
    </div>
</script>
--%>
<!-- END: Templates. -->

<div class="qm-form-body L-column L-gap-24">
    <legend><%= oDec.k("edit_record_classes_title") %></legend>

    <fieldset class="qm-fieldset">
        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      
          <label for="TABCLASSES_id_classe"><%= oDec.k("edit_record_classes_id") %></label>
          <div><%= oH.textBox( "TABCLASSES_id_classe",  false, stWidth, 100 ) %></div>
      
          <label for="TABCLASSES_nome_classe"><%= oDec.k("edit_record_classes_name") %></label>
          <div><%= oH.textBox( "TABCLASSES_nome_classe",  true, stWidth, 100 ) %></div>
      
          <label for="TABCLASSES_des_classe"><%= oDec.k("edit_record_description") %></label>
          <div><%= oH.textBox( "TABCLASSES_des_classe",  true, stWidth, 100 ) %></div>
      
          <label for="TABCLASSES_chiavi">
            <%= oDec.k("edit_record_classes_keys") %>
            <a id="keyhelper" class="keyhelper" uk-icon="file-edit"></a>
          </label>
          <div><%= oH.textArea( "TABCLASSES_chiavi",  true, stWidth + " height: 100px;", 10000 ) %></div>
      
          <label for="TABCLASSES_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
          <div><%= oH.textBox( "TABCLASSES_nomedata_insert",  false, stWidth, 100 ) %></div>
      
          <label for="TABCLASSES_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
          <div><%= oH.textBox( "TABCLASSES_nomedata_update",  false, stWidth, 100 ) %></div>
      
          <div class="uk-text-center uk-width-1-1"><%= oDec.k("edit_record_classes_usersinclass") %> <%= nUsersBelonging %></div>
        </div>
  
    </fieldset>

    <div class="L-row uk-flex-between">
      <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCLASSES_id_classe") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCLASSES_id_classe") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCLASSES_id_classe") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCLASSES_nome_classe")+"','"+oC.getS("TABCLASSES_id_classe")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
</div>


<!-- This is the modal -->
<div  id="keyhelperModal"  uk-modal>
    <div class="uk-modal-dialog uk-modal-body">
        <h2 class="uk-modal-title">Handle Keys</h2>
        <button class="uk-modal-close-default" type="button" uk-close></button>

        <div id="keyhelper-contents" class=" uk-margin">

        </div>

        <div class="uk-modal-footer uk-text-right">
          <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
          <button class="uk-button uk-button-primary qm-button-ok" autofocus="" >Ok</button>
        </div>
    </div>
</div>


<%--

<h1><%= oDec.k("edit_record_classes_title") %></h1>
<table>
<tr><td class="reg">
<%= oDec.k("edit_record_classes_id") %>
</td><td>
<%= oH.textBox( "TABCLASSES_id_classe",  false, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_classes_name") %>
</td><td>
<%= oH.textBox( "TABCLASSES_nome_classe",  true, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_description") %>
</td><td>
<%= oH.textBox( "TABCLASSES_des_classe",  true, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg" valign="top">
<%= oDec.k("edit_record_classes_keys") %>
<div class="hk_div_button">
    <input type="button" name="keyhelper"  class="actButton hk_button" title="Handle Keys" onclick="javascript:openKeyHelper()"/>
</div>
</td><td>
<%= oH.textArea( "TABCLASSES_chiavi",  true, stWidth + " height: 100px;", 10000 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_createdby") %>
</td><td>
<%= oH.textBox( "TABCLASSES_nomedata_insert",  false, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_lastupdate") %>
</td><td>
<%= oH.textBox( "TABCLASSES_nomedata_update",  false, stWidth, 100 ) %>
</td></tr>
</table>
<p>
<%= oDec.k("edit_record_classes_usersinclass") %> <%= nUsersBelonging %>
<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCLASSES_id_classe") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCLASSES_id_classe") > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCLASSES_id_classe") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCLASSES_nome_classe")+"','"+oC.getS("TABCLASSES_id_classe")+"')") %>





--%>

<%--
    <!-- Key helper dialog definition -->
    <div align="center" id="dialog-modal-keyhelper" title="Handle Keys">
        <div id="keyhelper-contents"/>
    </div>
    <!-- End of key helper dialog definition -->
--%>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_classes_edit.jsp,v $
// Revision 1.9  2015/09/28 08:41:11  marcos
// jsp/jspf refactoring.
//
// Revision 1.8  2015/09/15 13:47:04  marcos
// Wizard replaces the handle keys button
//
// Revision 1.7  2015/09/15 09:56:03  marcos
// Wizard replaces the handle keys button
//
// Revision 1.6  2015/07/14 15:03:31  marcos
// #2827: Security keys editor
//
// Revision 1.5  2014/05/19 09:46:32  lenz
// Merge FRANKIE
//
// Revision 1.4.8.1  2014/05/13 13:33:33  mirkox
// Nuova Grafica
//
// Revision 1.4  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.3  2009/07/04 09:35:10  lenz-mobile
// Bug #662 - cloning dei forms
//
// Revision 1.2  2008/09/29 14:31:15  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.1.2.1  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.1  2007/09/29 09:34:19  lenz-mobile
// Giro funzionante classi.
//
//
//
//
//
%>
