<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_classes";
    final String stTabPrefix  = "TABCLASSES";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonModificaDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", stVerbPrefix + "_edit", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
        class yesNoDecor implements TpfCellDecoratorInterface {
		String stYes = "";
		String stNo  = "";
		public yesNoDecor( String Y, String N ) { stYes = Y; stNo = N; };

		public String decorate(LTable lt, int r, int c, String width) throws TechException {
		    String stTesto = lt.getS(r, c );
		    String stH = "";

		    if ( stTesto.equalsIgnoreCase("0") ) {
		    	stH = stNo;
		    } else {
		    	stH = stYes;
		    }

		    return  "  <td class='smart' style='width: " + width + ";'>" + stH + "</td>\n";
		}
	};

%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";

  setFocus( "<%= PagedTransactor.getQueryField( stTabPrefix ) %>" );
}
</script>

<div class="qm-form-body L-column L-gap-24">
  <legend><%=oDec.k("edit_classes_title")%></legend>

  <div class="L-row uk-flex-between">
    <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>
    
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %>
      <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
      <%= oH.button( oDec.k("editor_show_users"), true, "", "qm_cfg2_users_list", "" ) %>
    </div>
  </div>

  <%
  //    LTable ltRisultato = PagedTransactor.getDataList( oC, stTabPrefix );
  //    SmartTable stT = new SmartTable( stTabPrefix, ltRisultato );
      SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          it.loway.app.queuemetrics.configurazione.cfg2.ptClasses.SORTINGS );

      stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
      stT.addColumn( oDec.k("edit_classes_class_name"),       1   , "150",   "nome"   );
      stT.addColumn( oDec.k("edit_classes_description"),       2   , "200", "des"   );
      stT.addColumn( oDec.k("edit_classes_keys"),       3  , "300", "chiavi" );
      stT.addColumn( oDec.k("edit_classes_user_num"),       4  , "50" );
      stT.addColumn( "&nbsp;",  0 , "20", new   buttonModificaDecor( oH )   );
          if ( stT.getNRigheTotaliQuery() > 0 ) {
  %>
    <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      }
  %>
  <%
      if ( stT.numRows() > 0 ) {
          stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
          out.println( stT.render() );
      }
      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
  <%
      } else { // ci sono righe
  %>
    <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      };
  %>

  <div class="qm-editor-button">
    <%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %>
    <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
    <%= oH.button( oDec.k("editor_show_users"), true, "", "qm_cfg2_users_list", "" ) %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_classes_list.jsp,v $
// Revision 1.7  2015/09/28 08:41:11  marcos
// jsp/jspf refactoring.
//
// Revision 1.6  2014/05/19 09:46:33  lenz
// Merge FRANKIE
//
// Revision 1.5.8.1  2014/05/13 13:33:39  mirkox
// Nuova Grafica
//
// Revision 1.5  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.4  2008/09/29 14:31:14  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.3.2.1  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.3  2007/10/01 12:49:59  lenz
// Modifichine cosmetiche
//
// Revision 1.2  2007/10/01 09:09:39  lenz-mobile
// Gestione editor classi con campi ordinabili.
//
// Revision 1.1  2007/09/29 09:34:19  lenz-mobile
// Giro funzionante classi.
//
//
//
//
//
%>
