<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%--
<style>

</style>
--%>
<%
    // inizializza Decodes
    oDec.load("record_status", "record_status.txt", 0, 1);


    final String stVerbPrefix = "qm_cfg2_clients";
    final String stTabPrefix  = "TABCLIENTS";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
%>

<script>

    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus("TABCLIENTS_name");
    }

</script>


<div class="qm-form-body">

    <fieldset class="qm-fieldset">
        <legend><%= oDec.k("edit_record_clients_header") %></legend>

        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>

            <label for="TABCLIENTS_name"><%= oDec.k("edit_record_clients_name") %></label>
            <div><%= oH.textBox( "TABCLIENTS_name", true, stWidth, 50 ) %></div>

            <label for="TABCLIENTS_external_ref"><%= oDec.k("edit_record_ext_ref") %></label>
            <div><%= oH.textBox( "TABCLIENTS_external_ref", true, stWidth, 50 ) %>
            <br>
                        <small><%= oDec.k("edit_record_xref_blank") %></small>

            </div>

            <label for="TABCLIENTS_contact"><%= oDec.k("edit_record_clients_contact") %></label>
            <div><%= oH.textBox( "TABCLIENTS_contact", true, stWidth, 50 ) %></div>

            <label for="TABCLIENTS_email"><%= oDec.k("edit_record_clients_email") %></label>
            <div><%= oH.textBox( "TABCLIENTS_email", true, stWidth, 50 ) %></div>

            <label for="TABCLIENTS_notes"><%= oDec.k("edit_record_clients_notes") %></label>
            <div><%= oH.textArea( "TABCLIENTS_notes",  true, stWidth + "height: 90px;", 10000 ) %></div>

            <label for="TABCLIENTS_status"><%= oDec.k("edit_record_clients_status") %></label>
            <div><%= oH.combo( "TABCLIENTS_status",  true, stWidth, "record_status", "0" ) %></div>

            <label for="TABCLIENTS_security_key"><%= oDec.k("edit_record_clients_securitykey") %></label>
            <div><%= oH.textBox( "TABCLIENTS_security_key",  true, stWidth, 64 ) %></div>

          <label for="TABCLIENTS_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
          <div><%= oH.textBox( "TABCLIENTS_nomedata_insert",  false, stWidth, 100 ) %></div>

          <label for="TABCLIENTS_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
          <div><%= oH.textBox( "TABCLIENTS_nomedata_update",  false, stWidth, 100 ) %></div>


        </div>

        <div class="L-row uk-flex-between uk-margin-medium-top">
          <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
          <div class="L-row L-gap-16">
            <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCLIENTS_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
            <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCLIENTS_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
            <%= oH.buttonScript( oDec.k("edit_record_delete"), ((oC.getI("TABCLIENTS_id") > 0) && (oC.getLt( "TABCLIENTS.ltUsedByCases" ).numRows() == 0) ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCLIENTS_name")+"','"+oC.getS("TABCLIENTS_id")+"')", "Q-button-secondary") %>
          </div>
          <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
        </div>
    </fieldset>



      <fieldset class="qm-fieldset" class="uk-margin-medium-top">
        <legend><%= oDec.k("edit_record_cases_for_client") %></legend>
        <div class="uk-margin-top" >
        <%
          SmartTable stT = new SmartTable( "x", oC.getLt( "TABCLIENTS.ltUsedByCases" ) );

          stT.addColumn( oDec.k("edit_cases_xref"), 2  , "100px" );
          stT.addColumn( oDec.k("edit_cases_title"),  1  , "300px" );
          stT.addColumn( oDec.k("edit_cases_status"),  3  , "50px", new decoderDecor( oDec, "record_status") );


          if ( stT.numRows() > 0 ) {
            stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
            out.println( stT.render() );
          } else {
        %>
            <div class="qm-admin-agents-warning"><%=oDec.k("edit_record_cases_none_found")%></div>
        <%
          }
        %>
        </div>

      </fieldset>


</div>


<%


%>



<%@ include file="/includes/00_page_footer.jspf" %>
