<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.agentGroupsIconDecorator" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.reformatDateDecor" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.decoderDecor" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "known_number_action", "known_number_action.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_known_numbers";
    final String stTabPrefix  = "TABKNOWN_NUMBERS";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonModificaDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", stVerbPrefix + "_edit", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };

%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
  // setFocus( "<%= PagedTransactor.getQueryField( stTabPrefix ) %>" );
}
var page_enableAdminSearch = true;
var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
var stVerbPrefix = "<%=stVerbPrefix%>";

</script>



<div class="qm-form-body">
<fieldset class="qm-fieldset">
  <legend><%= oDec.k("edit_kn_title") %></legend>

  <div class="qm-editor-search">
    <%-- search line --%>
    <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

    <div class="qm-editor-button"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
    <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>

  </div>

  <%
      SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          it.loway.app.queuemetrics.configurazione.cfg2.ptKnownNumbers.SORTINGS );

      stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
      stT.addColumn( oDec.k("edit_kn_number"),      1   , "120px",   "num"   );
      stT.addColumn( oDec.k("edit_kn_name"),        4   , "150px", "clid"   );
      stT.addColumn( oDec.k("edit_kn_expiry"),     11   , "80px" , "exp" );
      stT.addColumn( oDec.k("edit_kn_descr"),       5  , "150px", "" );
      stT.addColumn( oDec.k("edit_kn_action"),      3  , "100px", "act", new decoderDecor( oDec, "known_number_action" ));
      stT.addColumn( oDec.k("edit_kn_affinity"),    6  , "20px", "aff");
      stT.addColumn( oDec.k("edit_kn_hits"),        7  , "50px", "hits" );
      stT.addColumn( oDec.k("edit_kn_lhit"),       10  , "100px", "lhit" );
      stT.addColumn( "&nbsp;",  0 , "20px", new   buttonModificaDecor( oH )   );

      if ( stT.getNRigheTotaliQuery() > 0 ) {
  %>
  <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      }
  %>
  <%
      if ( stT.numRows() > 0 ) {
          stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
          out.println( stT.render() );
      }
      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
  <%
      } else { // ci sono righe
  %>
  <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      };
  %>

  <div class="qm-editor-button">
    <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
    <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
  </div>


</fieldset>
</div>


<%--
<center>
<table>
        <tr>
            <td style="width: 33%;"></td>
            <td style="width: 33%; text-align: center;">

            <h1><%= oDec.k("edit_kn_title") %></h1>
            </td>
            <td style="width: 33%; text-align: right">
                <%= oH.textBox( PagedTransactor.getQueryField( stTabPrefix ), true, "vertical-align:bottom;", 100)  %>
                <%= oH.button( "", true, "width: 32px; height:32px; vertical-align:bottom; border:none; box-shadow:none; background: url("+stWebHere+"/img/magnifierbw32.png);", stVerbPrefix + "_list", "WithQuery" ) %>
            </td>
        </tr>
</table>
<div>
        <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
</div>
<p>
<%
    SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
        it.loway.app.queuemetrics.configurazione.cfg2.ptKnownNumbers.SORTINGS );

    stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
    stT.addColumn( oDec.k("edit_kn_number"),      1   , "120px",   "num"   );
    stT.addColumn( oDec.k("edit_kn_name"),        4   , "150px", "clid"   );
    stT.addColumn( oDec.k("edit_kn_expiry"),     11   , "80px" , "exp" );
    stT.addColumn( oDec.k("edit_kn_descr"),       5  , "150px", "" );
    stT.addColumn( oDec.k("edit_kn_action"),      3  , "100px", "act", new decoderDecor( oDec, "known_number_action" ));
    stT.addColumn( oDec.k("edit_kn_affinity"),    6  , "20px", "aff");
    stT.addColumn( oDec.k("edit_kn_hits"),        7  , "50px", "hits" );
    stT.addColumn( oDec.k("edit_kn_lhit"),       10  , "100px", "lhit" );
    stT.addColumn( "&nbsp;",  0 , "20px", new   buttonModificaDecor( oH )   );

    if ( stT.getNRigheTotaliQuery() > 0 ) {
%>
<table  id="tabHeader" style="margin-bottom: 15px;">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    }
%>
<%
    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }
    if ( stT.getNRigheTotaliQuery() == 0 ) {
%>
    &nbsp;
    <p>
    <%= oDec.k("editor_no_items_found") %>
    <p>
    &nbsp;
<%
    } else { // ci sono righe
%>
<table  id="tabFooter">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    };
%>
<!-- oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %>-->

            <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
</center>
    --%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_known_numbers_list.jsp,v $
// Revision 1.3  2015/09/28 08:41:11  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2015/09/15 13:52:21  lenz
// #2907 - NUmber Lookup API editor
//
// Revision 1.1  2015/09/14 16:03:15  lenz
// #2907 - NUmber Lookup API editor
//
//
//
%>
