<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_outcomes";
    final String stTabPrefix  = "TABCALL_STATUS";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonModificaDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", stVerbPrefix + "_edit", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class yesNoDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int inCode = lt.getI(r, c );
                String stTesto = "<img src='../img/icons_silk/bru_notinuse.png' width=16 height=16>";
                if ( inCode > 0 ) {
                    stTesto = "<img src='../img/icons_silk/accept.png' width=16 height=16>";
                }
                return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
  //setFocus( "<%= PagedTransactor.getQueryField( stTabPrefix ) %>" );
}

var page_enableAdminSearch = true;
var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
var stVerbPrefix = "<%=stVerbPrefix%>";

</script>

<div class="qm-form-body">
<fieldset class="qm-fieldset">
  <legend><%=oDec.k("edit_outcomes_title")%></legend>

  <div class="qm-editor-search">
    <%-- search line --%>
    <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

    <div class="qm-editor-button"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
    <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>

  </div>

  <%
      SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          it.loway.app.queuemetrics.configurazione.cfg2.ptOutcomes.SORTINGS );

      stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
      stT.addColumn( oDec.k("edit_outcomes_outcome"),      1  , "150px", "nome"   );
      stT.addColumn( oDec.k("edit_outcomes_description"), 2  , "200px", "des"   );
      stT.addColumn( oDec.k("edit_outcomes_key"),          3  , "100px", "key" );
      stT.addColumn( oDec.k("edit_outcomes_contact"),     4  , "50px",  "con", new yesNoDecor() );
      stT.addColumn( oDec.k("edit_outcomes_qc"),          6  , "50px",  "qco", new yesNoDecor() );
      stT.addColumn( oDec.k("edit_outcomes_sale"),        5  , "50px",  "sal", new yesNoDecor() );
      stT.addColumn( "&nbsp;",  0 , "20px", new   buttonModificaDecor( oH )   );

      if ( stT.getNRigheTotaliQuery() > 0 ) {
  %>
    <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      }
  %>
  <%
      if ( stT.numRows() > 0 ) {

          stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
          out.println( stT.render() );
      }

      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
  <%
      } else { // ci sono righe
  %>
    <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      };
  %>

  <div class="qm-editor-button">
    <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
    <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
  </div>

</fieldset>
</div>


<%--

<center>

 <table>
        <tr>
            <td style="width: 33%;"></td>
            <td style="width: 33%; text-align: center;">
                <h1><%=oDec.k("edit_outcomes_title")%></h1>
            </td>
            <td style="width: 33%; text-align: right">
                <%= oH.textBox( PagedTransactor.getQueryField( stTabPrefix ), true, "vertical-align:bottom;", 100)  %>
                <%= oH.button( "", true, "width: 32px; height:32px; vertical-align:bottom; border:none; box-shadow:none; background: url("+stWebHere+"/img/magnifierbw32.png);", stVerbPrefix + "_list", "WithQuery" ) %>
            </td>
        </tr>
 </table>
 <div>
        <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
    </div>
<p>
<%
    SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
        it.loway.app.queuemetrics.configurazione.cfg2.ptOutcomes.SORTINGS );

    stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
    stT.addColumn( oDec.k("edit_outcomes_outcome"),      1  , "150px", "nome"   );
    stT.addColumn( oDec.k("edit_outcomes_description"), 2  , "200px", "des"   );
    stT.addColumn( oDec.k("edit_outcomes_key"),          3  , "100px", "key" );
    stT.addColumn( oDec.k("edit_outcomes_contact"),     4  , "50px",  "con", new yesNoDecor() );
    stT.addColumn( oDec.k("edit_outcomes_qc"),          6  , "50px",  "qco", new yesNoDecor() );
    stT.addColumn( oDec.k("edit_outcomes_sale"),        5  , "50px",  "sal", new yesNoDecor() );
    stT.addColumn( "&nbsp;",  0 , "20px", new   buttonModificaDecor( oH )   );

    if ( stT.getNRigheTotaliQuery() > 0 ) {
%>
<table  id="tabHeader" style="margin-bottom: 15px;">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    }
%>
<%
    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }
    if ( stT.getNRigheTotaliQuery() == 0 ) {
%>
    &nbsp;
    <p>
    <%= oDec.k("editor_no_items_found") %>
    <p>
    &nbsp;
<%
    } else { // ci sono righe
%>
<table  id="tabFooter">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    };
%>
            <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
</center>
--%>


<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_outcomes_list.jsp,v $
// Revision 1.8  2015/09/28 08:41:12  marcos
// jsp/jspf refactoring.
//
// Revision 1.7  2014/09/24 08:55:14  marcos
// Cosmetic: tables are not properly rendered by some browser because the size is not specified in pixel units.
//
// Revision 1.6  2014/05/19 09:46:33  lenz
// Merge FRANKIE
//
// Revision 1.5.8.1  2014/05/13 13:33:34  mirkox
// Nuova Grafica
//
// Revision 1.5  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.4  2008/11/12 10:20:54  marcos
// #357 - Added navigation buttons on top the table in all configuration pages
//
// Revision 1.3  2008/09/29 14:31:14  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.2.2.2  2008/04/21 08:47:51  lenz
// Bug #328: Editor: aggiunta Qualified Contact.
//
// Revision 1.2.2.1  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.2  2007/10/10 14:26:57  lenz
// Giro corretto Pause Codes.
//
// Revision 1.1  2007/10/10 09:08:22  lenz-mobile
// Uso transactor per Outomes, PCodes e Location - NON PROVATA.
//
//
//
%>
