<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_qa_forms";
    final String stTabPrefix  = "TABQA_FORMS";
    //--------------------------------------------------------------
    class btnModDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public btnModDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int nItems     = lt.getI(r, 15 );
                String stTesto = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit", true, "", stVerbPrefix + "_edit", stTesto );
                if ( nItems == 0 ) {
                 stButton += "&nbsp;"
                           + obH.imgButton( "../img/icons_silk/group_edit.png", "Edit", true, "", "qm_cfg2_qa_form_items", stTesto );
                }
                return  "  <td class='stData' style='width: " + width + ";'><nobr>" + stButton + "</nobr></td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
    class yesNoDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int inCode = lt.getS(r, c ).equalsIgnoreCase("Y") ? 1 : 0;
                String stTesto = "&nbsp;";
                if ( inCode > 0 ) {
                    stTesto = "<img src='../img/icons_silk/key_delete.png' width=16 height=16>";
                }
                return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
            }
    };
%>

<script >
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
}

var page_enableAdminSearch = true;
var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
var stVerbPrefix = "<%=stVerbPrefix%>";


</script>

<div class="qm-form-body">
<fieldset class="qm-fieldset">
  <legend><%=oDec.k("edit_qa_title")%></legend>
  <div class="qm-editor-search">
    <%-- search line --%>
    <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>
    
    <div class="qm-editor-button">
      <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
      <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
      <div><%= oH.button( oDec.k("editor_edit_items"), true, "", "qm_cfg2_qa_items_list", "") %></div>
    </div>
  </div>

  <%
      SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          it.loway.app.queuemetrics.configurazione.cfg2.ptQAForms.SORTINGS );

      //stT.addColumn( "&nbsp;",      10   , "10"   );
      stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
      stT.addColumn( oDec.k("edit_qa_name"),      1  , "200px", "nom" );
      stT.addColumn( "&nbsp;",    4  ,  "30px",  "lok", new yesNoDecor() );
      stT.addColumn( oDec.k("edit_qa_key_in"),    2  , "50px",  "sec" );
      stT.addColumn( oDec.k("edit_qa_key_rep"),   3  , "50px",  "sei" );
      stT.addColumn( oDec.k("edit_qa_sec_1"), 5  , "120px", "se1" );
      stT.addColumn( oDec.k("edit_qa_sec_2"), 6  , "120px", "se2" );
      stT.addColumn( oDec.k("edit_qa_sec_3"),7  , "120px", "se3" );
      stT.addColumn( oDec.k("edit_qa_sec_4"), 8  , "120px", "se4" );
      stT.addColumn( oDec.k("edit_qa_sec_5"), 9  , "120px", "se5" );
      stT.addColumn( oDec.k("edit_qa_sec_6"), 10  , "120px", "se6" );
      stT.addColumn( oDec.k("edit_qa_sec_7"), 11  , "120px", "se7" );
      stT.addColumn( oDec.k("edit_qa_sec_8"), 12  , "120px", "se8" );
      stT.addColumn( oDec.k("edit_qa_sec_9"), 13  , "120px", "se9" );
      stT.addColumn( oDec.k("edit_qa_sec_10"),14  , "120px", "se10" );
      stT.addColumn( oDec.k("edit_qa_items"),     15 , "70px" , "num" );
      stT.addColumn( "&nbsp;",    0  , "50px",   new btnModDecor( oH )   );

      if ( stT.getNRigheTotaliQuery() > 0 ) {
  %>
  <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      }
  %>
  <%
      if ( stT.numRows() > 0 ) {
          stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
          out.println( stT.render() );
      }

      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
    <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
  <%
      } else { // ci sono righe
  %>
  <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      };
  %>
  <div class="qm-editor-button">
    <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
    <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
    <div><%= oH.button( oDec.k("editor_edit_items"), true, "", "qm_cfg2_qa_items_list", "") %></div>
  </div>
</fieldset>
</div>


<%--
<center>
<table>
        <tr>
            <td style="width: 33%;"></td>
            <td style="width: 33%; text-align: center;">

            <h1><%=oDec.k("edit_qa_title")%></h1>
            </td>
            <td style="width: 33%; text-align: right">
                <%= oH.textBox( PagedTransactor.getQueryField( stTabPrefix ), true, "vertical-align:bottom;", 100)  %>
                <%= oH.button( "", true, "width: 32px; height:32px; vertical-align:bottom; border:none; box-shadow:none; background: url("+stWebHere+"/img/magnifierbw32.png);", stVerbPrefix + "_list", "WithQuery" ) %>
            </td>
        </tr>
</table>
<div>
            <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
        <%= oH.button( oDec.k("editor_edit_items"), true, "width: 120px", "qm_cfg2_qa_items_list", "") %>
</div>

<p>
<%
    SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
        it.loway.app.queuemetrics.configurazione.cfg2.ptQAForms.SORTINGS );

    //stT.addColumn( "&nbsp;",      10   , "10"   );
    stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
    stT.addColumn( oDec.k("edit_qa_name"),      1  , "200px", "nom" );
    stT.addColumn( "&nbsp;",    4  ,  "30px",  "lok", new yesNoDecor() );
    stT.addColumn( oDec.k("edit_qa_key_in"),    2  , "50px",  "sec" );
    stT.addColumn( oDec.k("edit_qa_key_rep"),   3  , "50px",  "sei" );
    stT.addColumn( oDec.k("edit_qa_sec_1"), 5  , "120px", "se1" );
    stT.addColumn( oDec.k("edit_qa_sec_2"), 6  , "120px", "se2" );
    stT.addColumn( oDec.k("edit_qa_sec_3"),7  , "120px", "se3" );
    stT.addColumn( oDec.k("edit_qa_sec_4"), 8  , "120px", "se4" );
    stT.addColumn( oDec.k("edit_qa_sec_5"), 9  , "120px", "se5" );
    stT.addColumn( oDec.k("edit_qa_sec_6"), 10  , "120px", "se6" );
    stT.addColumn( oDec.k("edit_qa_sec_7"), 11  , "120px", "se7" );
    stT.addColumn( oDec.k("edit_qa_sec_8"), 12  , "120px", "se8" );
    stT.addColumn( oDec.k("edit_qa_sec_9"), 13  , "120px", "se9" );
    stT.addColumn( oDec.k("edit_qa_sec_10"),14  , "120px", "se10" );
    stT.addColumn( oDec.k("edit_qa_items"),     15 , "70px" , "num" );
    stT.addColumn( "&nbsp;",    0  , "50px",   new btnModDecor( oH )   );

    if ( stT.getNRigheTotaliQuery() > 0 ) {
%>
<table  id="tabHeader" style="margin-bottom: 15px;">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    }
%>
<%
    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }
    if ( stT.getNRigheTotaliQuery() == 0 ) {
%>
    &nbsp;
    <p>
    <%= oDec.k("editor_no_items_found") %>
    <p>
    &nbsp;
<%
    } else { // ci sono righe
%>
<table  id="tabFooter">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    };
%>
            <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
        <%= oH.button( oDec.k("editor_edit_items"), true, "width: 120px", "qm_cfg2_qa_items_list", "") %>
</center>
    --%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_qa_forms_list.jsp,v $
// Revision 1.17  2015/09/28 08:41:12  marcos
// jsp/jspf refactoring.
//
// Revision 1.16  2014/09/24 08:55:14  marcos
// Cosmetic: tables are not properly rendered by some browser because the size is not specified in pixel units.
//
// Revision 1.15  2014/05/19 09:46:34  lenz
// Merge FRANKIE
//
// Revision 1.14.4.1  2014/05/13 13:33:39  mirkox
// Nuova Grafica
//
// Revision 1.14  2013/12/10 14:50:07  lenz-mobile
// #2096 - Editing QA form that has data in it.
//
// Revision 1.13  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.12  2010/01/12 17:11:53  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.11.2.1  2009/11/18 10:54:28  marcos
// #960 - QA: Having 10 sections and 100 scores
//
// Revision 1.9  2009/08/14 10:31:42  marcos
// #804: Editor form QA: change icon for blocked form
//
// Revision 1.8  2008/11/12 10:20:55  marcos
// #357 - Added navigation buttons on top the table in all configuration pages
//
// Revision 1.7  2008/03/31 13:39:06  lenz
// Bug #287: regole di edit/cancellazione record.
//
// Revision 1.6  2008/03/15 13:53:10  lenz
// Giro editor forms_items funziuonate con FlipMenu
//
// Revision 1.5  2008/03/15 11:46:38  lenz
// Caricamento dati form_items corretto.
//
// Revision 1.4  2008/03/14 18:57:15  lenz
// Aggiunti tutti i campi che servono.
//
// Revision 1.3  2008/03/14 12:07:14  lenz-mobile
// Versioni di sviluppo.
//
// Revision 1.2  2008/03/13 16:15:50  lenz
// Primo giro minimanete funzionante.
//
// Revision 1.1  2008/03/11 18:21:54  lenz
// Primo check-in - solo come segnaposto.
//
//
//
//
%>
