<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.app.queuemetrics.gridSmartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.QAPerfTrackRules" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_qa_perftrack_rulegroups";
    final String stTabPrefix  = "TABQA_PERFTRACKRULEGROUPS";
    final String stSmartTablePrefix = stTabPrefix + "_rl";
    final String stWidth = "";
%>
<%
    class btnModDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public btnModDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int nItems     = lt.getI(r, 10 );
                String stTesto = lt.getS(r, c );
                String stButton = obH.imgButtonJS( "../img/icons_silk/pencil.png", "Edit", true, "", "openEditPopup(" + stTesto + ");");
                return  "  <td class='stData' style='width: " + width + ";'><nobr>" + stButton + "</nobr></td>\n";
            }
    };
%>

<script>

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";

/*

        // This is the modal dialog for defining custom rules
        $("#dialog-modal-customrule").dialog({
            height: 580,
            width: 550,
            autoOpen: false,
            modal: true,
            buttons: {
                    Save: function() { closeCustomRuleDefDialog($(this), true); },
                    Cancel: function() { closeCustomRuleDefDialog($(this), false); }
            }
        });
*/
        // Initialize objects used by the custom rule definition dialog
        //onPageLoadCustomRuleDefDialog();
}


var page_cfg2_qa_perftrack_rulegroups_edit = true;
var stTabPrefix = "<%=stTabPrefix%>";
var stSmartTablePrefix = "<%=stSmartTablePrefix%>";
var QAPerfTrackRules = { RULE_TARGETNAME_COL : "<%=QAPerfTrackRules.RULE_TARGETNAME_COL%>",
                         RULE_RED_DEF_COL : "<%=QAPerfTrackRules.RULE_RED_DEF_COL%>",
                         RULE_YELLOW_DEF_COL : "<%=QAPerfTrackRules.RULE_YELLOW_DEF_COL%>" };

var KENCODING_UTF8 = "<%= K.ENCODING_UTF8 %>";




</script>


<div class="qm-form-body">
  <fieldset class="qm-fieldset L-column L-gap-24">
    <legend><%= oDec.k("edit_record_prftrk_title") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="<%= (stTabPrefix + "_rule_name") %>"><%= oDec.k("edit_record_name") %></label>
      <div><%= oH.textBox( stTabPrefix + "_rule_name",  true, stWidth, 256 ) %></div>

      <label for="<%= (stTabPrefix + "_rule_description")%>"><%= oDec.k("edit_record_description") %></label>
      <div><%= oH.textArea( stTabPrefix + "_rule_description",  true, stWidth + "", 10000 ) %></div>

      <label for="<%= (stTabPrefix + "_queue_id")%>"><%= oDec.k("edit_record_prftrk_queue") %></label>
      <div><%= oH.combo( stTabPrefix + "_queue_id", true, stWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %></div>

      <label for="<%= (stTabPrefix + "_form_id")%>"><%= oDec.k("edit_record_prftrk_form") %></label>
      <div><%= oH.combo( stTabPrefix + "_form_id", true, stWidth, oC.getLt( "QAR_ltFormsReports" ), 0, 1, "" ) %></div>

      <label for="<%= (stTabPrefix + "_visibility_key")%>"><%= oDec.k("edit_record_securitykey") %></label>
      <div><%= oH.textBox( stTabPrefix + "_visibility_key",  true, stWidth, 100 ) %></div>
    </div>

    <div id="div1" style="display: <%= (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 )? "block" : "none" %>">
    <%
      GridSmartTable stT = new GridSmartTable( stSmartTablePrefix, "", stTabPrefix + "_ruleslist", oC, oDec);
      stT.addColumn( oDec.k("edit_record_prftrk_target"), QAPerfTrackRules.RULE_TARGETNAME_COL, "");
      stT.addColumn( oDec.k("edit_record_prftrk_enabled"), QAPerfTrackRules.RULE_ENABLED_COL, "", new YesNoGridSmartTableDecor(stT));
      stT.addColumn( "&nbsp;", QAPerfTrackRules.RULE_ID_COL, "20", new ButtonGridSmartTableDecor(stT, "Edit", "editRule").setEnableCol(QAPerfTrackRules.RULE_AVERAGED_COL, 1));
      stT.addColumn( oDec.k("edit_record_prftrk_yellow"), QAPerfTrackRules.RULE_YELLOW_DEF_COL, "", new TextBoxGridSmartTableDecor(stT));
      stT.addColumn( oDec.k("edit_record_prftrk_score"), QAPerfTrackRules.RULE_YELLOW_SCORE_COL, "", new TextBoxGridSmartTableDecor(stT));
      stT.addColumn( oDec.k("edit_record_prftrk_red"), QAPerfTrackRules.RULE_RED_DEF_COL, "", new TextBoxGridSmartTableDecor(stT));
      stT.addColumn( oDec.k("edit_record_prftrk_score"), QAPerfTrackRules.RULE_RED_SCORE_COL, "", new TextBoxGridSmartTableDecor(stT));
      if ( stT.numRows() > 0 ) {
          out.println( stT.render() );
      }
    %>
    </div>

    <div class="L-row uk-flex-between">
      <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABQA_PERFTRACKRULEGROUPS_rule_name")+"','"+oC.getS("TABQA_PERFTRACKRULEGROUPS_id_rulegroup")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
  </fieldset>



<%--
<center>
<h1><%= oDec.k("edit_record_prftrk_title") %></h1>
<p>
<table class="ST">
    <tr><td>
    <%= oDec.k("edit_record_name") %>
    </td><td>
    <%= oH.textBox( stTabPrefix + "_rule_name",  true, stWidth, 256 ) %>
    </td></tr>
    <tr><td>
    <%= oDec.k("edit_record_description") %>
    </td><td>
    <%= oH.textArea( stTabPrefix + "_rule_description",  true, stWidth + "height: 90px;", 10000 ) %>
    </td></tr>
    <tr><td>
    <%= oDec.k("edit_record_prftrk_queue") %>
    </td><td>
    <%= oH.combo( stTabPrefix + "_queue_id", true, stWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %>
    </td></tr>
    <tr><td>
    <%= oDec.k("edit_record_prftrk_form") %>
    </td><td>
    <%= oH.combo( stTabPrefix + "_form_id", true, stWidth, oC.getLt( "QAR_ltFormsReports" ), 0, 1, "" ) %>
    </td></tr>
    <tr><td>
    <%= oDec.k("edit_record_securitykey") %>
    </td><td>
    <%= oH.textBox( stTabPrefix + "_visibility_key",  true, stWidth, 100 ) %>
    </td></tr>
</table>
<p>
<div id="div1" style="display: <%= (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 )? "block" : "none" %>">

    GridSmartTable stT = new GridSmartTable( stSmartTablePrefix, "", stTabPrefix + "_ruleslist", oC, oDec);
    stT.addColumn( oDec.k("edit_record_prftrk_target"), QAPerfTrackRules.RULE_TARGETNAME_COL, "90");
    stT.addColumn( oDec.k("edit_record_prftrk_enabled"), QAPerfTrackRules.RULE_ENABLED_COL, "60", new YesNoGridSmartTableDecor(stT));
    stT.addColumn( "&nbsp;", QAPerfTrackRules.RULE_ID_COL, "20", new ButtonGridSmartTableDecor(stT, "Edit", "editRule").setEnableCol(QAPerfTrackRules.RULE_AVERAGED_COL, 1));
    stT.addColumn( oDec.k("edit_record_prftrk_yellow"), QAPerfTrackRules.RULE_YELLOW_DEF_COL, "100", new TextBoxGridSmartTableDecor(stT));
    stT.addColumn( oDec.k("edit_record_prftrk_score"), QAPerfTrackRules.RULE_YELLOW_SCORE_COL, "80", new TextBoxGridSmartTableDecor(stT));
    stT.addColumn( oDec.k("edit_record_prftrk_red"), QAPerfTrackRules.RULE_RED_DEF_COL, "100", new TextBoxGridSmartTableDecor(stT));
    stT.addColumn( oDec.k("edit_record_prftrk_score"), QAPerfTrackRules.RULE_RED_SCORE_COL, "80", new TextBoxGridSmartTableDecor(stT));
    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }

</div>
<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABQA_PERFTRACKRULEGROUPS_rule_name")+"','"+oC.getS("TABQA_PERFTRACKRULEGROUPS_id_rulegroup")+"')") %>

</center>
--%>


  <%@ include file="./cfg2_qa_customruledef.jsp" %>


</div>
<%@ include file="/includes/00_page_footer.jspf" %>
<%
// $Log: cfg2_qa_perftrack_rulegroups_edit.jsp,v $
// Revision 1.5  2015/09/28 08:41:12  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2014/05/19 09:46:34  lenz
// Merge FRANKIE
//
// Revision 1.3.8.1  2014/05/13 13:33:35  mirkox
// Nuova Grafica
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2011/01/14 11:16:43  marcos
// IMM14 merge on main trunk
//
// Revision 1.1.2.2  2010/10/29 08:34:17  marcos
// QA Performance tracking
//
// Revision 1.1.2.1  2010/09/01 10:03:43  marcos
// QA Performance tracking - 1st part - interrupted for payroll implementation requirements.
//
//
%>
