<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    oDec.load( "amo_recall_stepping", "amo_recall_stepping.txt", 0, 1 );


    final String stVerbPrefix = "qm_cfg2_queues";
    final String stTabPrefix  = "TABCODE_POSSIBILI";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
    oDec.load( "queueDirection", "queueDirection.txt", 0, 1 );
    oDec.load( "queueDirectionImg", "queueDirection.txt", 0, 2 );
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    class agentsDecor {
        public agentsDecor(){ };
        public String colorifyInvalidAgents(String agentList, String invalidAgentList) {
            ArrayList arAgentList = U.split(agentList, "|");
            Set setInvalidAgents = new HashSet(U.split(invalidAgentList, "|"));
            ArrayList arResult = new ArrayList();
            for (int i = 0; i < arAgentList.size(); i++) {
                String agent = (String) arAgentList.get(i);
                if (setInvalidAgents.contains(agent))
                    arResult.add("<font color='red'>" + agent + "</font>");
                else
                    arResult.add(agent);
            }
            return U.join( arResult, ", " );
        }
    }
   agentsDecor agentsDecorator = new agentsDecor();

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABCODE_POSSIBILI_nome_coda" );
}
</script>

<div class="qm-form-body L-column L-gap-48">
  <div class="qm-fieldset"> 
    <legend><%= oDec.k("edit_record_queue_title") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="TABCODE_POSSIBILI_nome_coda"><%= oDec.k("edit_record_queue_alias") %></label>
      <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_nome_coda", true, stWidth, 50 ) %></div>

      <label for="TABCODE_POSSIBILI_composizione_coda">
        <%= oDec.k("edit_record_queue_queues") %><br>
        <small><%= oDec.k("edit_record_queue_separate") %></small>
      </label>
      <div class="uk-width-2-3@s"><%= oH.textArea( "TABCODE_POSSIBILI_composizione_coda", true, stWidth , 500 ) %></div>


      <label for="TABCODE_POSSIBILI_visibility_key"><%= oDec.k("edit_record_queue_visibility") %></label>
      <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_visibility_key", true, stWidth, 500 ) %></div>

      <label for="TABCODE_POSSIBILI_q_direction"><%= oDec.k("edit_record_queue_flow") %></label>
      <div class="uk-width-2-3@s"><%= oH.combo( "TABCODE_POSSIBILI_q_direction",  true, stWidth, "queueDirection", "inbound" ) %></div>

      <label for="TABCODE_POSSIBILI_q_frontpage"><%= oDec.k("edit_record_queue_shown") %></label>
      <div class="uk-width-2-3@s"><%= oH.combo( "TABCODE_POSSIBILI_q_frontpage",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>

      <label for="TABCODE_POSSIBILI_chat_group"><%= oDec.k("edit_record_queue_chat") %></label>
      <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_chat_group", true, stWidth, 50 ) %></div>

      <label for="TABCODE_POSSIBILI_queue_url"><%= oDec.k("edit_record_queue_url") %></label>
      <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_queue_url", true, stWidth, 249 ) %></div>

      <label for="TABCODE_POSSIBILI_external_reference"><%= oDec.k("edit_record_external_reference") %></label>
      <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_external_reference", true, stWidth, 250 ) %></div>

      <div class="uk-text-right@s"><%= oDec.k("edit_record_queue_mainag") %></div>
      <div class="uk-width-2-3@s"><%= agentsDecorator.colorifyInvalidAgents(oC.getS("TABCODE_POSSIBILI_agenti_membri"), oC.getS("TABCODE_POSSIBILI_agenti_membri_invalid") ) %></div>

      <div class="uk-text-right@s"><%= oDec.k("edit_record_queue_wrapag") %></div>
      <div class="uk-width-2-3@s"><%= agentsDecorator.colorifyInvalidAgents(oC.getS("TABCODE_POSSIBILI_agenti_spilloff_1"), oC.getS("TABCODE_POSSIBILI_agenti_spilloff_1_invalid") ) %></div>

      <div class="uk-text-right@s"><%= oDec.k("edit_record_queue_spillag") %></div>
      <div class="uk-width-2-3@s"><%= agentsDecorator.colorifyInvalidAgents(oC.getS("TABCODE_POSSIBILI_agenti_spilloff_2"), oC.getS("TABCODE_POSSIBILI_agenti_spilloff_2_invalid") ) %> </div>
    </div>


    <div class="uk-flex uk-flex-middle uk-child-width-1-3@s" uk-grid>
      <div class="uk-text-right"><%= oDec.k("edit_record_queue_attention") %></div>
      <div class="uk-text-warning uk-text-center">Yellow alarm</div>
      <div class="uk-text-danger uk-text-center">Red alarm</div>

      <label for="TABCODE_POSSIBILI_sl_calls_y"><%= oDec.k("edit_record_queue_callsinqueue") %></label>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_calls_y", true, stWidthShort, 20 ) %></div>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_calls_r", true, stWidthShort, 20 ) %></div>

      <label for="TABCODE_POSSIBILI_sl_ag_calls_y"><%= oDec.k("edit_record_queue_agentsoncall") %></label>
      <div class="uk-width-1-3@s"> <%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_calls_y", true, stWidthShort, 20 ) %></div>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_calls_r", true, stWidthShort, 20 ) %></div>

      <label for="TABCODE_POSSIBILI_sl_ag_wait_y"><%= oDec.k("edit_record_queue_agentswaiting") %></label>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_wait_y", true, stWidthShort, 20 ) %></div>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_wait_r", true, stWidthShort, 20 ) %></div>

      <label for="TABCODE_POSSIBILI_sl_ag_pause_y"><%= oDec.k("edit_record_queue_agentspaused") %></label>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_pause_y", true, stWidthShort, 20 ) %></div>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_pause_r", true, stWidthShort, 20 ) %></div>

      <label for=""><%= oDec.k("edit_record_queue_waitduration") %></label>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_waittime_y", true, stWidthShort, 20 ) %></div>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_waittime_r", true, stWidthShort, 20 ) %></div>

      <label for=""><%= oDec.k("edit_record_queue_talkingduration") %></label>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_talktime_y", true, stWidthShort, 20 ) %></div>
      <div class="uk-width-1-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_sl_talktime_r", true, stWidthShort, 20 ) %></div>

      <label for=""><%= oDec.k("edit_record_queue_sla") %></label>
      <div class="uk-child-width-2-3"><%= oH.textBox( "TABCODE_POSSIBILI_req_sla", true, stWidth, 50 ) %></div>
  </div>
  </div>

  <div class="qm-fieldset" >
  <legend class="uk-margin"><%= oDec.k("edit_record_queue_wdsettings") %></legend>
    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="TABCODE_POSSIBILI_wb_campaigns">
        <%= oDec.k("edit_record_queue_recall") %><br>
        <small><font color="gray"><%= oDec.k("edit_record_queue_separate") %></font></small>
      </label>
      <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_wb_campaigns", true, stWidth, 500 ) %></div>

      <label for="TABCODE_POSSIBILI_wb_recallmaxdays"><%= oDec.k("edit_record_queue_recalldays") %></label>
      <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_wb_recallmaxdays", true, stWidth, 500 ) %></div>
    </div>
  </div>

  <div class="qm-fieldset">
  <legend class="uk-margin"><%= oDec.k("edit_record_queue_syncsettings") %></legend>
    <div class="uk-flex uk-flex-middle uk-child-width-1-3@s" uk-grid>
      <label for="TABCODE_POSSIBILI_delete_protection"><%= oDec.k("edit_record_queue_delete_protection") %></label>
      <div class="uk-width-2-3@s"><%= oH.combo( "TABCODE_POSSIBILI_delete_protection",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>

      <label for="TABCODE_POSSIBILI_update_protection"><%= oDec.k("edit_record_queue_update_protection") %></label>
      <div class="uk-width-2-3@s"><%= oH.combo( "TABCODE_POSSIBILI_update_protection",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>

      <label for="TABCODE_POSSIBILI_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
      <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_nomedata_insert",  false, stWidth, 100 ) %></div>

      <label for=""><%= oDec.k("edit_record_lastupdate") %></label>
      <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_nomedata_update",  false, stWidth, 100 ) %></div>
    </div>
  </div>





<fieldset class="qm-fieldset">
<legend class="uk-margin"><%= oDec.k("edit_record_queue_amo") %></legend>
  <div class="uk-flex uk-flex-middle uk-child-width-1-3@s" uk-grid>
    <label for="TABCODE_POSSIBILI_amo_enabled"><%= oDec.k("edit_record_queue_amo_enabled") %></label>
    <div class="uk-width-2-3@s"><%= oH.combo( "TABCODE_POSSIBILI_amo_enabled",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>

 <label for="TABCODE_POSSIBILI_amo_recall_max_attempts"><%= oDec.k("edit_record_queue_amo_recall_max_attempts") %></label>
    <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_amo_recall_max_attempts", true, stWidth, 500 ) %></div>

     <label for="TABCODE_POSSIBILI_amo_recall_sec"><%= oDec.k("edit_record_queue_amo_recall_sec") %></label>
        <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_amo_recall_sec", true, stWidth, 500 ) %></div>

        <label for="TABCODE_POSSIBILI_amo_recall_stepping"><%= oDec.k("edit_record_queue_amo_recall_stepping") %></label>
            <div class="uk-width-2-3@s"><%= oH.combo( "TABCODE_POSSIBILI_amo_recall_stepping",  true, stWidth, "amo_recall_stepping", "1" ) %></div>

 <label for="TABCODE_POSSIBILI_amo_recall_valid_outcomes"><%= oDec.k("edit_record_queue_amo_recall_valid_outcomes") %></label>
        <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_amo_recall_valid_outcomes", true, stWidth, 500 ) %></div>

     <label for="TABCODE_POSSIBILI_amo_recall_attributes"><%= oDec.k("edit_record_queue_amo_recall_attributes") %></label>
            <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_amo_recall_attributes", true, stWidth, 500 ) %></div>


  </div>
</fieldset>


<fieldset class="qm-fieldset">
<legend class="uk-margin"><%=oDec.k("edit_record_queue_agawsettings") %></legend>
  <div class="uk-flex uk-flex-middle uk-child-width-1-3@s" uk-grid>
    <label for="TABCODE_POSSIBILI_agaw_runnable"><%= oDec.k("edit_record_queue_agawrun") %></label>
    <div> <%= oH.combo( "TABCODE_POSSIBILI_agaw_runnable",  false, stWidthShort, "masterkeyAbilitato", "1" ) %></div>
    <div> &nbsp; <%= oDec.k("edit_record_queue_items") %> <%= oC.getI("TABCODE_POSSIBILI_agaw_n_alarms") %> </div>

    <label for="TABCODE_POSSIBILI_agaw_enabled"><%= oDec.k("edit_record_queue_agawenabled") %></label>
    <div class="uk-width-2-3@s"><%= oH.combo( "TABCODE_POSSIBILI_agaw_enabled",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>

    <label for="TABCODE_POSSIBILI_agaw_lookback_min"><%= oDec.k("edit_record_queue_agawlookback") %></label>
    <div class="uk-width-2-3@s"><%= oH.textBox( "TABCODE_POSSIBILI_agaw_lookback_min", true, stWidth, 5 ) %></div>
  </div>
</fieldset>



  <div class="L-row uk-flex-between">
    <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("edit_record_queue_agentsbutton"), (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ) , "", "qm_cfg2_queues_agents", oC.getS("TABCODE_POSSIBILI_id_coda"), "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_queue_agawalarms"), (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ) , "", "qm_cfg2_queues_agaw_alarms", oC.getS("TABCODE_POSSIBILI_id_coda"), "Q-button-secondary") %>
    </div>
    
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
      <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCODE_POSSIBILI_nome_coda")+"','"+oC.getS("TABCODE_POSSIBILI_id_coda")+"')", "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
  </div>

</div>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_queues_edit.jsp,v $
// Revision 1.16  2015/09/28 08:41:13  marcos
// jsp/jspf refactoring.
//
// Revision 1.15  2015/05/08 10:57:55  marcos
// Merge 24 on trunk
//
// Revision 1.14  2015/04/23 08:30:50  marcos
// #2704 #2705 #2706 #2707
//
// Revision 1.13.2.1  2014/11/04 08:47:25  marcos
// #2462 - RTTF: QM editors
//
// Revision 1.13  2014/09/24 08:55:14  marcos
// Cosmetic: tables are not properly rendered by some browser because the size is not specified in pixel units.
//
// Revision 1.12  2014/05/19 09:46:35  lenz
// Merge FRANKIE
//
// Revision 1.11.4.1  2014/05/13 13:33:38  mirkox
// Nuova Grafica
//
// Revision 1.11  2013/12/11 12:32:23  lenz-mobile
// #2023 - Size of field queue_url
//
// Revision 1.10  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.9  2010/04/29 09:43:25  lenz-mobile
// Bug #1088 - avanzi di qlco di vecchio.
//
// Revision 1.8  2010/01/22 11:35:21  marcos
// #961: Deleting agents could generate queues with invalid agents
//
// Revision 1.7  2009/07/04 09:40:07  lenz-mobile
// Bug #662 - cloning dei forms
//
// Revision 1.6  2009/03/14 18:45:21  lenz-mobile
// Bug #656: Apertura di URL di default per coda.
//
// Revision 1.5  2008/10/22 14:56:16  lenz
// Bug #488 - Salvataggio valore agaw_lookback
//
// Revision 1.4  2008/09/29 14:31:15  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.3.2.5  2008/08/17 15:38:20  lenz-mobile
// Bug #434: nuovo editor delle code per allarmi AGAW
//
// Revision 1.3.2.4  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.3.2.3  2008/01/16 16:17:42  lenz
// Aggiunta "chat group"
//
// Revision 1.3.2.2  2008/01/10 17:52:47  lenz
// Scritte pi� chiare.
//
// Revision 1.3.2.1  2007/12/08 16:36:19  lenz
// Dati SPH/CPH
//
// Revision 1.3  2007/11/17 13:05:36  lenz
// Bug #234: Code invisibili.
//
// Revision 1.2  2007/10/01 16:05:35  lenz
// Integrazione con nuovo editor code-agenti.
//
// Revision 1.1  2007/10/01 14:30:37  lenz
// Giro delle code funzionante (tranne editor agenti/code)
//
//
//
//
%>
