<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_queues";
    final String stTabPrefix  = "TABCODE_POSSIBILI";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonModificaDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = obH.imgButton( "../img/icons_silk/pencil.png", "Edit queue", true, "", stVerbPrefix + "_edit", stTesto )
                                + "&nbsp;"
                                + obH.imgButton( "../img/icons_silk/group_edit.png", "Edit agents", true, "", "qm_cfg2_queues_agents", stTesto )
                                + "&nbsp;"
                                + obH.imgButton( "../img/icons_silk/ssar_editagents.png", "Assign reports to agents", true, "", "qm_cfg2_queues_ssar_agents", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class wrapUpDecor implements TpfCellDecoratorInterface {
            public wrapUpDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData' style='width: " + width + ";'>" + stTesto+ " s.</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
    class aliasDecor implements TpfCellDecoratorInterface {
            String stSampleImage = "";
            public aliasDecor( String image ) { stSampleImage = image; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                String stInOutbound = lt.getS(r, 10 );
                if (stInOutbound.length() == 0) {
                    stInOutbound = KA.QDIRECTION_UNDEFINED;
                }
                String stImg = U.subst( stSampleImage, "##DIR##", stInOutbound );
                return "  <td class='stData' style='width: " + width + ";'>" + stImg + "&nbsp;" + stTesto + " </td>\n";
            }
    };
    class queuesDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                stTesto = U.subst( stTesto, "|", ", " );
                return  "  <td class='stData' style='width: " + width + ";'>" + stTesto + "</td>\n";
            }
    };

    class yesNoDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int inCode = lt.getI(r, c );
                String stTesto = "<img src='../img/icons_silk/bru_notinuse.png' width=16 height=16>";
                if ( inCode > 0 ) {
                    stTesto = "<img src='../img/icons_silk/accept.png' width=16 height=16>";
                }
                return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
            }
    };
    class topAlignDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stText = lt.getS(r, c );
                return  "  <td class='stData' style='width: " + width + "; text-align: left; vertical-align: top;'>" + stText + "</td>\n";
            }
    };
%>

<script>
  function onLoadApplicativo() {
  	// transazione standard
  	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
  	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";

    //setFocus( "<%= PagedTransactor.getQueryField( stTabPrefix ) %>" );
  }

  var page_enableAdminSearch = true;
  var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
  var stVerbPrefix = "<%=stVerbPrefix%>";

</script>


<div class="qm-form-body">
  <fieldset class="qm-fieldset">
  <legend><%=oDec.k("edit_queues_title")%></legend>
  <div class="qm-editor-search">

    <%-- search line --%>
    <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

    <div class="qm-editor-button"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
    <div ><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>

  </div>
  <%
      SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          it.loway.app.queuemetrics.configurazione.cfg2.ptQueues.SORTINGS );

      //stT.addColumn( "&nbsp;",      10   , "10"   );
      //stT.addColumn( "&nbsp;",  0 , "30px", new   selectDecor( )   );
      stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
      stT.addColumn( oDec.k("edit_queues_alias"),      1   , "150px",   "ali" , new aliasDecor( "<img src='" + stWebHere + "/img/icon_##DIR##.png'" + KA.SIZE_ICONS_IN_OUT + ">" ) );
      stT.addColumn( oDec.k("edit_queues_queues"),     2   , "350px", "que", new queuesDecor()   );
      //stT.addColumn( "Wrap",           7  , "50px", "wra", new wrapUpDecor() );
      //stT.addColumn( "Ann.",           8  , "50px", "ann", new wrapUpDecor() );
      stT.addColumn( oDec.k("edit_queues_key"),            9  , "50px", "key" );
      stT.addColumn( oDec.k("edit_queues_fp"),             11 , "50px", "frp", new yesNoDecor() );
      stT.addColumn( oDec.k("edit_queues_agents"),         6  , "90px", new topAlignDecor() );
      stT.addColumn( "&nbsp;",  0 , "90px", new   buttonModificaDecor( oH )   );

      if ( stT.getNRigheTotaliQuery() > 0 ) {
  %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      }
  %>
  <%
      if ( stT.numRows() > 0 ) {
          stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
          out.println( stT.render() );
      }
      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
  <%  }
        else
      { // ci sono righe
  %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <% }; %>
  <div class="qm-editor-button">
      <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
      <div ><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
  </div>
  </fieldset>
</div>

<%--

<center>
    <table>
        <tr>
            <td style="width: 33%;"></td>
            <td style="width: 33%; text-align: center;">
                <h1><%=oDec.k("edit_queues_title")%></h1>
            </td>
            <td style="width: 33%; text-align: right">
                <%= oH.textBox( PagedTransactor.getQueryField( stTabPrefix ), true, "vertical-align:bottom;", 100)  %>
                <%= oH.button( "", true, "width: 32px; height:32px; vertical-align:bottom; border:none; box-shadow:none; background: url("+stWebHere+"/img/magnifierbw32.png);", stVerbPrefix + "_list", "WithQuery" ) %>
            </td>
        </tr>
    </table>
    <div>
            <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
    </div>
<p>
<%
    SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
        it.loway.app.queuemetrics.configurazione.cfg2.ptQueues.SORTINGS );

    //stT.addColumn( "&nbsp;",      10   , "10"   );
    //stT.addColumn( "&nbsp;",  0 , "30px", new   selectDecor( )   );
    stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
    stT.addColumn( oDec.k("edit_queues_alias"),      1   , "150px",   "ali" , new aliasDecor( "<img src='" + stWebHere + "/img/icon_##DIR##.png'" + KA.SIZE_ICONS_IN_OUT + ">" ) );
    stT.addColumn( oDec.k("edit_queues_queues"),     2   , "350px", "que", new queuesDecor()   );
    //stT.addColumn( "Wrap",           7  , "50px", "wra", new wrapUpDecor() );
    //stT.addColumn( "Ann.",           8  , "50px", "ann", new wrapUpDecor() );
    stT.addColumn( oDec.k("edit_queues_key"),            9  , "50px", "key" );
    stT.addColumn( oDec.k("edit_queues_fp"),             11 , "50px", "frp", new yesNoDecor() );
    stT.addColumn( oDec.k("edit_queues_agents"),         6  , "90px", new topAlignDecor() );
    stT.addColumn( "&nbsp;",  0 , "90px", new   buttonModificaDecor( oH )   );

    if ( stT.getNRigheTotaliQuery() > 0 ) {
%>
<table  id="tabHeader" style="margin-bottom: 15px;">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    }
%>
<%
    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }
    if ( stT.getNRigheTotaliQuery() == 0 ) {
%>
    &nbsp;
    <p>
    <%= oDec.k("editor_no_items_found") %>
    <p>
    &nbsp;
<%
    } else { // ci sono righe
%>
<table  id="tabFooter">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    };
%>
            <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
</center>

--%>
<%-- old --%>

<%--

<center>
    <table>
        <tr>
            <td style="width: 33%;"></td>
            <td style="width: 33%; text-align: center;">
                <h1><%=oDec.k("edit_queues_title")%></h1>
            </td>
            <td style="width: 33%; text-align: right">
                <%= oH.textBox( PagedTransactor.getQueryField( stTabPrefix ), true, "vertical-align:bottom;", 100)  %>
                <%= oH.button( "", true, "width: 32px; height:32px; vertical-align:bottom; border:none; box-shadow:none; background: url("+stWebHere+"/img/magnifierbw32.png);", stVerbPrefix + "_list", "WithQuery" ) %>
            </td>
        </tr>
    </table>
    <div>
        <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
    </div>
<p>
<%
    SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
        it.loway.app.queuemetrics.configurazione.cfg2.ptQueues.SORTINGS );

    //stT.addColumn( "&nbsp;",      10   , "10"   );
    //stT.addColumn( "&nbsp;",  0 , "30px", new   selectDecor( )   );
    stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
    stT.addColumn( oDec.k("edit_queues_alias"),      1   , "150px",   "ali" , new aliasDecor( "<img src='" + stWebHere + "/img/icon_##DIR##.png'" + KA.SIZE_ICONS_IN_OUT + ">" ) );
    stT.addColumn( oDec.k("edit_queues_queues"),     2   , "350px", "que", new queuesDecor()   );
    //stT.addColumn( "Wrap",           7  , "50px", "wra", new wrapUpDecor() );
    //stT.addColumn( "Ann.",           8  , "50px", "ann", new wrapUpDecor() );
    stT.addColumn( oDec.k("edit_queues_key"),            9  , "50px", "key" );
    stT.addColumn( oDec.k("edit_queues_fp"),             11 , "50px", "frp", new yesNoDecor() );
    stT.addColumn( oDec.k("edit_queues_agents"),         6  , "90px", new topAlignDecor() );
    stT.addColumn( "&nbsp;",  0 , "90px", new   buttonModificaDecor( oH )   );

    if ( stT.getNRigheTotaliQuery() > 0 ) {
%>
<table  id="tabHeader" style="margin-bottom: 15px;">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    }
%>
<%
    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }
    if ( stT.getNRigheTotaliQuery() == 0 ) {
%>
    &nbsp;
    <p>
    <%= oDec.k("editor_no_items_found") %>
    <p>
    &nbsp;
<%
    } else { // ci sono righe
%>
<table  id="tabFooter">
<tr><td align="left" >
<%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
</td><td align="right">
<%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
</td></tr>
</table>
<%
    };
%>
            <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
</center>
--%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_queues_list.jsp,v $
// Revision 1.17  2015/09/28 08:41:13  marcos
// jsp/jspf refactoring.
//
// Revision 1.16  2014/09/24 08:55:14  marcos
// Cosmetic: tables are not properly rendered by some browser because the size is not specified in pixel units.
//
// Revision 1.15  2014/05/19 09:46:35  lenz
// Merge FRANKIE
//
// Revision 1.14.4.1  2014/05/13 13:33:37  mirkox
// Nuova Grafica
//
// Revision 1.14  2013/10/23 07:21:30  marcos
// #1992: Can't set the 'Call Flow' option of a queue as 'Undefined'
//
// Revision 1.13  2013/10/22 13:12:24  marcos
// #1993:  Queues with 'Undefined' call flow have no icon
//
// Revision 1.12  2012/09/18 11:35:04  marcos
// Changed title for SSar icons.
//
// Revision 1.11  2012/07/13 09:25:40  marcos
// #1653 - SsAR - Queue Editor
//
// Revision 1.10  2012/06/11 08:20:42  lenz-mobile
// Allineamento campo agenti in verticale
//
// Revision 1.9  2012/04/25 08:54:32  lenz-mobile
// Descrizione bottoni
//
// Revision 1.8  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.7  2010/01/22 11:35:21  marcos
// #961: Deleting agents could generate queues with invalid agents
//
// Revision 1.6  2008/11/12 10:20:55  marcos
// #357 - Added navigation buttons on top the table in all configuration pages
//
// Revision 1.5  2008/10/07 15:25:31  lenz
// Bug #446 - nuove icone fatte da me.
//
// Revision 1.4  2008/09/29 14:31:14  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.3.2.1  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.3  2007/11/17 13:05:36  lenz
// Bug #234: Code invisibili.
//
// Revision 1.2  2007/10/01 16:05:35  lenz
// Integrazione con nuovo editor code-agenti.
//
// Revision 1.1  2007/10/01 14:30:37  lenz
// Giro delle code funzionante (tranne editor agenti/code)
//
//
//
%>
