<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>

<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_users";
    final String stTabPrefix  = "TABUSERS";
    String stWidth = " ";


/*
    both context variables are not initialized when
    we create a new user, unless we modified an another user before.

    So we have to check if the context has been populated or not.
*/

    String js_keyConfig =  oC.getS("TABUSERS_keyConfig");
    if (js_keyConfig == null ||  js_keyConfig.length() == 0)
    {
      js_keyConfig = "{}";
    }

    String js_keyClasses =  oC.getS("TABUSERS_keyClasses");
    if (js_keyClasses == null ||  js_keyClasses.length() == 0)
    {
      js_keyClasses = "{}";
    }

%>
<script>
//console.log("variable java : -" + js_keyConfig+"-");
var page_cfg_user_edit = true;
var secKeyConfig = <%=js_keyConfig%>; //this is  a bug
var secKeyFromClasses = <%=js_keyClasses%>;

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].TPF_VERBO.value = "";
	document.forms[0].TPF_XPAR1.value = "";

  setFocus("TABUSERS_login");
}
</script>

<!-- BEGIN: Templates for keyset helper dialog. -->
<script type="text/x-template" class="unknownKeysTemplate">

  <ul uk-accordion class="unknownKeysContainer">
      <li >
          <a class="uk-accordion-title unknownKeySetTitle" href="#"><%=oDec.k("keydesc_cat_customkeyset") %></a>
          <div class="uk-accordion-content">
            <span class="unknownKeys" id="unknownKeys"/>
              <input type="hidden" id="id_chk_hiddenchk" checked="true" />
          </div>
      </li>
  </ul>

<%-- old stuff
	<div class="unknownKeysContainer">
		<h3><a href="#" class="unknownKeySetTitle"><%=oDec.k("keydesc_cat_customkeyset") %></a></h3>
		<div>
			<span class="unknownKeys" id="unknownKeys"/>
			<input type="hidden" id="id_chk_hiddenchk" checked="true" />
		</div>
	</div>
--%>
</script>


<script type="text/x-template" class="categoryTemplate">

  <ul uk-accordion class="secKeyCategory">
      <li >
          <a class="uk-accordion-title secKeyTitle" href="#">[SECKEYCATEGORYDESC]</a>
          <div class="uk-accordion-content keydefs">
          </div>
      </li>
  </ul>

<%-- old stuff
    <div class="secKeyCategory">
        <h3><a href="#" class="secKeyTitle">[SECKEYCATEGORYDESC]</a></h3>
        <div class="keydefs"/>
    </div>
--%>

</script>

<script type="text/x-template" class="keyDefTemplate">
    <div class="secKeyDef">

            <input type="checkbox" class="keydefCheckBox" />
<%-- TODO this should be a label --%>
            <span class="keydefDescr">[SECKEYDESCR]</span>
            <input type="hidden" class="keydefParents"/>
            <input type="hidden" class="keydefNotCompatible"/>
    </div>
</script>
<!-- END: Templates. -->


<div class="qm-form-body L-column L-gap-24">
  <legend><%= oDec.k("edit_record_users_title") %></legend>
  <div class="uk-grid-large uk-child-width-1-2" uk-grid>
    <div class="left">
      <div class="L-column L-gap-16">
        <div class="L-column L-gap-8">
          <label for="TABUSERS_user_id"><%= oDec.k("edit_record_users_id") %></label>
          <%= oH.textBox( "TABUSERS_user_id",  false, stWidth, 100 ) %>
        </div>
  
        <div class="L-column L-gap-8">
          <label for="TABUSERS_login"><%= oDec.k("edit_record_users_login") %></label>
          <%= oH.textBox( "TABUSERS_login",  true, stWidth, 100 ) %>
        </div>
  
        <div class="L-column L-gap-8">
          <label for="TABUSERS_real_name"><%= oDec.k("edit_record_users_realname") %></label>
          <%= oH.textBox( "TABUSERS_real_name",  true, stWidth, 100 ) %>
        </div>

        <div class="L-column L-gap-8">
          <label for="TABUSERS_email"><%= oDec.k("edit_record_users_email") %></label>
          <%= oH.textBox( "TABUSERS_email",  true, stWidth, 100 ) %>
        </div>
  
        <div class="L-column L-gap-8">
          <label for="TABUSERS_classe" ><%= oDec.k("edit_record_users_class") %></label>
          <%= oH.combo( "TABUSERS_classe",  true, stWidth, oC.getLt("ADM2_CLASSI_carica_combo_ricerca") , 0, 1, "0" ) %>
        </div>

        <div class="L-row L-gap-16">
          <div class="L-column L-gap-8 L-width-100">
            <label for="TABUSERS_password_new"><%= oDec.k("edit_record_users_password") %></label>
            <%= oH.password( "TABUSERS_password_new",  true, stWidth, 100 ) %>
          </div>
          
          <div class="L-column L-gap-8 L-width-100">
            <label for="TABUSERS_password_confirm"><%= oDec.k("edit_record_users_password_confirm") %></label>
            <%= oH.password( "TABUSERS_password_confirm",  true, stWidth, 100 ) %>
          </div>
        </div>
      </div>
    </div>

    <div class="right">
      <div class="L-column L-gap-16">
        <div class="L-row L-gap-16">
          <div class="L-column L-gap-8 L-width-100">
            <label for="TABUSERS_masterkey"><%= oDec.k("edit_record_users_master") %></label>
            <%= oH.combo( "TABUSERS_masterkey",  true, stWidth, "masterkeyAbilitato", "0" ) %>
          </div>
          
          <div class="L-column L-gap-8 L-width-100">
            <label for="TABUSERS_abilitato"><%= oDec.k("edit_record_users_enabled") %></label>
            <%= oH.combo( "TABUSERS_abilitato",  true, stWidth, "masterkeyAbilitato", "1" ) %>
          </div>
        </div>

        <div class="L-row L-gap-16">
          <div class="L-column L-gap-8 L-width-100">
            <label for="TABUSERS_n_logon"><%= oDec.k("edit_record_users_noflogons") %></label>
            <%= oH.textBox( "TABUSERS_n_logon",  false, stWidth, 100 ) %>
          </div>
          
          <div class="L-column L-gap-8 L-width-100">
            <label for="TABUSERS_ultimo_logon"><%= oDec.k("edit_record_users_lastlogon") %></label>
            <%= oH.textBox( "TABUSERS_ultimo_logon",  false, stWidth, 100 ) %>
          </div>
        </div>
  
        <div class="L-column L-gap-8">
          <label for="TABUSERS_commento"><%= oDec.k("edit_record_users_comment") %></label>
          <%= oH.textBox( "TABUSERS_commento",  true, stWidth, 100 ) %>
        </div>
  
        <div class="L-column L-gap-8">
          <label for="TABUSERS_token"><%= oDec.k("edit_record_users_token") %></label>
          <%= oH.textBox( "TABUSERS_token",  true, stWidth, 100 ) %>
        </div>
  
        <div class="L-row L-gap-16">
          <div class="L-column L-gap-8 L-width-100">
            <label for="TABUSERS_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
            <%= oH.textBox( "TABUSERS_nomedata_insert",  false, stWidth, 100 ) %>
          </div>
          
          <div class="L-column L-gap-8 L-width-100">
            <label for="TABUSERS_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
            <%= oH.textBox( "TABUSERS_nomedata_update",  false, stWidth, 100 ) %>
          </div>
        </div>

        <div class="L-column L-gap-8">
          <label for="TABUSERS_chiavi_utente"><%= oDec.k("edit_record_users_keys") %>
            <%--
                  <input type="button" name="keyhelper"  id="keyhelper" class="actButton hk_button keyhelper" title="Handle Keys" onclick="javascript:openKeyHelper()"/>
            --%>
                  <a id="keyhelper" class="keyhelper" uk-icon="file-edit"></a>
            </label>
  
          <%= oH.textArea( "TABUSERS_chiavi_utente",  true, stWidth , 10000 ) %>
        </div>
      </div>
    </div>
  </div>

  <div class="L-row uk-flex-between uk-margin-medium-top">
    <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABUSERS_user_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABUSERS_user_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
      <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABUSERS_user_id") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABUSERS_login")+"','"+oC.getS("TABUSERS_user_id")+"')", "Q-button-secondary") %>
    </div>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>
</div>

<!-- This is the modal -->
<div  id="keyhelperModal" uk-modal>
    <div class="uk-modal-dialog uk-modal-body">
        <h2 class="uk-modal-title">Handle Keys</h2>
        <button class="uk-modal-close-default" type="button" uk-close></button>

        <div id="keyhelper-contents" class=" uk-margin">

        </div>

        <div class="uk-modal-footer uk-text-right">
          <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
          <button class="uk-button uk-button-primary qm-button-ok" autofocus="" >Ok</button>
        </div>
    </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
