<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    //$Id: props_editor.jsp,v 1.4 2015/09/28 08:41:15 marcos Exp $

%>
<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus( "ED_text" );

}
</script>
<%
      String stWidth = "" ;
      boolean boEditable = !( oC.getS( "ED_editable" ).equalsIgnoreCase( "N" ));
      SmartTable T;

      String errMsg  = oC.getS( "ED_error" );
      String comment = oC.getS( "ED_comment" );
%>



 <div class="qm-form-body">
  <fieldset class="qm-fieldset">
   <legend><%= oDec.k("cfgprops_title") %></legend>

    <%= oH.textArea( "ED_text",  boEditable, "", 10000 ) %>

   <div>

    <div>
     <% if ( errMsg.length() > 0 ) { %>
      <span>
        <b>Error:</b>
        <br><%= errMsg %>
      </span>
     <% } else

      if ( comment.length() > 0 ) { %>
      <span>
        <small><%= comment %></small>
      </span>
      <% } %>
    </div>

    <div class="qm-comment">
      <small><%= oDec.k("cfgprops_notice") %></small>
    </div>

    <div class="qm-textarea-buttons L-row L-width-100 uk-flex-between">
        <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("editor_back"), true, "", "qm_start", "", "Q-button-tertiary") %>
        <%= oH.button(oDec.k("editor_save"), boEditable, "", "qm_props_editor", "S" ) %>
    </div>

  </fieldset>
 </div>



<%@ include file="/includes/00_page_footer.jspf" %>
<%
//
%>
