<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.app.queuemetrics.tasks.transactions.showTasksList" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.tasks.*" %>
<%@ page import="it.loway.app.queuemetrics.tasks.transactions.showTaskDetail" %>
<%@ page import="java.util.*" %>

<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.oraTimestampDecor" %>

<%@ include file="/includes/00_page_header.jspf" %>

<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
    String viewTransaction = oC.getS("TASK_DETAIL_VIEW_TRANSACTION");
%>


<style>
    .task_detail_message {
        font-size: 18px;
    }


    .task_notes_container {
        text-align: left;
        display: inline-block;
    }
</style>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>



<script>
    function viewTask(action, taskId) {
        unique = new Date().getTime();
        stUrl = action + "?TASK_tskid=" + taskId + "&cachebreak=<%= U.getRandomString(9) %>" + unique;
        eval("page" + unique + " = window.open( stUrl, 'QA', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=700,height=850,left = 200,top = 50');");
        window.close();
    }


// La funzione usata è in common.js - mentre questa viene usata dal
// decoratore QAShowFormDataDecor
//

function openPopUpQaReact( url ) {
    openFullPagePopUp( url );
}



</script>


<div class="qm-form-body">
    <h1><%=oC.getS("TASK_DETAIL_TITLE") %></h1>
    <div class="task_detail_body">
        <div class="task_detail_message">
            <%= oC.getS("TASK_DETAIL_MESSAGE") %>

        <p>

            <h4>Notes:</h4>
            <%= oH.textArea( "TASK_NOTE",  true, "width:90%; height: 80px;", 100000 ) %>
        </div>
    </div>
<div class="task_detail_buttons">

    <%
    class buttonGenerator {
        
        public String getViewButton(String label, String transactionName, String taskId) {
        return "<INPUT TYPE='button' CLASS='actButton' VALUE=\""
            + label
            + "\" onClick=\"openFullPagePopUp('./qm_qa_load.do?QAENV_taskId=" + taskId + "')\" >";
        }
        
        public String getButton(String label, String transactionName, String taskId) {
            return "<INPUT TYPE='button' CLASS='actButton' VALUE=\"" + label + "\" onClick=\"startTransaction('" + transactionName + "','" + taskId + "');\" >";
            }
        }
        
        buttonGenerator generator = new buttonGenerator();
        
        if (viewTransaction.length() != 0) {
            out.println(generator.getViewButton(oDec.k("tsk_detail_view"), viewTransaction, oC.getS("TASK_tskid")));
        }
        
        if (oC.getI("TASK_DETAIL_ALLOWEDIT") == 1) {
            
            out.println("<div class='task_detail_buttons_left'>");
            
            if (oC.getS("TASK_DETAIL_OK_TRANSACTION").length() != 0)
            out.println(generator.getButton(oDec.k("tsk_detail_process"), oC.getS("TASK_DETAIL_OK_TRANSACTION"), "P" + oC.getS("TASK_tskid")));
            
            if (oC.getS("TASK_DETAIL_KO_DISPUTED_TRANSACTION").length() != 0)
            out.println(generator.getButton(oDec.k("tsk_detail_dispute"), oC.getS("TASK_DETAIL_KO_DISPUTED_TRANSACTION"), "D" + oC.getS("TASK_tskid")));
            
            if (oC.getS("TASK_DETAIL_KO_REFUSED_TRANSACTION").length() != 0)
            out.println(generator.getButton(oDec.k("tsk_detail_refuse"), oC.getS("TASK_DETAIL_KO_REFUSED_TRANSACTION"), "R" + oC.getS("TASK_tskid")));
            
            if (oC.getS("TASK_DETAIL_KO_REJECTED_TRANSACTION").length() != 0)
            out.println(generator.getButton(oDec.k("tsk_detail_reject"), oC.getS("TASK_DETAIL_KO_REJECTED_TRANSACTION"), "J" + oC.getS("TASK_tskid")));

            out.println("</div>");
        }
        
        if (oC.getI("TASK_DETAIL_ALLOWCOMMENTS") == 1)
        out.println(oH.button(oDec.k("tsk_detail_btnAddNote"), true, "width:100", "qm_task_addnote", "W" + oC.getS("TASK_tskid")));
        %>
    </div>
        
        
        <h2><%= oDec.k("tsk_detail_info") %></h2>
        
        <%
        LTable taskDetailInfo = oC.getLt("TASK_DETAIL_INFO");        
        if (taskDetailInfo.numRows() != 0) {
            
            SmartTable T = new SmartTable( "x", taskDetailInfo );
            T.setDecoder(oDec);
            
            T.addColumn( oDec.k("tsk_detail_from") ,  showTaskDetail.TASK_DTL_FROMUSER_COL, "120" );
            T.addColumn( oDec.k("tsk_detail_to") , showTaskDetail.TASK_DTL_TOUSER_COL, "120" );
            T.addColumn( oDec.k("tsk_detail_createdOn") , showTaskDetail.TASK_DTL_CREATEDON_COL, "100" );
            T.addColumn( oDec.k("tsk_detail_validFrom") , showTaskDetail.TASK_DTL_VALIDFROM_COL, "100" );
            T.addColumn( oDec.k("tsk_detail_expiresOn") , showTaskDetail.TASK_DTL_EXPIRESON_COL, "100" );
            T.addColumn( oDec.k("tsk_detail_lastUpdated") , showTaskDetail.TASK_DTL_LASTUPDATED_COL, "100" );
            T.addColumn( oDec.k("tsk_list_tbl_status"), showTaskDetail.TASK_DTL_TASKSTATUS_COL, "50", new taskStatusDecor(oDec));
            T.addColumn( oDec.k("tsk_detail_pfield"), showTaskDetail.TASK_DTL_PROCESSID, "50", new taskProcessFieldDecor(showTaskDetail.TASK_DTL_TASKID_COL, showTaskDetail.TASK_DTL_PROCESSFAMILY));
            T.withTableClass( "qm-table  uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
        out.println(T.render());
    }
    %>
    
    <%
    LTable taskHistory = oC.getLt("TASK_DETAIL_HISTORY");
    if (taskHistory.numRows() != 0) {
        %>

        
        <b><%= oDec.k("tsk_detail_history") %></b><br/><br/>
        
        <%
        SmartTable T = new SmartTable( "hty", taskHistory );
        
        T.addColumn( oDec.k("tsk_list_tbl_id"), showTaskDetail.TASK_DTL_TASKID_COL, "40");
        T.addColumn( "&nbsp;", showTaskDetail.TASK_DTL_ICONNAME_COL, "50", new taskIconDecor());
        T.addColumn( oDec.k("tsk_detail_from") ,  showTaskDetail.TASK_DTL_FROMUSER_COL, "120");
        T.addColumn( oDec.k("tsk_detail_to") , showTaskDetail.TASK_DTL_TOUSER_COL, "120");
        T.addColumn( oDec.k("tsk_detail_createdOn") , showTaskDetail.TASK_DTL_CREATEDON_COL, "100");
        T.addColumn( oDec.k("tsk_detail_validFrom") , showTaskDetail.TASK_DTL_VALIDFROM_COL, "100");
        T.addColumn( oDec.k("tsk_detail_expiresOn") , showTaskDetail.TASK_DTL_EXPIRESON_COL, "100");
        T.addColumn( oDec.k("tsk_detail_lastUpdated") , showTaskDetail.TASK_DTL_LASTUPDATED_COL, "100");
        T.addColumn( oDec.k("tsk_list_tbl_status"), showTaskDetail.TASK_DTL_TASKSTATUS_COL, "50", new taskStatusDecor(oDec));
        T.addColumn( oDec.k("tsk_detail_pfield"), showTaskDetail.TASK_DTL_PROCESSID, "50", new taskProcessFieldDecor(showTaskDetail.TASK_DTL_TASKID_COL, showTaskDetail.TASK_DTL_PROCESSFAMILY));
        T.addColumn( oDec.k("tsk_detail_short"), showTaskDetail.TASK_DTL_TITLE_COL, "150");
        T.addColumn( oDec.k("tsk_detail_notes") , showTaskDetail.TASK_DTL_NOTES_COL, "200");
        T.withTableClass( "qm-table  uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
        out.println(T.render());
    } %>
    
</div>

<%@ include file="/WEB-INF/jspf/fullPagePopup.jspf" %>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: qm_taskdetail.jsp,v $
// Revision 1.9  2015/09/28 08:41:19  marcos
// jsp/jspf refactoring.
//
// Revision 1.8  2015/05/08 10:58:04  marcos
// Merge 24 on trunk
//
// Revision 1.7.10.1  2015/02/10 15:22:45  marcos
// #2469: New centralized CBT tracking
//
// Revision 1.7  2011/11/24 17:16:45  marcos
// #1008: Link diretto a License page
//
// Revision 1.6  2011/10/26 14:31:29  marcos
// #1377: Task disputes
//
// Revision 1.5  2011/10/06 15:49:42  marcos
// #1373: Adding Process field to tasks
//
// Revision 1.4  2011/10/03 09:08:19  marcos
// #1377: Task disputes
//
// Revision 1.3  2011/09/29 10:28:36  marcos
// #1373: Adding Process field to tasks
//
// Revision 1.2  2011/01/14 11:16:51  marcos
// IMM14 merge on main trunk
//
// Revision 1.1.2.4  2010/05/28 09:44:29  marcos
// #1049: Task trails - notes
//
// Revision 1.1.2.3  2010/03/24 11:00:08  marcos
// Task implementation - 1st complete commit.
//
// Revision 1.1.2.2  2010/03/23 17:04:59  marcos
// Task implementation - not completed.
//
// Revision 1.1.2.1  2010/03/22 15:29:08  marcos
// Task implementation - not completed.
//
%>
