<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.app.queuemetrics.tasks.transactions.showTasksList" %>
<%@ page import="it.loway.app.queuemetrics.tasks.transactions.countTaskReport" %>
<%@ page import="it.loway.app.queuemetrics.tasks.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.tasks.*" %>
<%@ page import="java.util.*" %>

<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    String stWidth      = "" ;

    class CheckBoxDecor implements TpfCellDecoratorInterface {

            private String stName = "";

            public CheckBoxDecor(String name) { stName = name; };

            public String decorate(LTable lt, int r, int c, String width) throws TechException {

                String agentCode = lt.getS(r,c);

                StringBuilder sb = new StringBuilder();

                sb.append( "<input type='checkbox' ");
                sb.append( " class='").append(stName).append("' id='").append( stName ).append( ";" ).append( r ).append( "' " );
                sb.append( " value='").append(agentCode).append("' >" );

                return  "  <td class='stData'>" + sb.toString() + "</td>\n";
            }

    };

    // se non ho una data, metto le date impostate con le properties
    String stDtInizioDefault = oC.getS( "CODA_dtInizioDefault" );
    String stDtFineDefault = oC.getS( "CODA_dtFineDefault" );

    if ( !oC.defined("TASKS_SEARCH_START_DATE") ) {
        oC.putS( "TASKS_SEARCH_START_DATE", stDtInizioDefault );
    }
    if ( !oC.defined("TASKS_SEARCH_END_DATE") ) {
        oC.putS( "TASKS_SEARCH_END_DATE", stDtFineDefault );
    }
    if ( !oC.defined("TASKS_SEARCH_CHCDate") ) {
        oC.putS( "TASKS_SEARCH_CHCDate", stDtInizioDefault );
    }
%>


<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

        // Add the onclick event to the Select All checkbox
        $('#TSK_TC_ALL').click(function(event) {
            var status = this.checked;
            $('.CHK_TSK_TC').each(function() {
                this.checked = status;
            });
            updateSelectedAgentList();
        });


        // Add the onclick event to each checkbox
        $('.CHK_TSK_TC').click(function(event) {
            updateSelectedAgentList();
        });

  //      $("#TASKS_SEARCH_START_DATE_date").datepicker( { dateFormat: 'yy-mm-dd' } );
  //      $("#TASKS_SEARCH_END_DATE_date").datepicker( { dateFormat: 'yy-mm-dd' } );
  //      $("#TASKS_SEARCH_CHCDate_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}

// Update the hidden value containing the agent list
function updateSelectedAgentList() {

     var agentList = [];
     $('.CHK_TSK_TC').each(function() {
        if(this.checked) {
            agentList.push(this.value);
        }
      });
      $('#TASKS_SEARCH_AGENTS').val(agentList.join('|'));
}
</script>


<div class="qm-form-body L-padding-32">
  <input name='TASKS_SEARCH_AGENTS' id='TASKS_SEARCH_AGENTS' type='hidden' value=''/>
  <h1 class="uk-margin-remove-top"><%= oDec.k("tsk_traincoach_title") %></h1>

  <fieldset class="qm-fieldset">
    <h3><%= oDec.k("tsk_traincoach_filteragent") %></h3>

    <div class="L-column L-gap-24">
      <div class="L-row L-justify-spacebetween L-gap-16">
        <div class="L-column L-flex-1 L-gap-4">
          <label for="TASKS_SEARCH_QUEUE"><%= oDec.k("tsk_traincoach_queue") %></label>
          <div><%= oH.comboX( "TASKS_SEARCH_QUEUE", true, stWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %> </div>
        </div>

        <div class="L-column L-flex-1 L-gap-4">
          <label  for="TASKS_SEARCH_IDLOCATION" ><%= oDec.k("tsk_traincoach_location") %></label>
          <div><%= oH.combo( "TASKS_SEARCH_IDLOCATION", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
        </div>
      </div>

      <div class="L-row L-gap-16">
        <div class="L-column L-flex-1 L-gap-4">
          <label  for="TASKS_SEARCH_AGENT"><%= oDec.k("tsk_traincoach_agent") %></label>
          <div><%= oH.comboX( "TASKS_SEARCH_AGENT", true, stWidth, FA.FilterSelectableAgents(oU, oC.getLt( "DATI_agenti" )), 0, 1, "" ) %></div>
        </div>
    
        <div class="L-column L-flex-1 L-gap-4">
          <label  for="TASKS_SEARCH_AGENTGROUP"><%= oDec.k("tsk_traincoach_agentgroup") %></label>
          <div><%= oH.combo( "TASKS_SEARCH_AGENTGROUP", true, stWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
        </div>
      </div>  
      
      <div class="L-row L-gap-8">
        <div><%= oH.checkBox( "TASKS_SEARCH_EXPANDEDQUEUES", "")  %></div>
        <label  for="TASKS_SEARCH_EXPANDEDQUEUES"><%= oDec.k("tsk_traincoach_queue_expand") %></label>
      </div>
    </div>
    
    <div class="qm-trainCoachSearch-button"><%= oH.button( oDec.k("tsk_traincoach_search"), true, stWidth, "qm_tasks_search_agents", "" ) %></div>
  </fieldset>


  <div class="qm-trainCoachSearch-blocks">

    <% String numOfCBTsSent = oC.getS("TASKS_SEARCH_CBT_SENT");
    if (!numOfCBTsSent.isEmpty()) {
      %>
      <div class="qm-form-grid-2 uk-child-width-1-1 uk-child-width-1-2@s">
        <div></div>
        <div><%= oDec.k("tsk_traincoach_cbtsent") + ": " + numOfCBTsSent %></div>
      </div>
      <% } %>
      
      <% String numOfMETsSent = oC.getS("TASKS_SEARCH_MET_SENT");
      if (!numOfMETsSent.isEmpty()) {
        %>
        <div class="qm-form-grid-2 uk-child-width-1-1 uk-child-width-1-2@s">
          <div></div>
          <div class=""><%= oDec.k("tsk_traincoach_metsent") + ": " + numOfMETsSent %></div>
        </div>
        <% } %>
        
        <div class="qm-table-container">
          <%-- TODO this is bad... there is no way to specify a label for the input and is not accessible--%>
          <%
          LTable taskReport = oC.getLt("TASKS_TC_SEARCH_RESULT");
          if (taskReport.numRows() != 0) {
            
            SmartTable T = new SmartTable( "x", taskReport );
            T.setDecoder(oDec);
            T.addColumn( oDec.k("tsk_traincoach_agentcode"), 0, "100" );
            T.addColumn( oDec.k("tsk_traincoach_agentname"), 0, "100", new agentiDecor(oC.getLt( "DATI_agenti" )) );
            T.addColumn( "<input type='checkbox' id='TSK_TC_ALL'/>", 0, "100", new CheckBoxDecor("CHK_TSK_TC") );
            
            T.withCaption(oDec.k("tsk_traincoach_help"));
            T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand uk-margin-large-top" );
            out.println(T.render());
          }
          %>
        </div>
        
        
        <%if(taskReport.numRows() != 0) { %>
          <fieldset class="qm-fieldset" class="uk-margin-large-top">
            <legend><%= oDec.k("tsk_traincoach_sendtask") %></legend>
            
            <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
              <label for="TASKS_SEARCH_START_DATE_date"><%= oDec.k("tsk_traincoach_start_date") %>:</label>
              <div class="qm-form-datehourpicker "><%= FA.generaJQueryComboDataOra("TASKS_SEARCH_START_DATE", oC, oH, true, oDec) %></div>
              
              <label for="TASKS_SEARCH_END_DATE_date" ><%= oDec.k("tsk_traincoach_end_date") %>:</label>
              <div class="qm-form-datehourpicker "><%= FA.generaJQueryComboDataOra("TASKS_SEARCH_END_DATE", oC, oH, true, oDec) %></div>
              
              <label for="TASKS_SEARCH_Note" ><%= oDec.k("tsk_traincoach_comment")%>:</label>
              <div ><%= oH.textBox("TASKS_SEARCH_Note", true, stWidth, 1024)%></div>
              
              <label  for ="TASKS_SEARCH_Reason"><%= oDec.k("tsk_traincoach_reason")%>:</label>
              <div ><%= oH.textBox("TASKS_SEARCH_Reason", true, stWidth, 1024)%></div>
            </div>
            <hr>
            <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
              <label  for="TASKS_SEARCH_CBTName"><%= oDec.k("tsk_traincoach_cbt_name") %>:</label>
              <div ><%= oH.comboX("TASKS_SEARCH_CBTName", true, stWidth, oC.getLt("DATI_CBTList_selectable"), 1, 2, "")%></div>
              
              <div class="uk-width-1-3@s"></div>
              <div class="qm-trainCoachSearch-button"><%= oH.button( oDec.k("tsk_traincoach_cbt_button"), true, stWidth, "qm_tasks_send_cbt_for_agents", "" ) %></div>
            </div>
            <hr>
            <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
              <label  for="TASKS_SEARCH_CHCTitle" ><%= oDec.k("tsk_traincoach_chc_title")%>:</label>
              <div ><%= oH.textBox("TASKS_SEARCH_CHCTitle", true, stWidth, 1024)%></div>
              
              <label  for="TASKS_SEARCH_CHCMessage" ><%= oDec.k("tsk_traincoach_chc_message")%>:</label>
              <div><%= oH.textBox("TASKS_SEARCH_CHCMessage", true, stWidth, 1024)%></div>
              
              <label for="TASKS_SEARCH_CHCDate_date"><%= oDec.k("tsk_traincoach_chc_date") %>:</label>
              <div class="qm-form-datehourpicker "><%= FA.generaJQueryComboDataOra("TASKS_SEARCH_CHCDate", oC, oH, true, oDec) %></div>
              
              <label for="TASKS_SEARCH_CHCDuration" ><%= oDec.k("tsk_traincoach_chc_duration")%>:</label>
              <div ><%= oH.textBox("TASKS_SEARCH_CHCDuration", true, stWidth, 1024)%></div>
              
              <div class="uk-width-1-3@s"></div>
              <div class="qm-trainCoachSearch-button"><%= oH.button( oDec.k("tsk_traincoach_chc_button"), true, stWidth, "qm_tasks_send_met_for_agents", "" ) %></div>
            </div>
          </fieldset>
          <% } %>
        </div>

</div>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: qm_trainCoachSearch.jsp,v $
// Revision 1.3  2015/09/28 08:41:19  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2015/05/08 10:58:04  marcos
// Merge 24 on trunk
//
// Revision 1.1.2.1  2015/02/18 14:43:19  marcos
// #2470: Pushing training to Agents
//
//
%>
