<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>

<%@ include file="/includes/00_page_header.jspf" %>
<%
    //$Id: usradmin_ricerca_utenti.jsp,v 1.2 2015/09/28 08:41:19 marcos Exp $
    //
   ////////////////////DECORATORS/////////////////////////////////////
        class buttonDettDecor implements TpfCellDecoratorInterface {
		HtmlGenerator obH = null;
		public buttonDettDecor( HtmlGenerator oH  ) { obH = oH; };	
		 
		public String decorate(LTable lt, int r, int c, String width) throws TechException {
		    String stTesto = lt.getS(r, c );
		    String stButt = obH.button( "...", true, "width: 50px", "usradmin_carica_utente", stTesto );
		    return  "  <td class='stData' style='width: " + width + ";'>" + stButt+ "</td>\n";
		}
	};        

        class yesNoDecor implements TpfCellDecoratorInterface {
		String stYes = "";
		String stNo  = "";
		public yesNoDecor( String Y, String N ) { stYes = Y; stNo = N; };	
		 
		public String decorate(LTable lt, int r, int c, String width) throws TechException {
		    String stTesto = lt.getS(r, c );
		    String stH = "";
		    
		    if ( stTesto.equalsIgnoreCase("0") ) {
		    	stH = stNo;
		    } else {
		    	stH = stYes;
		    }
		    
		    return  "  <td class='smart' style='width: " + width + ";'>" + stH + "</td>\n";
		}
	}; 

        class cosmeticDecor implements TpfCellDecoratorInterface {	
		
		public cosmeticDecor() { };
		
		public String decorate(LTable lt, int r, int c, String width) throws TechException {
		    String stTesto = lt.getS(r, c );   

		    return  "  <td class='smart' style='width: " + width + ";'>" + stTesto + "</td>\n";
		}
        };
%>
<script defer>  
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>


<%    
      String stIdNuovo = "0";
      String stButton = "width: 170px;" ; 
      String stWidth = "width: 100px;" ; 
      SmartTable T;
 %>
<center>
<h1>Users</h1>
 
<p> &nbsp;

<% String stStampaRicerca = oC.getS("STAMPA_stringa_ricerca"); %>
<%= (stStampaRicerca) %>
<br>

<% //Tabella 1: ricerca parametrica %>
<table border=0>
<tr><td>
    <%= oH.textBox( "I_cerca_nome",  true, stWidth, 100 ) %>
</td><td>
    <%= oH.combo( "TABUSERS_cerca_classe",  true, stWidth, oC.getLt("ADM2_CLASSI_carica_combo_ricerca") , 0, 1, "0" ) %>
</td><td>
    <%= oH.button( "Search by name or class", true, stButton, "usradmin_ricerca_parametrica", "" ) %>
</td></tr>
</table>
 
<p> &nbsp;


<% //Tabella 2: carica gli utenti %> 
<%
    LTable ltListaUtenti = oC.getLt("USRADMIN_lista_utenti");

    T = new SmartTable( "x", ltListaUtenti );
    T.addColumn( "Id", 0, "40px", new cosmeticDecor() );
    T.addColumn( "Login", 1, "150px", new cosmeticDecor() );
    T.addColumn("Real name", 2, "100px", new cosmeticDecor() );
    T.addColumn("Enabled", 3, "100px", new yesNoDecor( "Yes", "No" ) );
    T.addColumn("Class", 6, "100px", new cosmeticDecor() );
    T.addColumn("User keys", 5, "100px", new cosmeticDecor() );
    T.addColumn("Detail", 0, "50px", new buttonDettDecor(oH) );
    out.println(T.render());
%> 

<p> &nbsp;

<% //Tabella 3: scegli operazioni %>
<table border=0>
<tr><td>
    <%= oH.button( "Add new user", true, stButton, "usradmin_nuovo_utente", stIdNuovo ) %>
</td><td>
    <%= oH.button( "User classes", true, stButton, "usradmin_gestione_classi", "" ) %>
</td></tr>
</table>

</center>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: usradmin_ricerca_utenti.jsp,v $
// Revision 1.2  2015/09/28 08:41:19  marcos
// jsp/jspf refactoring.
//
// Revision 1.1.1.1  2005/08/23 10:20:22  lenz
// Importazione iniziale
//
// Revision 1.3  2005/08/04 16:02:12  lenz
// TOLTO PULSANTE DI RITORNO.
//
// Revision 1.2  2005/08/04 15:39:08  lenz
// Layout migliorato per bottoni.
//
//
//
%>

