<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.configurationwizard.*" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="java.util.*" %>

<%@ include file="/includes/00_page_header.jspf" %> 

<% 
    // $Id: autoconfWizard2.jsp,v 1.5 2015/09/28 08:41:09 marcos Exp $
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
    
    // Start the Wizard Navigation Bar
    oDec.load( "autoconf_wznavbar", "autoconf_wzNavBar.txt", 0, 1 );  
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "autoconf_wznavbar");
    
    // Retrieve the information to be shown
    LTable ltAgents = oC.getLt("CONFWIZ_PageContents");
    LChecks ltChecks = oC.getLc("CONFWIZ_PageContentsChecks");
    
    // This is the next hop
    int nextHopID = ConfWizardHandler.STEP_SELECTUSERS;
    String nextHop = "StepID_" + Integer.toString(nextHopID);
%>
<%= NoCache.importCssTheme(request, oC, "/img/js-bundle/", "commons-all.css", "screen,projection" ) %>

<script defer>          
    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";
    }
</script>


<center>
    <div id="xCorpo" align="center">
        <%=wzNavBar.RenderHTML(1)%><p/>
        <hr width="50%" color="grey">
    </div>
</center>

<center>
    Below is a list of agents read from the configuration. 
    <br>Please select the agents you want to import.
    <p/>
</center>

<center>
    <% 
        SmartTable agentsList = new SmartTable("CONFWIZ_UserAnswer", ltAgents);

        agentsList.addSortableColumn( oDec.k("td_autoconf_wz_agentcode"), ConfWizardHandler.TBLRES_AGENT_CODE, "100", SmartTable.SORT_TEXT_CI);
        agentsList.addColumn( oDec.k("td_autoconf_wz_agentpwd"), ConfWizardHandler.TBLRES_AGENT_PWD, "100" );
        agentsList.addColumn( oDec.k("td_autoconf_wz_agentname"), ConfWizardHandler.TBLRES_AGENT_NAME, "100" );
        agentsList.addColumn( oDec.k("td_autoconf_wz_servername"), ConfWizardHandler.TBLRES_AGENT_SERVER, "100");
        agentsList.enableCheck( ConfWizardHandler.TBLRES_PROGRESSIVE_ID, ltChecks );   
        
        out.println(agentsList.render());
    %>
    <p/>
    <input type=button value="Check all" onClick="checkUncheckSmartTable('CONFWIZ_UserAnswer');"> 
</center>
    
<center>
    <div id="xCorpo">
        <form>                    
            <table border="0" width="100%">
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Next >", true, "", "autoconf_Wizard", nextHop ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>                    
    </div>
    
</center>

<%@ include file="/includes/00_page_footer.jspf" %>
  
<%
// $Log: autoconfWizard2.jsp,v $
// Revision 1.5  2015/09/28 08:41:09  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.3  2009/03/25 10:36:12  marcos
// #276 - New configuration wizard - Added the AMI single and cluster based data retrieving.
//
// Revision 1.2  2009/03/20 12:08:40  marcos
// #276 - New configuration wizard - Added the Users.conf file handling.
//
// Revision 1.1  2009/03/18 11:46:43  marcos
// #276 - New configuration wizard - First step.
//
%>
