<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.configurationwizard.*" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.handler.SynchronizerHandler" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.syncutilities.SyncUtilities" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.actions.SAction" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.actions.SAgentAction" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.actions.SQueueAction" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.actions.SAgentOnQueueAction" %>
<%@ page import="ch.loway.app.queuemetrics.synchronizer.actions.SPbxAction" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="java.util.*" %>

<%@ include file="/includes/00_page_header.jspf" %>

<%
    // $Id: sync_autoconf1.jsp,v 1.7 2017/01/19 08:41:09 kevin Exp $
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

    LTable actionsTable = oC.getLt("SYNC_actions_table");
    LTable actionListsTable = oC.getLt("SYNC_action_lists_table");
    LChecks ltChecks = oC.getLc("SYNC_actions_tableChecks");

            // Start the Wizard Navigation Bar
    oDec.load( "synchronizer_wznavbar", "synchronizer_wznavbar.txt", 0, 1 );
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "synchronizer_wznavbar");

    // This is the width the text box will have
    String stWidth = "width: 400px;";
    int nextHopID = 3;
    String nextHop = "StepID_" + Integer.toString(nextHopID);

    class boldDecor implements TpfCellDecoratorInterface {

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stTesto = lt.getS(r,c);
            String result = "<td class='stData'  style='width:"+ width +";'><span id="+r+" class=\"clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-g"+r+"-'+y)}\"><h3><b>"+stTesto+"</b></h3></span></td> \n";

            return  result;
        }
    };

    class actionListDecor implements TpfCellDecoratorInterface {

            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                ArrayList<SAction> actions = (ArrayList<SAction>) lt.getObject(r, c );
                String actionsString = "";
                String baseurl = Web.getWebApp( request );
                String url = baseurl + "/img/icons_silk/user_suit.png";
                for (SAction a : actions){
                    if(a instanceof SAgentAction){

                        SAgentAction agentAction = (SAgentAction)a;

                        String userCreationTip = "";
                        String userCreationIcon = "";

                        if(agentAction.agent.isUserToBeCreated()){
                            userCreationTip="Create agent and linked user";
                            userCreationIcon = "<img class=\"imgButton\" src=\""+url+"\"" + "alt=\""+userCreationTip+"\" title=\""+userCreationTip+"\" border=\"0\" style=\"vertical-align: middle; padding-bottom: 3px; padding-left: 3px; box-shadow: 0px 0px 0px\">";
                            if(a.isEnabled()){
                                actionsString = actionsString + " <span id="+a.getUniqueId()+" title="+userCreationTip+ " class=\"synchronizer-tag agent clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+userCreationIcon+"</span>";
                            }else{
                                actionsString = actionsString + " <span id="+a.getUniqueId()+" class=\"synchronizer-tag agent disabled clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+"</span>";
                            }
                        }else{
                            if(a.isEnabled()){
                                actionsString = actionsString + " <span id="+a.getUniqueId()+" class=\"synchronizer-tag agent enabled clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+"</span>";
                            }else{
                                actionsString = actionsString + " <span id="+a.getUniqueId()+" class=\"synchronizer-tag agent disabled clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+"</span>";
                            }
                        }


                    } else if(a instanceof SQueueAction){

                        if(a.isEnabled()){
                            actionsString = actionsString + " <span id="+a.getUniqueId()+" class=\"synchronizer-tag queue clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+"</span>";
                        }else{
                            actionsString = actionsString + " <span id="+a.getUniqueId()+" class=\"synchronizer-tag queue disabled clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+"</span>";
                        }

                    } else if(a instanceof SAgentOnQueueAction){

                        if(a.isEnabled()){
                            actionsString = actionsString + " <span id="+a.getUniqueId()+" class=\"synchronizer-tag agentonqueue clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+"</span>";
                        }else{
                            actionsString = actionsString + " <span id="+a.getUniqueId()+" class=\"synchronizer-tag agentonqueue disabled clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+"</span>";
                        }

                    }else if(a instanceof SPbxAction){

                        if(a.isEnabled()){
                            actionsString = actionsString + " <span id="+a.getUniqueId()+" class=\"synchronizer-tag pbx clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+"</span>";
                        }else{
                            actionsString = actionsString + " <span id="+a.getUniqueId()+" class=\"synchronizer-tag pbx disabled clickable\" onclick=\"{var y = window.scrollY; startTransaction('autoconf_Synchronizer','toggle-"+a.getUniqueId()+"-'+y)}\">"+a.getDescriptor()+"</span>";
                        }

                    }
                }
                String result = "<td class='stData'  style='width:'"+ width +";'><div title=\""+lt.getS(r, c-1)+"\">"+actionsString+"</div></td> \n";

                return  result;
            }
    };

%>
<script>
    function onLoadApplicativo() {

        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";

        Element.prototype.documentOffsetTop = function () {
            return this.offsetTop + ( this.offsetParent ? this.offsetParent.documentOffsetTop() : 0 );
        };

        var top = <%=oC.getI("SYNC_anchor")%>
        window.scrollTo( 0, top );

    }

    function getPos(el) {
        for (var ly=0;
             el != null;
             ly += el.offsetTop, el = el.offsetParent);
        return ly;
    }
</script>
<div class="qm-form-body-wide">
<center>
    <div id="xCorpo" align="center">
        <br/>
        <%=wzNavBar.RenderHTML(2)%><p/>
        <hr >
    </div>
</center>

<center>
    These are the actions that will be applied to <%=CS.QUEUEMETRICS%>.
    <br/>Only selected actions will be performed.
    <br/>
</center>

<center>
    <div id="xCorpo">
        <form>
            <table border="0" width="100%">
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Next >", true, "", "autoconf_Synchronizer", nextHop ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>
        <br/>
    </div>
</center>

<center>
    <%
        SmartTable actionListsTableSmart = new SmartTable("SYNC_action_lists_table", actionListsTable);
        /*String checkbox = "<INPUT TYPE='CHECKBOX' onclick=\"startTransaction('autoconf_Synchronizer','enable/disable');\" ";
        if(ltChecks.size()>0){
            if (ltChecks.isChecked("0")){
                checkbox += "checked ";
            }else{
                checkbox += "" ;
            }
        }
        checkbox += "/>";*/
        //actionsList.addColumn( checkbox ,  0 , "100" , new selectDecor(ltChecks) );
        actionListsTableSmart.addColumn( "Type", 0,"200px", new boldDecor());
        actionListsTableSmart.addColumn( "Actions", 1, "100", new actionListDecor() );
        if(actionListsTableSmart.numRows()>0){
            actionListsTableSmart.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand uk-table-middle" );
            out.println(actionListsTableSmart.render());
        }else{
            out.println("<b>There are no actions to apply</b>");
        }

    %>
</center>



<center>
    <div id="xCorpo">
        <form>
            <table >
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Next >", true, "", "autoconf_Synchronizer", nextHop ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>
    </div>

</center>
</div>


<%@ include file="/includes/00_page_footer.jspf" %>
