#!/bin/bash

JARLIB=/usr/local/queuemetrics/qm-current/WEB-INF/lib
JAVA=/usr/local/queuemetrics/java/bin/java
VMOPTS="-server -Xms64M -Xmx256M"
JDBC="jdbc:mariadb://127.0.0.1/queuemetrics?user=queuemetrics&password=javadude&sessionVariables=sql_mode=''&autoReconnect=true"

if [ "${1}" = "qmlive" ]
then
	CP="$( ls -a $JARLIB/*.jar /usr/local/queuemetrics/tomcat/lib/mariadb-java-*.jar | sed -e :a -e '$!N; s/\n/:/; ta' )"
else
	CP="$( ls -a $JARLIB/*.jar | sed -e :a -e '$!N; s/\n/:/; ta' )"
fi

$JAVA $VMOPTS -cp $CP it.loway.app.queuemetrics.jdbcTester.RunDbUpdater $JDBC
