<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.agawAlarmDecor" %>
<%@ page import="it.loway.app.queuemetrics.agaw.BO.AgentReader" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    oDec.load( "agaw_logon",  "agaw_logon.txt",  0, 1 );
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  aggiungiEventoOnchangeAComboAgente();
}

//
// per non incasinare i controlli, aggiungo l'onChange alla combo delle location
// in maniera programmatica
//

function aggiungiEventoOnchangeAComboAgente() {
    document.getElementById( "AGAW_agente" ).onchange = OnChangeCboAgente;
}

function OnChangeCboAgente() {
    startTransaction('qm_agaw_agentview', '');
}
</script>


<div class="qm-form-body L-column L-gap-24">
  <h1>Agent Awareness</h1>
  <div class="L-row L-gap-16">
    <%= oH.combo( "AGAW_agente", true, "", FA.FilterSelectableAgents(oU, oC.getLt( "DATI_agenti" )), 0, 1, "" ) %>
    <%= oH.button( "View", true, "", "qm_agaw_agentview", "" ) %>
  </div>

  <hr />

  <h2>Queue statistics</h2>
  <%
    // TABELLA SUPERIORE: CODA
    SmartTable T = new SmartTable( "x", oC.getLt( "AGAW_age_ltDat" ) );
    T.setDecoder( oDec );

    T.addSortableColumn( "Queue",  AgentReader.AD_queue , "100", new queueNameDecor( oC.getLt( "DATI_code" ) ), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Status",  AgentReader.AD_status, "100", new decoderDecor( oDec, "agaw_logon"), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "PCode",  AgentReader.AD_pcode, "100", SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Last",  AgentReader.AD_lst_log , "100", new reformatDateDecor( reformatDateDecor.D_SHORT, U.DATA_MYSQL), SmartTable.SORT_TEXT_CI);

    T.addSortableColumn( "N. Wait",  AgentReader.AD_q_nwait, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_INT_DX, AgentReader.AD_q_nwait_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Max Wait",  AgentReader.AD_q_max_wait, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_q_max_wait_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "ACL",  AgentReader.AD_q_acl, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_q_acl_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "SPH",  AgentReader.AD_q_sph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_q_sph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "QCPH",  AgentReader.AD_q_qcph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_q_qcph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "CPH",  AgentReader.AD_q_cph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_q_cph_A), SmartTable.SORT_TEXT_CI);



    T.addSortableColumn( "QCONV%",  AgentReader.AD_q_qconv_p, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, AgentReader.AD_q_qconv_p_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "CONV%",  AgentReader.AD_q_conv_p, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, AgentReader.AD_q_conv_p_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Avg Wait",  AgentReader.AD_q_avgwait, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_q_avgwait_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Wrap",  AgentReader.AD_q_wrap, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_q_wrap_A), SmartTable.SORT_TEXT_CI);

    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
  %>

  <h2>Agent statistics</h2>
  <%
    // TABELLA INFERIORE: AGENTE
    T = new SmartTable( "x", oC.getLt( "AGAW_age_ltDat" ) );
    T.setDecoder( oDec );

    T.addSortableColumn( "Queue",  AgentReader.AD_queue , "100", new queueNameDecor( oC.getLt( "DATI_code" ) ), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "Last",  AgentReader.AD_lst_log , "100", new reformatDateDecor( reformatDateDecor.D_SHORT, U.DATA_MYSQL), SmartTable.SORT_TEXT_CI);


    T.addSortableColumn( "My ACL",  AgentReader.AD_a_acl, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_a_acl_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "My SPH",  AgentReader.AD_a_sph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_a_sph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "My QCPH",  AgentReader.AD_a_qcph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_a_qcph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "My CPH",  AgentReader.AD_a_cph, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_FLOAT_DX, AgentReader.AD_a_cph_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "N Calls",  AgentReader.AD_a_ncalls, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_NUM_INT_DX, AgentReader.AD_a_ncalls_A), SmartTable.SORT_TEXT_CI);


    T.addSortableColumn( "My QCONV%",  AgentReader.AD_a_qconv_p, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, AgentReader.AD_a_qconv_p), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "My CONV%",  AgentReader.AD_a_conv_p, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_PERCENT, AgentReader.AD_a_conv_p_A), SmartTable.SORT_TEXT_CI);
    T.addSortableColumn( "My Wrap",  AgentReader.AD_a_wrap, "40",
            new agawAlarmDecor( agawAlarmDecor.TIPO_MM_SS_DX, AgentReader.AD_a_wrap_A), SmartTable.SORT_TEXT_CI);

    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
  %>

</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: agaw_agentview.jsp,v $
// Revision 1.5  2015/09/28 08:41:08  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2012/07/31 09:48:47  marcos
// Memory Imp: DATI_agentiSel is no more in the context and is now calculated each time is required.
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2008/09/29 14:32:51  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.1.2.7  2008/08/17 13:31:02  lenz-mobile
// Bug #436: nuovi campi Vance - editor admin AGAW
//
// Revision 1.1.2.6  2008/06/25 17:10:21  lenz-mobile
// Bug #383, #334: Le pagine admin AGAW hanno un formato che ha senso.
//
// Revision 1.1.2.5  2008/04/21 16:14:31  lenz
// Correzioni cosmetiche.
//
// Revision 1.1.2.4  2008/01/08 14:01:42  lenz-mobile
// Mostra celle gialle e rosse.
//
// Revision 1.1.2.3  2007/12/17 23:03:52  lenz-mobile
// IMM6: visione dell'agente
//
// Revision 1.1.2.2  2007/12/17 09:41:08  lenz-mobile
// no message
//
// Revision 1.1.2.1  2007/12/14 19:56:27  lenz-mobile
// IMM&: Admin
//
//
%>
