<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    class semaphoreDecor implements TpfCellDecoratorInterface {

            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                String stButt = "&nbsp;";
                if ( stTesto.equalsIgnoreCase("w")) {
                    stButt = "<img border='0' src='../../img/icon_yellow.gif'>";
                } else
                if ( stTesto.equalsIgnoreCase("e")) {
                    stButt = "<img border='0' src='../../img/icon_red.gif'>";
                };

                //String stButt = obH.imgButton( "../img/icons_silk/delete.png", "Delete", true, "", "qm_cfg_pcodes_del", stTesto );
                return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stButt+ "</td>\n";
            }
    };
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

      //  $("#AGAW_logDtInizio_date").datepicker( { dateFormat: 'yy-mm-dd' } );
      //  $("#AGAW_logDtFine_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}
</script>


<div class="qm-form-body L-column L-gap-24">
  <legend>Agent Awareness System Log</legend>

  <div class="L-row L-gap-16">
    <div>Subsystem: </div>
    <div><%= oH.button( "- Any -", true, "", "qm_agaw_showlogs", "QALL" ) %></div>
    <div><%= oH.button( "Admin",   true, "", "qm_agaw_showlogs", "QADM" ) %> </div>
    <div><%= oH.button( "Client",  true, "", "qm_agaw_showlogs", "QCLI" ) %></div>
    <div><%= oH.button( "Loader",  true, "", "qm_agaw_showlogs", "QLDR" ) %></div>
  </div>

  <div class="uk-grid">
      <div class="L-column L-gap-8">
        <label for="AGAW_logDtInizio_date"><%= oDec.k("custrep_start_date") %></label>
        <div class="qm-form-datehourpicker"><%= FA.generaJQueryComboDataOra( "AGAW_logDtInizio", oC,oH,true, oDec) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="AGAW_logDtFine_date"><%= oDec.k("custrep_end_date") %></label>
        <div class="qm-form-datehourpicker"><%= FA.generaJQueryComboDataOra( "AGAW_logDtFine", oC,oH,true, oDec) %></div>
      </div>
  </div>

  <%
      LTable ltD = oC.getLt("AGAW_ltLogs");
      SmartTable stT = new SmartTable( "x", ltD );

      stT.addColumn( "Date",        0   , "120"   );
      stT.addColumn( "User",        3   , "50");
      stT.addColumn( "Subsystem",   1   , "80");
      stT.addColumn( "&nbsp;",      4   , "15", new semaphoreDecor());  // level: i: grigio / none; w: giallo, r: rosso
      stT.addColumn( "Entry",       2   , "400");


      if ( stT.numRows() > 0 ) {
          stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
          out.println( stT.render() );
      }

      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
      <div class="qm-admin-editor-no-item-warning"><%= oDec.k("editor_no_items_found") %></div>
  <%
      } else { // ci sono righe
  %>

<%--
  <div class="uk-flex uk-flex-between">
    <div>Items found: <%= stT.getNRigheTotaliQuery() %></div>
    <div>Page <%= stT.getPaginaCorrenteQuery() %> of <%= stT.getNPagineTotaliQuery() %></div>
    <div>
      <%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "", "qm_agaw_showlogs", "P" ) %>
      <%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(),     "", "qm_agaw_showlogs", "N" ) %>
    </div>
  </div>
--%>

  <table  id="tabFooter">
  <tr><td align="left" >
  Items found: <%= stT.getNRigheTotaliQuery() %>
  </td><td align="center">
  Page <%= stT.getPaginaCorrenteQuery() %> of <%= stT.getNPagineTotaliQuery() %>
  </td><td align="right">
  <%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", "qm_agaw_showlogs", "P" ) %>
  <%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(),     "width: 60px", "qm_agaw_showlogs", "N" ) %>
  </td><tr>
  </table>
  <% } %>


</div>


<%--
<center>

<h1></h1>

<table border="0">
<tr>
<td>Subsystem: </td>
<td>
    <%= oH.button( "- Any -", true, "width: 60px", "qm_agaw_showlogs", "QALL" ) %> &nbsp;
    <%= oH.button( "Admin",   true, "width: 60px", "qm_agaw_showlogs", "QADM" ) %> &nbsp;
    <%= oH.button( "Client",  true, "width: 60px", "qm_agaw_showlogs", "QCLI" ) %> &nbsp;
    <%= oH.button( "Loader",  true, "width: 60px", "qm_agaw_showlogs", "QLDR" ) %>
</td>
</tr>
<tr><td>
    <%= oDec.k("custrep_start_date") %>
</td><td>
<%= FA.generaJQueryComboDataOra( "AGAW_logDtInizio", oC,oH,true, oDec) %>
</td></tr>
<tr><td>
    <%= oDec.k("custrep_end_date") %>
</td><td>
<%= FA.generaJQueryComboDataOra( "AGAW_logDtFine", oC,oH,true, oDec) %>
</td></tr>
</table>

    <p>


<%
    LTable ltD = oC.getLt("AGAW_ltLogs");
    SmartTable stT = new SmartTable( "x", ltD );

    stT.addColumn( "Date",        0   , "120"   );
    stT.addColumn( "User",        3   , "50");
    stT.addColumn( "Subsystem",   1   , "80");
    stT.addColumn( "&nbsp;",      4   , "15", new semaphoreDecor());  // level: i: grigio / none; w: giallo, r: rosso
    stT.addColumn( "Entry",       2   , "400");


    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }

    if ( stT.getNRigheTotaliQuery() == 0 ) {
%>
    &nbsp;
    <p>
    No items found.
    <p>
    &nbsp;

<%
    } else { // ci sono righe
%>
<table  id="tabFooter">
<tr><td align="left" >
Items found: <%= stT.getNRigheTotaliQuery() %>
</td><td align="center">
Page <%= stT.getPaginaCorrenteQuery() %> of <%= stT.getNPagineTotaliQuery() %>
</td><td align="right">

<%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", "qm_agaw_showlogs", "P" ) %>
<%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(),     "width: 60px", "qm_agaw_showlogs", "N" ) %>

</td><tr>
</table>

<% } %>

</center>
--%>



<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: agaw_showlogs.jsp,v $
// Revision 1.5  2015/09/28 08:41:09  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.3  2011/02/04 09:37:31  lenz-mobile
// Bug #1250
//
// Revision 1.2  2008/09/29 14:32:51  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.1.2.3  2008/04/29 14:47:38  lenz
// Bug#345: eccessiva lentezza accesso al log.
//
// Revision 1.1.2.2  2007/12/17 09:41:08  lenz-mobile
// no message
//
// Revision 1.1.2.1  2007/12/14 19:56:27  lenz-mobile
// IMM&: Admin
//
//
%>
