<%@page import="it.loway.app.queuemetrics.asterisk.logs.analyzers.cache.SqlCache"%>
<%@page import="it.loway.app.queuemetrics.asterisk.logs.analyzers.cache.QlogSingletonHandler"%>
<%@page import="it.loway.app.queuemetrics.asterisk.logs.analyzers.cache.PropsCache"%>
<%@page import="ch.loway.app.queuemetrics.reports.live.Presentialist"%>

<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.analyzers.calls.intern.Interner" %>
<%@ page import="ch.loway.app.queuemetrics.backend.QmTracker" %>

<%@ include file="/includes/00_page_header.jspf" %>

<div class="qm-form-body L-padding-32 L-column L-gap-24">
  <h1 class="uk-margin-remove">RAM caching</h1>
  <%
      QlogSingletonHandler handler = QlogSingletonHandler.getInstance();
      SqlCache cache = SqlCache.getInstance();
      PropsCache propsCache = PropsCache.getInstance();
      Presentialist prez = Presentialist.getInstance();

      if ( oC.getS( K.REQ_PARAM ).equalsIgnoreCase( "cleanup") ) {
          handler.reset();
          cache.reset();
          Interner.reset();
          propsCache.reset();
          prez.reset();
      }
  %>

  <div class="L-flex-1 L-justify-flexend L-gap-16">
    <a class="LButton secondary" style="height: 100% !important;" href="dbtest_cache.do?cleanup">Clean caches</a>
    <a class="LButton secondary" style="height: 100% !important;" href="dbtest_cache.do?reload">Reload</a>
  </div>

  <ul id="tabs-menu" class="uk-margin-top" uk-tab data-uk-tab="{connect:'#tabs'}" uk-switcher="animation: uk-animation-fade">
    <li><a  href="">Log cache usage</a></li>
    <li><a  href="">Service threads</a></li>
  </ul>

  <ul id="tabs" class="uk-switcher">
    <!-- tab 1: misc -->
    <li class="L-column L-gap-24">
      <div class="L-column L-gap-8">
        <label class="uk-form-label">
          Log cache usage
        </label>
        <pre class="uk-margin-remove"><%= Str.safeHtml(handler.getStats()) %></pre>
      </div>

      <div class="L-column L-gap-8">
        <label class="uk-form-label">
          Real-time caching
        </label>
        <pre class="uk-margin-remove"><%= Str.safeHtml( prez.readableStats() )  %></pre>
      </div>

      <div class="L-column L-gap-8">
        <label class="uk-form-label">
          SQL cache usage
        </label>
        <pre class="uk-margin-remove"><%= Str.safeHtml(cache.getStats() )  %></pre>
      </div>

      <div class="L-column L-gap-8">
        <label class="uk-form-label">
          Other caches
        </label>
        <pre class="uk-margin-remove"><%
          out.println( "Cached strings: " + Interner.getCachedEntries() );
          out.println( "Cached properties: " + propsCache.load(application).keySet().size() );
          %></pre>
      </div>
    </li>
    <!-- tab 2: Active threads -->
    <ol>
    <%
        for ( String l: QmTracker.currentState() ) {
            out.println( "<li><pre>" + l  + "</pre></li>");
        }
    %>
    </ol>

    <li>
    </li>
  </ul>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
