<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.DbTestChecker" %>
<%@ page import="ch.loway.tpf.dbcreator.JdbcUri" %>
<%@ include file="/includes/00_page_header_context.jspf" %>
<%
    // Working directory
    stWebHere = Web.getWebApp( request );
%>
<%@ include file="dbupdateHeader.jsp" %>

<%
    String exc = request.getParameter("exception");
    String warningMsg = ((exc != null) && (exc.equals("1")))?
                            "We have detected that your " + CS.QUEUEMETRICS + " database needs updating.<br>" :  "";

    DbTestChecker dbc = DbTestChecker.check(application);
    if ( dbc.inError() ) {
        response.sendRedirect( dbc.redirectTo );
    }
%>

<div class="qm-form-body-wide">

  <div class="uk-child-width-1-5@s uk-flex-top uk-flex" uk-grid>
    <div class="uk-width-4-5@s">
        <h1>Database  connection tester</h1>
        <div class="uk-text-warning"> <%=warningMsg%> </div>
        <div class="qm-current-configuration uk-width-1-1">
            <div class="uk-margin">Your current configuration is:</div>
              <ul>
                  <li> XML configuration file found at:
                  <br><br>
                  <div class="uk-text-success">
                    <pre><%= dbc.webXml %></pre>
                  </div>
                  </li>

                  <li> JDBC URI configured as:
                  <br><br>
                  <div class="uk-text-success ">
                    <pre><%= dbc.jdbcUri %></pre>
                  </div>
                  </li>
              </ul>
          <br>

          Under this configuration you are ready to run the JDBC connection tester.<p/>
          This wizard will guide you between steps required to check and update, if required, the database.
          Please click on the button below to start the procedure.
        </div>

        <form>
          <div class="uk-text-center">
            <input onclick="window.location = 'dbtest_Wizard.do'" type=button value="Start database check">
          </div>
        </form>
    </div>

    <div class="class="uk-width-1-5@s uk-text-small">
          <b>Note:</b><br>
          Access to this page is supposed to be restricted. <p>
              You can turn off access to this page by setting <i>default.viewTechInfo=false</i> in
              the <i>configuration.properties</i> file.

    </div>
  </div>
</div>


<%@ include file="dbupdateFooter.jsp" %>
