<%@ page import="ch.loway.app.queuemetrics.KnownUrls" %>
<p>
PLEASE READ THIS SOFTWARE LICENSE AGREEMENT CAREFULLY. BY DOWNLOADING, INSTALLING OR USING THE SOFTWARE YOU INDICATE ACCEPTANCE OF AND AGREE TO THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THESE TERMS AND CONDITIONS, DO NOT DOWNLOAD, INSTALL OR USE THE SOFTWARE. THIS AGREEMENT DOES NOT SUPERCEDE ANY OTHER WRITTEN AGREEMENT BETWEEN YOU AND LOWAY. 
<p>
This agreement (the "Agreement") is made between Loway S.A., a Swiss firm with its principal offices located in Stabio (Switzerland), via Laveggio 3, Swiss company ID CHE-498.426.270, and you, the customer ("Licensee"). The terms and conditions of this Agreement are intended by the parties as a final expression of their agreement with respect to the subject matter hereof and may not be contradicted by evidence of any prior or contemporaneous agreement unless such agreement is signed by both parties. In the absence of such an agreement, this Agreement shall constitute the complete and exclusive statement of the terms and conditions and no extrinsic evidence whatsoever may be introduced in any judicial proceeding which may involve the Agreement. This Agreement may not be modified except by a writing executed by both parties hereto.
<p>
<b>SECTION 1. GENERAL PROVISIONS.</b>
<p>
The provisions of this Section 1 shall apply to any and all Software, as defined below. 
<p>
1.1 Software. For the purpose of this Agreement, the licensed computer software program(s) downloaded and/or installed and the supporting documentation for such will be referred to as the "Software." 
<p>
1.2 Restrictions. Loway reserves any rights not expressly granted to Licensee and retains title and full ownership rights under the copyright  and intellectual property laws of Switzerland or any other country. Licensee shall not modify, translate, reverse engineer, decompile or disassemble the Software or any part thereof or otherwise attempt to derive source code or create derivative works therefrom. Licensee are not allowed to remove, alter or destroy any proprietary, trademark or copyright markings or notices placed upon or contained with the Software.
<p>
1.3 Data transmission. The Software may require access to the internet in order to: 1. Validate the current license key; 2. Report on usage metrics; 3. Report on operating errors. Failure to provide such access may impact on the ability to run the software completely or in part.    
<p>
1.4 Limitation of Remedies and Damages. IN NO EVENT WILL LOWAY, ITS SUBSIDIARIES OR ANY OF THE LICENSORS, DIRECTORS, OFFICERS, EMPLOYEES OR AFFILIATES OF ANY OF THE FOREGOING BE LIABLE TO LICENSEE UNDER ANY CONTRACT, NEGLIGENCE, STRICT LIABILITY OR OTHER LEGAL OR EQUITABLE THEORY FOR ANY CONSEQUENTIAL, INCIDENTAL, INDIRECT OR SPECIAL DAMAGES WHATSOEVER (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION AND THE LIKE), WHETHER FORESEEABLE OR UNFORESEEABLE, OR FOR COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, REGARDLESS OF THE BASIS OF THE CLAIM AND EVEN IF LOWAY OR A LOWAY REPRESENTATIVE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. LOWAY'S CUMULATIVE LIABILITY FOR DAMAGES FOR ANY CAUSE WHATSOEVER, AND REGARDLESS OF THE FORM OF THE ACTION, WILL BE LIMITED TO NO GREATER THAN THE AMOUNT OF MONEY PAID TO LOWAY FOR THE SOFTWARE THAT CAUSED THE DAMAGES. NO ACTION MAY BE BROUGHT AGAINST LOWAY LATER THAN ONE YEAR FROM THE TERMINATION OF THIS AGREEMENT.
<p>
1.5 Warranties. THE LIMITED WARRANTIES AS DESCRIBED IN SECTION 2.2 OF THIS AGREEMENT ARE THE ONLY WARRANTIES PROVIDED BY LOWAY AND ITS LICENSORS, WHO EXPRESSLY DISCLAIM ALL OTHER WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE WITH REGARD TO THE SOFTWARE AND ACCOMPANYING WRITTEN MATERIALS.
<p>
1.6 Loway Trademarks. "Loway Trademarks" stands for  all names, marks, logos, designs, trade dress and other brand designations used by Loway in connection with its products and services. Licensee is granted no right, title or license to, or interest in, any Loway Trademarks. Licensee acknowledges and agrees that any use of the Loway Trademarks by Licensee will inure to the sole benefit of Loway. If Licensee  acquires any rights in any Loway Trademarks by operation of law or otherwise, it will immediately, at no cost or expense to Loway, assign such rights to Loway along with all associated goodwill.  
<p>
1.7 Term and Termination. This Agreement is effective for the term of the license grant unless sooner terminated, either through mutual agreement by the parties or by Licensee's material breach of the Agreement; provided, however, Licensee shall have ten (10) days from written notice to cure any such breach if curable. Upon any termination Licensee must immediately destroy the Software and all accompanying written materials and all copies.
<p>
1.8 Governing laws. This Agreement shall be governed by and construed and enforced in accordance with the laws of  Canton Ticino and the Swiss Confederation. The parties agree that any legal action or proceeding with respect to this Agreement may be initiated only in courts located in Canton Ticino, Switzerland. By execution and delivery of this Agreement, the parties submit to and accept with regard to any such action or proceeding the exclusive jurisdiction of such courts
<p>

<b>SECTION 2. COMMERCIAL  LICENSE TERMS AND CONDITIONS.</b>
<p>
The provisions of this Section 2 shall apply to Software licensed with a commercial license, as opposed to a free or evaluation license.
<p>
2.1 LICENSE. Subject to the terms and conditions of this Agreement and upon Licensee's full payment of the applicable fees, the Software shall be licensed, not sold, to Licensee by Loway. The "Commercial License key" granted hereunder  will grant a specified set of features to operate on the Software for a specified period of time.   The License shall therefore be time-limited, non-exclusive, and non-sublicensable, and is defined as Licensee's right to:
<ul>
(a) Licensee may install the Software with a Commercial License key on only one server, and may Use the server from any number of clients. "Use" shall mean that Licensee may use, access, run or otherwise interact with the Software in accordance with Loway's published documentation for such Software, the restrictions implied by the Commercial License key  and the terms and conditions of this Agreement. No other use is permitted, including transfer or resale of the Commercial Licence key to a third party. Each Commercial License key can be installed on one server;  Licensee must not keep multiple servers running with the same Commercial License key. 
<p>
(b) Licensee may make unlimited copies (in machine-readable form only) of each copy of the Software with a Commercial License licensed hereunder solely for backup or disaster recovery purposes. However, Licensee must reproduce each such copy without modification, including all copyright and other proprietary notices that are on the original copy. Such copies shall be in a form that does not allow the immediate Use and for backup purposes only.
<p>
(c) Licensee is entitled to receive Minor Version Upgrades of the Software at no additional fees.  Loway will specify on each released version of the Software which set of previous versions can be upgraded freely and which ones cannot.
<p>
(d) Licensee is entitled to receive a new copy of the Commercial License key if Loway invalidates the old license key (e.g. for a feature enlargement) or decides to change its internal format.
<p>
(e) Licensee is not entitled to receive a new copy of the Commercial License key if Loway invalidates the old license key because of detected violations of the terms of present document.
</ul>

2.2 Limited Warranty. Loway warrants that it or its licensors retain(s) all intellectual property rights in the Software and any accompanying written materials provided by Loway, including but not limited to copyright, and that it has the legal right to grant Licensee the License granted under this Agreement. Loway also warrants for a period of thirty (30) days from the delivery date of the Software that the operation of the Software, as provided by Loway, will substantially conform to Loway's published documentation for the Software. In the event Licensee notifies Loway during the warranty period that the Software does not meet these standards, Loway shall, at its sole option and expense, either refund the purchase price, or repair or replace the Software as Licensee's sole and exclusive remedy. 
<p>
THIS LIMITED WARRANTY IS THE ONLY WARRANTY PROVIDED BY LOWAY WITH RESPECT TO THE SOFTWARE LICENSED UNDER THIS SECTION 2, AND LOWAY EXPRESSLY DISCLAIMS ALL OTHER WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
<p>
<hr>
<i>Postal enquiries:</i>
<ul>
Loway S.A. <br>
via Laveggio 3 <br>
6855 Stabio <br>
Switzerland <p>
Phone:	+41 91 630 9765
</ul>

<i>Web sites:</i>
<ul>
<%= KnownUrls.linkQueuemetricsCom() %><br>
<%= KnownUrls.linkLowayCh() %>
</ul>

<i>Contact us:</i>
<ul>
<%= KnownUrls.linkContactUs() %>
</ul>

<i>Support forums:</i>
<ul>
<%= KnownUrls.linkForum() %>
</ul>
<p>

