<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%@ page import="it.loway.app.queuemetrics.gridSmartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ page import="it.loway.app.queuemetrics.payroll.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>

<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    String stWidth = "";

    SmartTable T;

    LProperties lProps = FA.props(application);

    agentSessionsDO agSessDO = new agentSessionsDO();
    agSessDO.initJsp(oC, oDec, oU, lProps, stWebHere);

    boolean bEditEnabled = oC.getS("PAYROLL_EDT_pauseEnabled").compareToIgnoreCase("true") == 0;
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<div class="qm-form-body">
<h1><%= oDec.k("prl_pauseeditorpage_title") + " (" + oC.getS("PAYROLL_EDT_PauseName") + ")" %></h1>

<%
    T = agSessDO.dispatch( agentSessionsDO.SESSIONEDIT_PAGE_HEADER, "" );
    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println(T.render());
%>

<p>&nbsp;</p>

<%
    GridSmartTable smT = agSessDO.dispatchWithUI( agentSessionsDO.SESSIONEDIT_DETAIL );
    out.println(smT.render());
%>
<small><%= (oDec.k("prl_edit_timesuggestion") + " (" + oDec.k("dateformat_time") + ") " + oDec.k("prl_edit_timesuggestion_or") + " (" + U.DATA_MYSQL + ")") %></small>
<p>&nbsp;</p>

<% if (!bEditEnabled) { %>
    <td><%= oDec.k("prl_invalid_pause") %></td>
    <p>&nbsp;</p>
<% } %>


<table>
    <tr>
        <td style='width: 80;'>&nbsp;</td>
        <td style='width: 150;'>&nbsp;</td>
        <td style='width: 150;'>&nbsp;</td>
        <td><%=oH.button( oDec.k("prl_session_move"), bEditEnabled, stWidth, "qm_payroll_pause_move", "" )%></td>
    </tr>
</table>


<h1><%= oDec.k("prl_pauseeditorpage_pausecode_title") %></h1>
<div class="qm-form-grid-2 uk-child-width-1-2" uk-grid>
  <div class="uk-text-right@s"><%= oH.combo( "PAYROLL_NewPauseCode", true, "", oC.getLt( "DATI_pause_codes" ), 0, 1, "" ) %></div>
  <div><%=oH.button( oDec.k("prl_pausecode_change"), bEditEnabled, stWidth, "qm_payroll_pause_codechange", "" )%></div>
</div>

<!--
<table>
    <tr>
        <td style='width: 80;'>&nbsp;</td>
        <td style='width: 200;'><%= oH.combo( "PAYROLL_NewPauseCode", true, "", oC.getLt( "DATI_pause_codes" ), 0, 1, "" ) %></td>
        <td><%=oH.button( oDec.k("prl_pausecode_change"), bEditEnabled, stWidth, "qm_payroll_pause_codechange", "" )%></td>
    </tr>
</table>
-->

</div>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: editPause.jsp,v $
// Revision 1.8  2015/09/28 08:41:17  marcos
// jsp/jspf refactoring.
//
// Revision 1.7  2014/07/30 10:03:35  marcos
// #2425: Exporting a payroll report in XLS (and other formats) causes an erro
//
// Revision 1.6  2013/10/29 13:01:54  lenz-mobile
// #1913 - Custom report pages
//
// Revision 1.5  2013/03/15 12:01:56  marcos
// #1870: Pauses start/end time could overlap other pauses on the same session
//
// Revision 1.4  2012/05/09 12:39:50  marcos
// BasicDO is now always initialized with a valid LProperties.
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2011/01/14 11:16:44  marcos
// IMM14 merge on main trunk
//
// Revision 1.1.2.1  2010/10/05 08:23:46  marcos
// - Changes for Payroll release II
// - Bug 1169
//
//
//
%>
