<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    //oDec.load( "statusCalls", "status_calls.txt", 0, 1);

    String stWidth = "";
%>

<script>
var page_searchPage=true;
var oUgetUserId = "<%= oU.getUserId()%>";

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  // we removed date picker
  //  $("#PAYROLL_dtInizio_date").datepicker( { dateFormat: 'yy-mm-dd' } );
  //  $("#PAYROLL_dtFine_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}
</script>

<%--
<script>
function selectMeAsSupervisor() {
  var whoami = <%= oU.getUserId() %>;

  var dropdown = document.getElementById("PAYROLL_idSupervisorFilter");
  if (dropdown) {
    dropdown.value = whoami;
  }
}
</script>
--%>

<div class="qm-form-body L-padding-32">
  <h1 class="L-primary-text"><%= oDec.k("prl_searchpage_title") %></h1>
  <fieldset class="qm-fieldset L-column L-gap-24">
    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
      <label for="PAYROLL_dtInizio_date"><%= oDec.k("prl_start_date") %></label>
      <div class="qm-form-datehourpicker  "><%= FA.generaJQueryComboDataOra( "PAYROLL_dtInizio", oC,oH,true, oDec) %></div>

      <label for="PAYROLL_dtFine_date"><%= oDec.k("prl_end_date") %></label>
      <div class="qm-form-datehourpicker  "><%= FA.generaJQueryComboDataOra( "PAYROLL_dtFine", oC,oH,true, oDec) %></div>

      <div></div>
      <div class="L-row L-gap-8 qm-datespan-quicklinks uk-subnav uk-subnav-divider L-justify-flexend" data-verb="qm_payroll_report_calc">
        <%@ include file="/includes/10_form_quicklinks.jspf" %>
      </div>

      <label for="PAYROLL_idLocationFiltro"><%= oDec.k("prl_location") %></label>
      <div><%= oH.combo( "PAYROLL_idLocationFiltro", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>

      <label for="PAYROLL_idAgentGroupFilter"><%= oDec.k("prl_agentgroup") %></label>
      <div><%= oH.combo( "PAYROLL_idAgentGroupFilter", true, stWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>

      <label for="PAYROLL_idSupervisorFilter"><%= oDec.k("prl_supervision") %></label>
      <div class="me-button">
        <%if (oU.hasKey( "SUPERVISOR") ) { %>
          <%= oH.combo( "PAYROLL_idSupervisorFilter", true, "", oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>
          <%-- <INPUT TYPE='button' CLASS='oUhasKeySUPERVISOR actButton' VALUE="<%=oDec.k("prl_supbybe")%>" onClick="javascript:selectMeAsSupervisor();" STYLE="" > --%>

          <INPUT TYPE='button' CLASS='oUhasKeySUPERVISOR actButton' VALUE="<%=oDec.k("prl_supbybe")%>" >

        <% } else { %>
          <%= oH.combo( "PAYROLL_idSupervisorFilter", true, stWidth, oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>
        <% } %>
      </div>

      <div></div>
      <div class="L-justify-flexend">
        <%= oH.button( oDec.k("prl_report_calc"), true, stWidth, "qm_payroll_report_calc", "" ) %>
      </div>
    </div>
  </fieldset>
</div>

<%--
<!-- old stuff -->
<center>
<h1><%= oDec.k("prl_searchpage_title") %></h1>
<table>
  <tr>
    <td><%= oDec.k("prl_start_date") %></td>
    <td><%= FA.generaJQueryComboDataOra( "PAYROLL_dtInizio", oC,oH,true, oDec) %></td>
  </tr>
  <tr>
    <td><%= oDec.k("prl_end_date") %></td>
    <td><%= FA.generaJQueryComboDataOra( "PAYROLL_dtFine", oC,oH,true, oDec) %></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>
    <A class="fplink" href="javascript:startTransaction('qm_payroll_report_calc', 't0')"><%= oDec.k("fp_today") %></A> |
    <a class="fplink" href="javascript:startTransaction('qm_payroll_report_calc', 't1')"><%= oDec.k("fp_yesterday") %></a> |
    <a class="fplink" href="javascript:startTransaction('qm_payroll_report_calc', 't2')"><%= oDec.k("fp_before_yesterday") %></a>
    <br>
    <A class="fplink" href="javascript:startTransaction('qm_payroll_report_calc', 'd1')"><%= oDec.k("fp_lastday") %></A> |
    <a class="fplink" href="javascript:startTransaction('qm_payroll_report_calc', 'd7')"><%= oDec.k("fp_last_7") %></a> |
    <a class="fplink" href="javascript:startTransaction('qm_payroll_report_calc', 'd30')"><%= oDec.k("fp_last_30") %></a> |
    <a class="fplink" href="javascript:startTransaction('qm_payroll_report_calc', 'd90')"><%= oDec.k("fp_last_90") %></a>
    </td>
  </tr>

  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>


<!-- 2 column -->


  <tr>
    <td><%= oDec.k("prl_location") %></td>
    <td><%= oH.combo( "PAYROLL_idLocationFiltro", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></td>
  </tr>

  <tr>
    <td><%= oDec.k("prl_agentgroup") %></td>
    <td><%= oH.combo( "PAYROLL_idAgentGroupFilter", true, stWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></td>
  </tr>
  <tr>
    <td><%= oDec.k("prl_supervision") %></td>
    <td>
    <% if (oU.hasKey( "SUPERVISOR") ) { %>
      <%= oH.combo( "PAYROLL_idSupervisorFilter", true, "width:200px;", oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>
      <INPUT TYPE='button' CLASS='actButton' VALUE=<%=oDec.k("prl_supbybe")%> onClick="javascript:selectMeAsSupervisor();" STYLE="width:75px" >
    <% } else { %>
      <%= oH.combo( "PAYROLL_idSupervisorFilter", true, stWidth, oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>
  <% } %>
    </td>
  </tr>
  <tr>
    <td>&nbsp;</td><td>&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><%= oH.button( oDec.k("prl_report_calc"), true, stWidth, "qm_payroll_report_calc", "" ) %></td>
  </tr>
</table>
</center>
--%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: searchPage.jsp,v $
// Revision 1.5  2015/09/28 08:41:17  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.3  2011/02/04 09:37:32  lenz-mobile
// Bug #1250
//
// Revision 1.2  2010/01/13 09:37:11  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.1.2.2  2009/10/15 09:05:12  marcos
// Payroll. End of development time.
//
// Revision 1.1.2.1  2009/10/01 10:22:51  marcos
// #860, #861, #863: Payroll 1st commit with partial implementation
//
//
%>
