<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>

<%
    String stButtonsWidth = "";
    // moveActionsEnabled = true;
%>

<!-- tab menu . The tab is made with uikit framework -->
<ul id="tabs-menu" class="uk-margin-top" uk-tab data-uk-tab="{connect:'#tabs'}" uk-switcher="animation: uk-animation-fade">

    <% if (moveActionsEnabled) { %>
        <li><a href=""><%= oDec.k("qa_perftrack_movetogroup") %></a> </li>
    <% } %>

        <li> <a href=""><%= oDec.k("qa_perftrack_sendcbt") %></a> </li>
        <li> <a href=""><%= oDec.k("qa_perftrack_sendmeeting") %></a> </li>
</ul>

<ul id="tabs" class="uk-switcher" >
    <!-- each li = 1 tab -->
    <%if (moveActionsEnabled) { %>
        <!-- tab 1 -->
        <li>
            <fieldset class="qm-fieldset">
                <h3><%= oDec.k("qa_perftrack_movetogroup") %></h3>
                <div class="uk-form-stacked">
                    <div class="uk-margin">
                        <label class="uk-form-label" for="QA_TASK_newAgentGroup"><%= oDec.k("qa_perftrack_new_group") %></label>
                        <div > <%= oH.combo("QA_TASK_newAgentGroup", true, stControlsWidth, oC.getLt("DATI_agentgroups_selectable"), 0, 1, "")%> </div>
                    </div>

                    <div class="uk-margin">
                        <label class="uk-form-label" for="QA_TASK_RememberPeriod"><%= oDec.k("qa_perftrack_remember")%> &nbsp;</label>
                        <div>
                            <%= oH.checkBox("QA_TASK_Remember", "")%>
                            <%= oH.textBox("QA_TASK_RememberPeriod", true, stNumbersWidth, 10)%>&nbsp;
                            <%= oDec.k("qa_perftrack_days")%>
                        </div>
                    </div>

                    <div class="uk-margin">
                        <label class="uk-form-label"><%= oDec.k("qa_perftrack_reason") + ":"%></label>
                        <div ><%= oH.textBox("QA_TASK_reason_MoveGroup", true, stControlsWidth, 1024)%></div>
                    </div>
                </div>
                <div class="L-justify-flexend">
                    <input class="actButton LButton primary" id="okButtonMove" type="button" onclick="onMoveToGroup()" value="OK"/>
                </div>
            </fieldset>
        </li>
    <%} %>

    <!-- tab 2 -->
    <li>
        <fieldset class="qm-fieldset">
            <h3><%= oDec.k("qa_perftrack_sendcbt") %></h3>
            <div class="L-column L-gap-16">
                <div class="L-column L-gap-4">
                    <label for="QA_TASK_CBTName"><%= oDec.k("qa_perftrack_cbt_id")%></label>
                    <div><%= oH.comboX("QA_TASK_CBTName", true, stControlsWidth, oC.getLt("DATI_CBTList_selectable"), 1, 2, "")%></div>
                </div>
                
                <div class="L-column L-gap-4">
                    <label for="QA_TASK_CBTText"><%= oDec.k("qa_perftrack_cbt")%></label>
                    <div><%= oH.textBox("QA_TASK_CBTText", true, stControlsWidth, 1024)%></div>
                </div>
                
                <div class="L-column L-gap-4">
                    <label for="QA_TASK_CBTNote_CBT"><%= oDec.k("qa_perftrack_cbt_comment")%></label>
                    <div><%= oH.textBox("QA_TASK_CBTNote_CBT", true, stControlsWidth, 1024)%></div>
                </div>
                
                <div class="L-column L-gap-4">    
                    <label for=""><%= oDec.k("qa_perftrack_reason")%></label>
                    <div><%= oH.textBox("QA_TASK_reason_CBT", true, stControlsWidth, 1024)%></div>
                </div>
                
                <div class="L-justify-flexend"><input class="actButton LButton primary" id="okButtonSendCBT" type="button" onclick="onSendCBT()" value="OK"/></div>
            </div>
        </fieldset>
    </li>

    <!-- tab 3 -->
    <li>
        <fieldset class="qm-fieldset">
            <h3><%=oDec.k("qa_perftrack_sendmeeting")%></h3>

            <div class="L-column L-gap-16">
                <div class="L-column L-gap-4">
                    <label for=""><%= oDec.k("tsk_traincoach_chc_title")%></label>
                    <div><%= oH.textBox("QA_TASK_CHCTitle", true, stControlsWidth, 1024)%></div>
                </div>

                <div class="L-column L-gap-4">
                    <label for=""><%= oDec.k("tsk_traincoach_chc_message")%></label>
                    <div><%= oH.textBox("QA_TASK_CHCMessage", true, stControlsWidth, 1024)%></div>
                </div>

                <div class="L-column L-gap-4">
                    <label for="QA_TASK_CHCDate_date"><%= oDec.k("tsk_traincoach_chc_date") %></label>
                    <div class="qm-form-datehourpicker " ><%= FA.generaJQueryComboDataOra("QA_TASK_CHCDate", oC, oH, true, oDec) %></div>
                </div>

                <div class="L-column L-gap-4">
                    <label for="QA_TASK_CHCDuration"><%= oDec.k("tsk_traincoach_chc_duration")%></label>
                    <div><%= oH.textBox("QA_TASK_CHCDuration", true, stControlsWidth, 1024)%></div>
                </div>
                
                <div class="L-column L-gap-4">
                    <label><%= oDec.k("qa_perftrack_cbt_comment")%></label>
                    <div><%= oH.textBox("QA_TASK_CBTNote_Meeting", true, stControlsWidth, 1024)%></div>
                </div>
                
                <div class="L-column L-gap-4">
                    <label><%= oDec.k("qa_perftrack_reason") %></label>
                    <div><%= oH.textBox("QA_TASK_reason_Meeting", true, stControlsWidth, 1024)%></div>
                </div>
                
                <div class="L-justify-flexend">
                    <input class="actButton LButton primary" id="okButtonSendMeeting" type="button" style="<%= stButtonsWidth %>" onclick="onSendMeeting()" value="OK"/>
                </div>
            </div>
        </fieldset>
    </li>
</ul>

<!-- Fields in tabs are placeholder. POSTed values are below -->
<%= oH.hidden( "QA_TASK_reason" ) %>
<%= oH.hidden( "QA_TASK_CBTNote" ) %>
<%= oH.hidden( "QA_TASK_CBTCallId" ) %>
<%= oH.hidden( "QA_TASK_CBTAgentCode" ) %>


<!-- old stuff -->

<%--
            <div id="tabs" style="font-size:12px;">


                <ul>
                    <% if (moveActionsEnabled) { %>
                        <li><a href="#tabs-movetogroup"><%= oDec.k("qa_perftrack_movetogroup") %></a></li>
                    <% } %>
                    <li><a href="#tabs-sendcbt"><%= oDec.k("qa_perftrack_sendcbt") %></a></li>
                    <li><a href="#tabs-sendmeeting"><%= oDec.k("qa_perftrack_sendmeeting") %></a></li>
                </ul>


                <% if (moveActionsEnabled) { %>
                    <div id="tabs-movetogroup">
                        <table class="TAB0">

                            <tr class="ST_TR0">
                                <td colspan="3" align="left"><b><%= oDec.k("qa_perftrack_movetogroup") %></b></td>
                            </tr>

                            <tr class="ST_TR1">
                                <td align="right"><%= oDec.k("qa_perftrack_new_group") %>:</td>
                                <td align="left"><%= oH.combo("QA_TASK_newAgentGroup", true, stControlsWidth, oC.getLt("DATI_agentgroups_selectable"), 0, 1, "")%></td>
                                <td/>
                            </tr>
                            <tr class="ST_TR1">
                                <td>&nbsp;</td>
                                <td colspan="2" align="left">
                                    <%= oH.checkBox("QA_TASK_Remember", "")%>
                                    <%= oDec.k("qa_perftrack_remember")%> &nbsp;
                                    <%= oH.textBox("QA_TASK_RememberPeriod", true, stNumbersWidth, 10)%>
                                    &nbsp;
                                    <%= oDec.k("qa_perftrack_days")%>
                                </td>
                            </tr>

                            <tr class="ST_TR1">
                                <td align="right"><%= oDec.k("qa_perftrack_reason") + ":"%></td>
                                <td align="left"><%= oH.textBox("QA_TASK_reason_MoveGroup", true, stControlsWidth, 1024)%></td>
                                <td align="right"><input class="actButton" id="okButtonMove" type="button" style="<%= stButtonsWidth %>" onclick="onMoveToGroup()" value="OK"/></td>
                            </tr>
                        </table>
                    </div>
                <% } %>

                <!-- Training tasks -->
                <div id="tabs-sendcbt">
                    <table class="TAB0">

                        <tr class="ST_TR0">
                            <td colspan="3" align="left"><b><span id="sendcbttitle"><%= oDec.k("qa_perftrack_sendcbt") %></span></b></td>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("qa_perftrack_cbt_id")%>:</td>
                            <td align="left"><%= oH.comboX("QA_TASK_CBTName", true, stControlsWidth, oC.getLt("DATI_CBTList_selectable"), 1, 2, "")%></td>
                            <td/>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("qa_perftrack_cbt")%>:</td>
                            <td align="left"><%= oH.textBox("QA_TASK_CBTText", true, stControlsWidth, 1024)%></td>
                            <td/>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("qa_perftrack_cbt_comment")%>:</td>
                            <td align="left"><%= oH.textBox("QA_TASK_CBTNote_CBT", true, stControlsWidth, 1024)%></td>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("qa_perftrack_reason") + ":"%></td>
                            <td align="left"><%= oH.textBox("QA_TASK_reason_CBT", true, stControlsWidth, 1024)%></td>
                            <td align="right"><input class="actButton" id="okButtonSendCBT" type="button" style="<%= stButtonsWidth %>" onclick="onSendCBT()" value="OK"/></td>
                        </tr>

                    </table>
                </div>

                <!-- Coaching tasks -->
                <div id="tabs-sendmeeting">
                    <table class="TAB0">

                        <tr class="ST_TR0">
                            <td colspan="3" align="left"><b><span id="sendmeetingtitle"><%= oDec.k("qa_perftrack_sendmeeting") %></span></b></td>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("tsk_traincoach_chc_title")%>:</td>
                            <td align="left"><%= oH.textBox("QA_TASK_CHCTitle", true, stControlsWidth, 1024)%></td>
                            <td/>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("tsk_traincoach_chc_message")%>:</td>
                            <td align="left"><%= oH.textBox("QA_TASK_CHCMessage", true, stControlsWidth, 1024)%></td>
                            <td/>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("tsk_traincoach_chc_date") %>:</td>
                            <td colspan=2 align="left"><%= FA.generaJQueryComboDataOra("QA_TASK_CHCDate", oC, oH, true, oDec) %></td>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("tsk_traincoach_chc_duration")%>:</td>
                            <td align="left"><%= oH.textBox("QA_TASK_CHCDuration", true, stControlsWidth, 1024)%></td>
                            <td/>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("qa_perftrack_cbt_comment")%>:</td>
                            <td align="left"><%= oH.textBox("QA_TASK_CBTNote_Meeting", true, stControlsWidth, 1024)%></td>
                            </td>
                        </tr>

                        <tr class="ST_TR1">
                            <td align="right"><%= oDec.k("qa_perftrack_reason") + ":"%></td>
                            <td align="left"><%= oH.textBox("QA_TASK_reason_Meeting", true, stControlsWidth, 1024)%></td>
                            <td align="right"><input class="actButton" id="okButtonSendMeeting" type="button" style="<%= stButtonsWidth %>" onclick="onSendMeeting()" value="OK"/></td>
                        </tr>
                    </table>
                </div>

                <!-- Fields in tabs are placeholder. POSTed values are below -->
                <%= oH.hidden( "QA_TASK_reason" ) %>
                <%= oH.hidden( "QA_TASK_CBTNote" ) %>
                <%= oH.hidden( "QA_TASK_CBTCallId" ) %>
                <%= oH.hidden( "QA_TASK_CBTAgentCode" ) %>

            </div>
--%>

<script>

var qa_perftrack_sendcbtforcall = "<%= oDec.k("qa_perftrack_sendcbtforcall") %>";
var qa_perftrack_sendmeetingforcall = "<%= oDec.k("qa_perftrack_sendmeetingforcall") %>";
var qa_perftrack_sendcbt = "<%= oDec.k("qa_perftrack_sendcbt") %>";
var qa_perftrack_sendmeeting = "<%= oDec.k("qa_perftrack_sendmeeting") %>";

/*
    $(document).ready(function() {


        //$( "#tabs" ).tabs();
        //$("#QA_TASK_CHCDate_date").datepicker( { dateFormat: 'yy-mm-dd' } );

        initAgentCode();
        updateButtonsStatus();
    });

    function callIdForTask(row, callId, agentCode) {

        // Uncheck all checkboxes
        $('input[id^="callTask_"]').each(function() {
            this.checked = false;
        });

        // Then check the selected checkbox
        $('#callTask_' + row)[0].checked = true;

        // Update the title and the hidden field
        $('#sendcbttitle').text("<%= oDec.k("qa_perftrack_sendcbtforcall") %>");
        $('#sendmeetingtitle').text("<%= oDec.k("qa_perftrack_sendmeetingforcall") %>");
        $('#QA_TASK_CBTCallId').val(callId);

        if (agentCode.length !== 0) {
            $('#QA_TASK_CBTAgentCode').val(agentCode);
        }

        updateButtonsStatus();
    }

    function clearCallIdForTask() {

        // Uncheck all checkboxes
        $('input[id^="callTask_"]').each(function() {
            this.checked = false;
        });

        // Update the title and the hidden field
        $('#sendcbttitle').text("<%= oDec.k("qa_perftrack_sendcbt") %>");
        $('#sendmeetingtitle').text("<%= oDec.k("qa_perftrack_sendmeeting") %>");
        $('#QA_TASK_CBTCallId').val("");

        initAgentCode();
        updateButtonsStatus();
    }

    function onMoveToGroup() {

        var reason = $('#QA_TASK_reason_MoveGroup').val();
        $('#QA_TASK_reason').val(reason);
        $('#QA_TASK_reason_MoveGroup').val("");

        startTransaction('qm_qa_perftrack_movetogroup', '');
    }

    function onSendCBT() {

        var note = $('#QA_TASK_CBTNote_CBT').val();
        $('#QA_TASK_CBTNote').val(note);
        $('#QA_TASK_CBTNote_CBT').val("");

        var reason = $('#QA_TASK_reason_CBT').val();
        $('#QA_TASK_reason').val(reason);
        $('#QA_TASK_reason_CBT').val("");


        startTransaction('<%= stSendCBTTransaction %>', '');
    }

    function onSendMeeting() {

        var note = $('#QA_TASK_CBTNote_Meeting').val();
        $('#QA_TASK_CBTNote').val(note);
        $('#QA_TASK_CBTNote_Meeting').val("");

        var reason = $('#QA_TASK_reason_Meeting').val();
        $('#QA_TASK_reason').val(reason);
        $('#QA_TASK_reason_Meeting').val("");

        startTransaction('<%= stSendMeetingTransaction %>', '');
    }

    function updateButtonsStatus() {

        var agentCode = $('#QA_TASK_CBTAgentCode').val();
        var disabled = !agentCode;

        $('#okButtonSendCBT').attr("disabled", disabled);
        $('#okButtonSendMeeting').attr("disabled", disabled);
    }

    function initAgentCode() {

        // This is required by integration of CBTSend task engine and Performance Tracker engine
        var element = document.getElementById("QA_PERFTRACK_AgentCode");
        if (element) {
            var agentCode = $('#QA_PERFTRACK_AgentCode').val();
            $('#QA_TASK_CBTAgentCode').val(agentCode);
        } else {
            $('#QA_TASK_CBTAgentCode').val("");
        }
    }
*/
</script>
