<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.html.NoCache" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.InternationalizedDecor" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.setOutcomeDecor" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.performAgentPopup" %>
<%@ page import="it.loway.app.queuemetrics.agaw.BO.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.agentLive" %>
<%@ page import="ch.loway.app.queuemetrics.gwt.server.tpf.LoadAgentPageGwt" %>
<%@ page import="org.slf4j.Logger" %>
<%@ page import="org.slf4j.LoggerFactory"  %>

<%@ page import="java.text.*" %>

<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>

<%
try {
%>
    <%@ include file="/includes/00_page_header_context.jspf" %>

    <!DOCTYPE HTML>
        <head>

            <%@ include file="/WEB-INF/jspf/spinner_css.jspf" %>

            <title><%=CS.LOWAY%> <%=CS.QUEUEMETRICS%> version <%= KA.APPL_VERSIONE %></title>

            <meta http-equiv="Content-Type" content="text/html; charset=<%= K.ENCODING_UTF8 %>" />
            <meta name="keywords" content="" />
            <meta name="description" content="" />

            <%= NoCache.favicon( request, oC ) %>
            <%= NoCache.importCss( request, "/img/video.css", "screen,projection" ) %>
            <%= NoCache.importCss( request, "/img/ui-queuemetrics/jquery-ui.custom.css", "" ) %>
            <%= NoCache.importCss( request, "/img/bootstrap/css/bootstrap.min.css", "" ) %>
            <%= NoCache.importCss( request, "/img/resizwindows.css", "" ) %>
            <%= NoCache.importCss( request, "/img/bootstrap-qm.css", "" ) %>
            <%= NoCache.importCss( request, "/img/style.css", "" ) %>
            <%= NoCache.importCssTheme(request, oC, "/img/js-bundle/", "commons-all.css", "screen,projection" )  %>
            <style>
                @font-face {
                    font-family: "Open Sans";
                    src: url(<%= stWebHere %>/img/fonts/OpenSans-Regular.ttf);
                }
            </style>

            <%= NoCache.importJsTheme(request, oC, "/img/js-bundle/", "bundle-qmplain.js", "bundle-commons-all.js", "bundle-commons-react.js", "bundle-gwtReactMiddleware.js") %>



            <button id="hiddenCopyButton" data-clipboard-action="copy" hidden="true">
            </button> <%-- Questo bottone è un trigger per la funzione copy (non è visibile ma è necessario) --%>

            <script>
                var CurrentLanguage = <%= oC.getS("USER_LanguageLabels") %>;
                var EnvironmentSetup = <%=  oC.getS( "AGENT_gwtEnv") %>;
                var UserPreferences = <%= LoadAgentPageGwt.persistLTable(oC.getLt("USER_Prefs")) %>;


                var btn = document.getElementById('hiddenCopyButton');
                var clipboard = new Clipboard(btn);                 //creiamo un oggetto Cliboard a cui agganciamo il nostro bottone di trigger

                clipboard.on('success', function (e) {               //messaggi di successo o errore nella console del browser
                    console.info('Action:', e.action);
                    console.info('Text:', e.text);
                    console.info('Trigger:', e.trigger);

                });

                clipboard.on('error', function (e) {
                    console.error('Action:', e.action);
                    console.error('Trigger:', e.trigger);
                });
            </script>

            <%-- modulo GWT --%>
            <%= NoCache.importJs( request, "/clirt/clirt.nocache.js" ) %>
        </head>

        <body class="agentpanel">
            <%-- Spinner di caricamento --%>
            <%@ include file="/WEB-INF/jspf/spinner_div.jspf" %>

            <%-- Label per gli errori di rete o di sessione --%>
            <div id="errorLabel" style=" position:fixed; top:0; right:0; z-index: 9999" ></div>

            <%-- KeepAlive (Legacy, ma probabilmente si può togliere) --%>
            <img src="<%= stWebHere %>/img/spacer.gif" width="1" height="1" id="syskeepalive"/>

        </body>
    </html>
<%

    long lnTstEnd = System.currentTimeMillis();
    out.println( "<!-- Page rendering took: " + (lnTstEnd - lnTstStart) + "ms -->");

    // effettua l'abbandono della sessione, se richiesto....
    if ( oC.defined( "USER_SESSION_ABANDON" ) ) {
        session.invalidate();
        out.println( "<!-- Session abandon -->");
    }

} catch ( Throwable T ) {

    out.println( "<h1>" + T.toString() + "</h1>");
    out.println( "<pre>" + U.stringifyException(T) + "</pre>" );

    // Stampa su stdout l'errore
    String e = "\n\n***************************************************\n"
            + "Date: " + ( new Date().toString() )  + "\n"
            + "Page: " + Web.getWebappURI(request) + " QS: " + request.getQueryString() + "\n"
            + T.toString() + "\n"
            + U.stringifyException(T) + "\n"
            + "*******************************************************\n\n";

    final Logger logger = LoggerFactory.getLogger("PageFooter");

    logger.error(e);
}

%>

<%
// $Log: agent_page_gwt.jsp,v $
// Revision 1.16  2015/09/28 08:41:05  marcos
// jsp/jspf refactoring.
//
// Revision 1.15  2014/05/28 10:23:02  marcos
// #2365: The telephone should ring when a call is received
//
// Revision 1.14  2014/03/24 10:36:35  marcos
// SoftPhone with audio and WebRTC working. 1st step.
//
// Revision 1.13  2014/03/10 11:27:35  marcos
// Language internationalization for the new agent realtime page.
//
// Revision 1.12  2014/02/28 09:18:36  marcos
// Css styling for the new realtime agent page.
//
// Revision 1.11  2014/02/12 09:37:45  marcos
// Added a menu item to the new agent page that allows to go back to the main queuemetrics page.
//
// Revision 1.10  2014/02/11 10:26:08  marcos
// New Login Panel for the live agent page.
//
// Revision 1.9  2014/01/29 09:11:22  marcos
// New GWT agent interface - Preferences persistance.
//
// Revision 1.8  2014/01/20 10:04:46  marcos
// GWT panelized agent interface - 1st commit without QM preferences integration.
//
// Revision 1.7  2013/12/03 14:08:20  lenz-mobile
// #2075 - Forced Login
//
// Revision 1.6  2013/12/02 16:44:09  lenz-mobile
// #2074 - Layour Mirko
//
// Revision 1.5  2013/12/02 10:13:30  marcos
// #2073: AgentPage GWT: Softphone integration
//
// Revision 1.4  2013/11/29 13:50:44  lenz-mobile
// Avanzamento
//
// Revision 1.3  2013/11/28 17:07:35  lenz-mobile
// #2076 - Pagian delle chiamate con tempi corretti
//
// Revision 1.2  2013/11/23 17:54:55  lenz-mobile
// #2074: Pagina GWT
//
// Revision 1.1  2013/11/18 15:34:11  lenz-mobile
// Compilazione GWT
//
//
%>
