<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="java.text.*" %>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>

<%@ include file="/includes/00_page_header_context.jspf" %>

<%
    openCallActionsPopup.CallActionPopupFields fields = (openCallActionsPopup.CallActionPopupFields) oC.get("POPUP_CALL_ACTIONS_FIELDS");
    if (fields != null) {

        String stOperCode = oC.getS( "POPUP_func" );
%>

    <script>
        // JScript variables used by JUI popup
        var callActionsTitle = "<%= fields.getCaption() %>"
        var callActionCode = "<%= stOperCode %>";
        var callActionCaption = "<%= fields.getButtonLabel() %>";
    </script>

    <INPUT TYPE="hidden" name="<%= K.REQ_VERBO %>" value="">
    <INPUT TYPE="hidden" name="<%= K.REQ_PARAM %>" value="">

    <%= fields.renderHTMLFields(oH, oC) %>

<% } // fields != null %>

<p>

<%
    String stBoxToColorize = "";
    String stColor = "";
    String stMsg = "";
    if ( oC.defined( "POPUP_response" ) ) {
        String s = oC.getS( "POPUP_response" );

        if ( s.equalsIgnoreCase( ActionPopupException.ACTION_OK ) ){
            stColor = "green";
            stMsg = oDec.k( "pgag_popup_statusok" );
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.GENERIC_ERROR ) ) {
            stColor = "red";
            stMsg = oDec.k( "pgag_popup_statusko" );
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.GRANTS_UNAVAILABLE ) ) {
            stColor = "red";
            stMsg = oDec.k( "pgag_popup_statusne" );
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.WRONG_REGEXP_FORMAT)) {
            stColor = "red";
            stMsg = oDec.k( "pgag_popup_wrong_regexp" );
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.WRONG_AGENT )) {
            stColor = "red";
            stMsg = oDec.k( "pgag_popup_wrong_agent" );
            stBoxToColorize = "POPUP_agentcode";
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.WRONG_EXTENSION )) {
            stColor = "red";
            stMsg = oDec.k( "pgag_popup_wrong_extension" );
            stBoxToColorize = "POPUP_extension";
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.CANNOT_SEND_MESSAGE )) {
            stColor = "red";
            stMsg = oDec.k( "pgag_popup_cannot_send_message" );
        } else{
            stMsg = "Unknown msg: " + s ;
        };
%>
        <script>

            function colorizeCallActionBox() {

                <% if ( stBoxToColorize.length() > 0 ) { %>
                        var box = $("#<%= stBoxToColorize %>" );
                        box.css( "background", "#FF0000");
                <% } %>

            }

        </script>

        <font color="<%= stColor %>"><%= stMsg %></font>
<%
   } // from if ( oC.defined( "POPUP_response" ) ) {
%>