<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.html.NoCache" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="java.text.*" %>
<%@ page import="it.loway.app.queuemetrics.html.*" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ page import="java.util.*" %>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>
<%
        // $Id: realtime_wallboard.jsp,v 1.18 2014/07/30 10:03:35 marcos Exp $

	// -------------------------------------------------------------------
	//        h e a d e r     d e l l a      p a g i n a     w e b
	// -------------------------------------------------------------------

        long lnTstStart = System.currentTimeMillis();

	// 1. ottiene il contesto
	//    lo crea se non esiste

        LContext oC = (LContext) session.getAttribute( K.SESSION_CONTESTO );
        if ( oC == null ) {
            oC = new LContext();
            session.setAttribute( K.SESSION_CONTESTO, oC );
        }

	// 2. ottiene il Decoder
	//    lo crea se non esiste

	LDecoder oDec = (LDecoder) session.getAttribute( K.SESSION_DECODER );
	if ( oDec == null ) {
            oDec = new LDecoder( application, "" );
            session.setAttribute( K.SESSION_DECODER, oDec );
        }

	// 3. ottiene il messaggio di errore
	//    se non esiste, non vi e' errore
	//    dopo averlo ottenuto, cancella l'errore
	//    Viene caricato un popup modale.

	LErrors oErr = (LErrors) session.getAttribute( K.SESSION_ERRORI );
	String stErr = "";
	if ( oErr != null ) {
		stErr = oErr.getError();
		oErr = null;
		session.removeAttribute(K.SESSION_ERRORI );
	}

	// 4. Ottiene il generatore di HTML
	//    Questo controllo generera' l'HTML della pagina

	HtmlGenerator oH = new HtmlGenerator( oC, oDec );

	// 5. Ottiene l'utente
	//    Carichiamo l'utente attivo

	LUser oU = (LUser) session.getAttribute( K.SESSION_USER );
        if ( oU == null ) {
            oU = new LUser();
            session.setAttribute( K.SESSION_USER, oU );
        }

	// Dump del contesto
	// -----------------

	if ( K.SYS_DUMP_CONTESTO ) {
		out.println( "<!--  Dump del contesto " );
		out.println( oC.dump() );
		out.println( "-->\n\n" );
	}

        // carica le preferenze di layout
	LayoutPrefsContainer lP = (LayoutPrefsContainer) session.getAttribute( "LAYOUT_PREFS" );
        if ( lP == null ) {
            lP = new LayoutPrefsContainer( application, request );
            session.setAttribute( "LAYOUT_PREFS", lP );
        }



	// ----------------------------------------------------------------------
	// Definizione costanti in uso alle pagine (es. stili css....)

        String stWebHere = Web.getWebApp( request );

	String stCorniceInizia =
		  "\n<div class=\"link_sx\">\n";

	String stCorniceTermina =
		  "\n</div>\n\n";

// =============================================================================
//        e v i t a    i l   c a c h i n g    d e l l e    p a g i n e
// =============================================================================

    response.setHeader( "Expires", "Tue, 01 Jan 2002 00:00:00 GMT" );
    response.setHeader( "Cache-Control" , "no-store, no-cache, must-revalidate, post-check=0, pre-check=0" );
    response.setHeader( "Pragma", "no-cache" );

%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<%= K.ENCODING_UTF8 %>" />
<title><%=CS.LOWAY%> <%=CS.QUEUEMETRICS%> <%= KA.APPL_VERSIONE %></title>
<meta name="keywords" content="" />
<meta name="description" content="" />
<%= NoCache.favicon( request, oC) %>
<%= NoCache.importCss( request, "/img/video.css", "screen,projection" ) %>
</head>
<body onload='onLoadApplicativo()'>

<%

    // $Id: realtime_wallboard.jsp,v 1.18 2014/07/30 10:03:35 marcos Exp $

    // Instanzia Data  Object appropriato
    BasicDO doRT = new RealtimeDO();
    LProperties props = FA.props( application );
    doRT.initJsp( oC, oDec, oU, props, stWebHere );


    // inizializza Timer
    LTimer t = new LTimer();
    SmartTable T = null;
%>


<style>

#STRIASS .ST {
    font: 18pt Arial, Times, serif;
}


#STRIASS .ST_TR0 TD {
        font: 18pt Arial, Times, serif;
}

#STRIASS .ST_TR1 TD {
        font: 18pt Arial, Times, serif;
}

#STRIASS .ST_TRH TH {
        font: 18pt Arial, Times, serif;
}

#CALLS .ST {
    font: 18pt Arial, Times, serif;
}


#CALLS .ST_TR0 TD {
        font: 18pt Arial, Times, serif;
}

#CALLS .ST_TR1 TD {
        font: 18pt Arial, Times, serif;
}

#CALLS .ST_TRH TH {
        font: 18pt Arial, Times, serif;
}


#titolo {
        background: #eee;
	border: 1px dotted #888;
	height: 90px;
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
        font: 18pt Arial, Times, serif;
        padding: 2px;
}

#orologio {
	float: right;
	font-size: 18pt;
	width: 120px;
        background: #eee;
	border: 1px dotted #888;
}

#scroller {
	position: absolute;
	top: 180px;
	left: 0px;
	width: 100%;
}

.red {
	background-color: #EE0000;
	width: 5px;
}

.blk {
	background-color: #CCCCCC;
	width: 5px;
}


</style>



<script defer>
function onLoadApplicativo() {
	// transazione standard
	//document.forms[0].<%= K.REQ_VERBO %>.value = "";
	//document.forms[0].<%= K.REQ_PARAM %>.value = "";

        playSoundIfAlarms();
        startCountdown( <%= oC.getI( "REALTIME_reload_time" ) %> * 2 );
        //  aggiungiEventoOnchangeAComboLocation();
        scrollNow();
}

function startTransaction( stTransaction, stParms) {
    document.location.href= stTransaction + ".do?" + stParms;
}


var inCdown = 0;
var inCdownMax = 0;
function countdown() {
    inCdown=inCdown-1;
    VuMeter( '#F00', '#CCC', inCdown, inCdownMax );
    if ( inCdown < 1 ) {
        startTransaction( "qm_wallboard", "" );
    } else {
        setTimeout( "countdown()", 500 );
    }
}

function startCountdown( max ) {
	inCdown = max-1;
	inCdownMax = max;
	VuMeter( '#F00', '#CCC', max, max );
	setTimeout( "countdown()", 500 );
}

function VuMeter( stCss1, stCss2, nCounter, nMax ) {
	var myT = document.getElementById( "vmeter" );
	var rows = myT.rows;
	var cells = rows[0].cells;

	var nCells = cells.length;
	var last1  = (nCounter / nMax) * nCells;

	for ( var i = 0; i < cells.length; i++ ) {
		var cell = cells[i];
		if ( i < last1 ) {
			cell.style.background = stCss1;
		} else {
			cell.style.background = stCss2;
		}
	}
}

//
// per non incasinare i controlli, aggiungo l'onChange alla combo delle location
// in maniera programmatica
//

function aggiungiEventoOnchangeAComboLocation() {
    document.getElementById( "REALTIME_F_idLocation" ).onchange = OnChangeCboLocation;
}

function OnChangeCboLocation() {
    startTransaction('qm_wallboard', '');
}


function openPopUp( stNumRiga ) {
    unique = new Date().getTime();
    stUrl = "qm_popup_audiomon.do?POPUP_agent=" + stNumRiga + "&cachebreak=<%= U.getRandomString(9) %>" + unique;
    eval("page" + unique + " = window.open( stUrl, '" + unique + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=300,height=300,left = 490,top = 200');");
}


//
//                      S U O N I    A L     C A R I C A M E N T O
//

function playSoundIfAlarms() {

        var stSoundYellow = "<%= oC.getS( "SOUND_URL_yellow" ) %>";
        var stSoundRed    = "<%= oC.getS( "SOUND_URL_red" ) %>";

        var soundChosen   = "";

	var inNumYellows = countCellsInClass( 'STRIASS', 'stDataYellow' )
	                 + countCellsInClass( 'CALLS', 'stDataYellow' )
	                 ;

	var inNumReds    = countCellsInClass( 'STRIASS', 'stDataRed' )
	                 + countCellsInClass( 'CALLS', 'stDataRed' )
	                 ;

	if ( inNumReds > 0 ) {
		soundChosen = stSoundRed;
	} else
	if ( inNumYellows > 0 ) {
		soundChosen = stSoundYellow;
	};

	if ( soundChosen.length > 0 ) {
		document.getElementById("soundSpan").innerHTML= "<embed src='" + soundChosen + "' width='0' height='0' hidden=true autostart=true loop=false>";
	}

}



function countCellsInClass( stTableId, stClass ) {

	var n = 0;
	var i = 0;
	var j = 0;
	var table = document.getElementById( stTableId );

	if ( !table ) {
		return 0;
	}

	for ( i = 0; i < table.rows.length; i++ ) {
		for ( j = 0; j < table.rows[i].cells.length; j++ ) {
			myCell = table.rows[i].cells[j];
			if ( myCell.className ) {
				if ( myCell.className == stClass ) {
					n += 1;
				}
			}
		}
	}
	return n;
}





// ------------------------------------------------------------------------
//                          S C R O L L E R
// ------------------------------------------------------------------------

// wnd e' la finestra virtuale che ottengo ritagliando il DIV
// div e' invece il div "scroller"

var scrollSpeed = 450; // ms per ogni scroll
var scrollPixel = 12;  // numero di pixel da spostare

var wndTop    = 120;
var wndHeight = -1;    // si imposta a run time

var divHeight = -1;    // si imposta a run time
var divLeft   = -1;    // si imposta a run time
var divWidth  = -1;    // si imposta a run time

var currentOffset    =  0;
var currentDirection = -1;

function initScroll() {
	divHeight = document.getElementById("scroller").offsetHeight;
	divLeft   = document.getElementById("scroller").offsetLeft;
	divWidth  = document.getElementById("scroller").offsetWidth;
	wndHeight = document.body.clientHeight - wndTop -10;
}


function scrollUp( deltaOffset ) {
	currentOffset = currentOffset + deltaOffset;

	scrollDiv   = document.getElementById("scroller");
	scrollStyle = scrollDiv.style;

	scrollClip = "rect(" + (0-currentOffset) + "px " + (divWidth + divLeft) + "px " + ( (0-currentOffset)+ (wndHeight)) + "px 0px)";

	scrollStyle.clip = scrollClip;
	scrollStyle.top = currentOffset + wndTop;
}

function scrollNow() {
	initScroll();
	if ( divHeight < wndHeight ) {
		// il blocco da mostrare e' piu' corto della window scrollabile
		//currentOffset = ( wndHeight - divHeight) / 2;
                currentOffset = 0;
		scrollUp(0);
	} else {
		// devo scrollare la viewport
		if ( currentOffset > -10 ) {
			currentDirection = -1;
		} else
		if ( currentOffset < ( wndHeight - divHeight ) ) {
			currentDirection = 1;
		};
		scrollUp( currentDirection * scrollPixel );
	}
	setTimeout("scrollNow();", scrollSpeed );
}


</script>


<div id="titolo">
<div id="orologio">
<center>
<a href="qm_start.do"><img src="<%= stWebHere %>/img/sm_qm_logo.gif" width="100" height="17" border="0"></a>
<br>
<%= oC.getS( "REALTIME_dataOra" ) %>
<br>
<table id="vmeter">
<tr>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
<td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td> <td class="blk">&nbsp;</td>
</tr>
</table>

</center>


</div>

<%= oDec.k("rt_queues") %>
<%= oC.getS( "REALTIME_includedCodeName" ) %>
<p>


</div>

<div id="scroller">
&nbsp;
<p>
<%
    T = doRT.dispatch( RealtimeDO.WALL_RIASSUNTO_REALTIME, "" );
    out.println(T.render());
%>
<p>




<% if ( realtimeHelper.panelEnabled( oC.getS("REALTIME_toggle_calls") ) ) { %>


<%
    T = doRT.dispatch( RealtimeDO.WALL_CALLS_BEING_PROC, "" );
    out.println(T.render());
%>

<% }; %>

</div>

<div id="soundSpan" ></div>


</body>
</html>

<%
// $Log: realtime_wallboard.jsp,v $
// Revision 1.18  2014/07/30 10:03:35  marcos
// #2425: Exporting a payroll report in XLS (and other formats) causes an erro
//
// Revision 1.17  2013/10/29 13:01:53  lenz-mobile
// #1913 - Custom report pages
//
// Revision 1.16  2012/05/09 12:39:49  marcos
// BasicDO is now always initialized with a valid LProperties.
//
// Revision 1.15  2012/05/08 10:53:23  marcos
// #1583: Wrong query result after returning from RT page
//
// Revision 1.14  2009/04/30 09:11:57  marcos
// #706: The "cachebreaker" field is now generated dynamically by javascript
//
// Revision 1.13  2009/03/27 15:20:27  lenz
// Bug #630: filtraggio chiamate
//
// Revision 1.12  2008/12/05 10:50:01  marcos
// #566 - Error displaying the code name when * are present in their composition rule.
//
// Revision 1.11  2007/07/29 11:50:28  lenz
// Bug #168: ancora problemi UTF-8
//
// Revision 1.10  2007/06/19 15:30:16  lenz
// BUG#144: la descrizione nel realtime era scorretta se in modalita' default.showQueueComposition=false
//
// Revision 1.9  2007/05/12 20:48:26  lenz
// Merge IMM4
//
// Revision 1.8  2007/04/20 14:55:51  lenz
// Bug #98 - Suoni su realtime.
//
// Revision 1.7  2007/02/21 12:29:05  lenz
// Bug #38: Toggle per la composizione della coda.
//
// Revision 1.6  2007/02/21 11:39:41  lenz
// Bug #29: Tolti caratteri non UTF-8
//
// Revision 1.5  2007/02/06 14:00:25  lenz
// UTF-8.
//
// Revision 1.3.2.1  2007/01/08 11:26:00  lenz
// Encoding per ebraico
//
// Revision 1.3  2006/10/07 17:02:12  lenz
// Merge v1.3
//
// Revision 1.2.2.1  2006/09/16 16:36:44  lenz
// fULL i18n
//
// Revision 1.2  2006/07/18 17:52:15  lenz
// Prima versione della wallboard funzionante.
//
// Revision 1.1  2006/07/15 23:00:53  lenz
// Aggiunta wallboard semplice.
//
//
//
%>
