<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load("record_status", "record_status.txt", 0, 1);

    final String stVerbPrefix = "qm_cfg2_cases";
    final String stTabPrefix  = "TABCASES";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
%>

<script>

    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus("TABCASES_contact");
    }

</script>


<div class="qm-form-body">

    <fieldset class="qm-fieldset">
        <legend><%= oDec.k("edit_record_cases_header") %></legend>

        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>

            <label for="TABCASES_title"><%= oDec.k("edit_record_cases_title") %></label>
            <div><%= oH.textBox( "TABCASES_title", true, stWidth, 50 ) %></div>

            <label for="TABCASES_external_ref"><%= oDec.k("edit_record_cases_xref") %></label>
            <div><%= oH.textBox( "TABCASES_external_ref", true, stWidth, 50 ) %>
            <br>
            <small><%= oDec.k("edit_record_xref_blank") %></small>

            </div>

            <label for="TABCASES_client_id"><%= oDec.k("edit_record_client_id") %></label>
            <div><%= oH.combo( "TABCASES_client_id", true, stWidth, oC.getLt( "DATI_cases_clients" ), 0, 1, "" ) %></div>

            <label for="TABCASES_contact"><%= oDec.k("edit_record_cases_contact") %></label>
            <div><%= oH.textBox( "TABCASES_contact", true, stWidth, 500 ) %></div>

            <label for="TABCASES_email"><%= oDec.k("edit_record_cases_email") %></label>
            <div><%= oH.textBox( "TABCASES_email", true, stWidth, 500 ) %></div>

            <label for="TABCASES_notes"><%= oDec.k("edit_record_cases_notes") %></label>
            <div><%= oH.textArea( "TABCASES_notes",  true, stWidth + "height: 90px;", 10000 ) %></div>


            <label for="TABCASES_status"><%= oDec.k("edit_record_cases_status") %></label>
            <div><%= oH.combo( "TABCASES_status",  true, stWidth, "record_status", "0" ) %></div>


            <label for="TABCASES_security_key"><%= oDec.k("edit_record_cases_securitykey") %></label>
            <div><%= oH.textBox( "TABCASES_security_key",  true, stWidth, 64 ) %></div>


          <label for="TABCASES_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
          <div><%= oH.textBox( "TABCASES_nomedata_insert",  false, stWidth, 100 ) %></div>

          <label for="TABCASES_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
          <div><%= oH.textBox( "TABCASES_nomedata_update",  false, stWidth, 100 ) %></div>


        </div>

        <div class="L-row uk-flex-between uk-margin-medium-top">
          <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
          <div class="L-row L-gap-16">
            <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCASES_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
            <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCASES_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
            <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCASES_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCASES_name")+"','"+oC.getS("TABCASES_id")+"')", "Q-button-secondary") %>
          </div>
          <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
        </div>

    </fieldset>



      <fieldset class="qm-fieldset" class="uk-margin-medium-top">
        <legend><%= oDec.k("edit_record_case_transactions") %></legend>
        <div class="uk-margin-top" >
        <%
          SmartTable stT = new SmartTable( "x", oC.getLt( "TABCASES.ltTransactions" ) );

          stT.addColumn( oDec.k("edit_record_cases_text"), 1  , "200" );
          stT.addColumn( oDec.k("edit_record_cases_queue"),  2  , "100" );
          stT.addColumn( oDec.k("edit_record_cases_handled_by"),  0  , "100" );

          if ( stT.numRows() > 0 ) {
            stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
            out.println( stT.render() );
          } else {
        %>
            <div class="qm-admin-agents-warning"><%=oDec.k("edit_record_cases_none_found")%></div>
        <%
          }
        %>
        </div>

      </fieldset>


</div>

<%@ include file="/includes/00_page_footer.jspf" %>
