<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%--
<style>


    .days-selector td {


    }

    .invisible {
        display:none;
    }

    .daySelector {

        width: 100%;
        display: inline-block;
        line-height: 40px;
        cursor: pointer;

        -moz-user-select: -moz-none;
       -khtml-user-select: none;
       -webkit-user-select: none;

       /*
         Introduced in IE 10.
         See http://ie.microsoft.com/testdrive/HTML5/msUserSelect/
       */
       -ms-user-select: none;
       user-select: none;

    }

    .checked {
        font-weight: bold;
   }

   .daySelectorTd {
       background:#D3D3D3;
       width: 40px;
       height: 40px;
       padding:0 !important;
       text-align: center;
       font-weight: normal;
   }

   .daySelectorTd:hover{
       background:#EEEEEE;
   }

   .checkedTdDom {
       	background:#90EE90;
   }

   .checkedTdDow {
       	background:#ADD8E6;
   }

   .checkedTdDom:hover {
       background:#90FF90;
   }

   .checkedTdDow:hover {
       background:#ADE9E6;
   }

</style>
--%>
<%
    // inizializza Decodes
    oDec.load( "cyclicCronjobs", "cyclic_cronjobs.txt", 0, 1 );
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_cronjobs";
    final String stTabPrefix  = "TABCRONJOBS";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
    String dows = oC.getLt("DATI_cronjobs_dow").getS(0,0);
    String doms = oC.getLt("DATI_cronjobs_dom").getS(0,0);

%>

<script>

    //Days of the week
    var dowlist = [
        {value: "0"},   //sunday
        {value: "1"},   //monday
        {value: "2"},   //tuesday
        {value: "3"},   //wednesday
        {value: "4"},   //thursday
        {value: "5"},   //friday
        {value: "6"}    //saturday
    ];

    //Days of the month
    var domlist = [
        {day: "1", value: "1"},
        {day: "2", value: "2"},
        {day: "3", value: "3"},
        {day: "4", value: "4"},
        {day: "5", value: "5"},
        {day: "6", value: "6"},
        {day: "7", value: "7"},
        {day: "8", value: "8"},
        {day: "9", value: "9"},
        {day: "10", value: "10"},
        {day: "11", value: "11"},
        {day: "12", value: "12"},
        {day: "13", value: "13"},
        {day: "14", value: "14"},
        {day: "15", value: "15"},
        {day: "16", value: "16"},
        {day: "17", value: "17"},
        {day: "18", value: "18"},
        {day: "19", value: "19"},
        {day: "20", value: "20"},
        {day: "21", value: "21"},
        {day: "22", value: "22"},
        {day: "23", value: "23"},
        {day: "24", value: "24"},
        {day: "25", value: "25"},
        {day: "26", value: "26"},
        {day: "27", value: "27"},
        {day: "28", value: "28"},
        {day: "29", value: "29"},
        {day: "30", value: "30"},
        {day: "31", value: "31"}
    ];

    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus("TABCRONJOBS_nome");

        addClickListenerToDowLabels();
        addChangeListenerToRecurringCombo();
        setupHourType();
        setDowCheckboxes();
        createCheckboxesDom();
        setDomCheckboxes();
    }

    function setupHourType(){
        //imposta la combo giusta per l'orario
        if($("#TABCRONJOBS_is_recurring").val()=="1"){
            $("#every").removeClass("invisible");
            $("#hour").addClass("invisible");
        }else{
            $("#hour").removeClass("invisible");
            $("#every").addClass("invisible");
        }
    }

    //seleziona i bottoni dei giorni della settimana al caricamento
    //della pagina
    function setDowCheckboxes() {
        var items = getSelectedDows();
        $.each(items,
                function (index, value) {
                    $("#dow_" + value).addClass("checked");
                    $("#tdw_" + value).addClass("checkedTdDow");
                }
        );
        //se sono tutti selezionati seleziono il bottone all
        if($("#TABCRONJOBS_dow").val()=="0123456")
        {
            $("#dow_all").addClass("checked");
            $("#tdw_all").addClass("checkedTdDow");
        }else{
            $("#dow_all").removeClass("checked");
            $("#tdw_all").removeClass("checkedTdDow");
        }

    }

    //seleziona i bottoni dei giorni del mese al caricamento
    //della pagina
    function setDomCheckboxes() {
        var items = getSelectedDoms();
        $.each(items,
                function (index, value) {
                    $("#dom_" + value).addClass("checked");
                    $("#tdm_" + value).addClass("checkedTdDom");
                }
        );
        //se sono tutti selezionati seleziono il bottone all
        if(allDomAreChecked())
        {
            $("#dom_all").addClass("checked");
            $("#tdm_all").addClass("checkedTdDom");
        }else{
            $("#dom_all").removeClass("checked");
            $("#tdm_all").removeClass("checkedTdDom");
        }

    }

    //crazione dinamica dei bottoni per i giorni del mese
    function createCheckboxesDom() {

        $.each(domlist,
                function (index, item) {
                    addCheckbox("#dom_" + item.value, item.value);
                });
        var container = $("#tr_4");

        $('<td id=tdm_all class="daySelectorTd" >').appendTo(container);

        var tdContainer = $("#tdm_all");
        $('<label />', {id: 'dom_all', text: "<%=oDec.k("td_dm_all")%>", value: "0", class: "daySelector"}).appendTo(tdContainer);
        $('</td>').appendTo(container);
        $('#dom_all').click(function() {
            onClickDomAll(this);
        });

    }

    //aggiunge il listener per l'evento click ai bottoni
    //dei giorni della settimana
    function addClickListenerToDowLabels() {

        $.each(dowlist,
                function (index, item) {
                    $('#dow_'+item.value).click(function() {
                                onClickDow(this);
                            });
                });

        $('#dow_all').click(function() {
                                onClickDowAll(this);
                            });

    }

    //aggiunge il listener per l'evento change alla combo
    //per decidere se il job � ciclico o fisso.
    function addChangeListenerToRecurringCombo(){
        $('#TABCRONJOBS_is_recurring').change(function() {
                                setupHourType();
                            });
    }

    function addCheckbox(name, value) {
        var cblist = $('#cblist');
        var inputs = cblist.find('label');
        var id = inputs.length + 1;
        var container = $("#tr_"+Math.floor((id-1)/7));

        $('<td id=tdm_'+id+' class="daySelectorTd" >').appendTo(container);

        var tdContainer = $("#tdm_"+id);

        $('<label />', {id: 'dom_' + id, text: id, value: value, class: "daySelector"}).appendTo(tdContainer);
        $('</td>').appendTo(container);
        $('#dom_'+id).click(function() {
            onClickDom(this);
        });

    }

    function getSelectedDows() {

        var str = $("#TABCRONJOBS_dow").val();
        str = $.trim(str);
        items = str.split("");
        if (str.length == 0) {
            items = [];
        }

        return items;
    }

    function getSelectedDoms() {

        var str = $("#TABCRONJOBS_dom").val();
        str = $.trim(str);
        items = str.split("|");
        if (str.length == 0) {
            items = [];
        }

        return items;
    }

    function onClickDow(label) {

        disableDomSettings();

        id = label.id.substring(4);
        var items = getSelectedDows();

        if(!$("#dow_"+id).hasClass("checked")){

            $("#dow_"+id).addClass("checked");
            $("#tdw_"+id).addClass("checkedTdDow");
            if ($.inArray(id, items) == -1) {
                items.push(id);
                items = items.sort();
                str = items.join("");
                $("#TABCRONJOBS_dow").val(str);
            }
        }else if($("#dow_"+id).hasClass("checked")){

            $("#dow_"+id).removeClass("checked");
            $("#tdw_"+id).removeClass("checkedTdDow");
            if ($.inArray(id, items) != -1) {
                items = jQuery.grep(items, function (value) {
                    return value != id;
                });
                str = items.join("");
                $("#TABCRONJOBS_dow").val(str);
            }

        }
        if($("#TABCRONJOBS_dow").val()=="0123456")
        {
            $("#dow_all").addClass("checked");
            $("#tdw_all").addClass("checkedTdDow");
        }else{
            $("#dow_all").removeClass("checked");
            $("#tdw_all").removeClass("checkedTdDow");
        }


    }

    function onClickDowAll(label){
        if(!$("#dow_all").hasClass("checked")){
            $.each(dowlist,
            function (index, item) {
                if(!$("#dow_"+item.value).hasClass("checked")){
                    eventFire(document.getElementById('dow_'+item.value), 'click');
                }
            });
        }else{
            $.each(dowlist,
            function (index, item) {
                if($("#dow_"+item.value).hasClass("checked")){
                    eventFire(document.getElementById('dow_'+item.value), 'click');
                }
            });
        }
    }

    function disableDomSettings(){
        $.each(domlist,
            function (index, item) {
                if($("#dom_"+item.value).hasClass("checked")){
                    eventFire(document.getElementById('dom_'+item.value), 'click');
                }
            });
    }

    function sortNumber(a,b) {
        return a - b;
    }

    function onClickDom(label) {

        disableDowSettings();

        id = label.textContent;
        var items = getSelectedDoms();

        if(!$("#dom_"+id).hasClass("checked")){

            $("#dom_"+id).addClass("checked");
            $("#tdm_"+id).addClass("checkedTdDom");
            if ($.inArray(id, items) == -1) {
                items.push(id);
                items = items.sort(sortNumber);
                str = items.join("|");
                $("#TABCRONJOBS_dom").val(str);
            }

        }else if($("#dom_"+id).hasClass("checked")){

            $("#dom_"+id).removeClass("checked");
            $("#tdm_"+id).removeClass("checkedTdDom");
            if ($.inArray(id, items) != -1) {
                items = jQuery.grep(items, function (value) {
                    return value != id;
                });
                str = items.join("|");
                $("#TABCRONJOBS_dom").val(str);
            }

        }
        if(allDomAreChecked())
        {
            $("#dom_all").addClass("checked");
            $("#tdm_all").addClass("checkedTdDom");
        }else{
            $("#dom_all").removeClass("checked");
            $("#tdm_all").removeClass("checkedTdDom");
        }

    }

    function allDomAreChecked(){
        var allChecked = true;
        $.each(domlist,
            function (index, item) {
                if(!$("#dom_"+item.value).hasClass("checked")){
                    allChecked = false;
                }
            });
        return allChecked;
    }

    function onClickDomAll(label){
        if(!$("#dom_all").hasClass("checked")){
            $.each(domlist,
                function (index, item) {
                    if(!$("#dom_"+item.value).hasClass("checked")){
                        eventFire(document.getElementById('dom_'+item.value), 'click');
                    }
            });
        }else{
            $.each(domlist,
                function (index, item) {
                    if($("#dom_"+item.value).hasClass("checked")){
                        eventFire(document.getElementById('dom_'+item.value), 'click');
                    }
            });
        }
    }

    function disableDowSettings(){
        $.each(dowlist,
            function (index, item) {
                if($("#dow_"+item.value).hasClass("checked")){
                    eventFire(document.getElementById('dow_'+item.value), 'click');
                }
            });
    }

    function eventFire(el, etype){
        if (el.fireEvent) {
          el.fireEvent('on' + etype);
        } else {
          var evObj = document.createEvent('Events');
          evObj.initEvent(etype, true, false);
          el.dispatchEvent(evObj);
        }
    }

</script>


<div class="qm-form-body">

  <fieldset class="qm-fieldset L-column L-gap-24">
    <legend><%= oDec.k("edit_record_cronjobs_title") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>

      <label for="TABCRONJOBS_job_name"><%= oDec.k("edit_record_cronjobs_name") %></label>
      <div><%= oH.combo( "TABCRONJOBS_job_name", true, stWidth, oC.getLt( "DATI_cronjobs_list" ), 1, 0, oC.getS("selected_cronjob_name"))%></div>

      <label for="TABCRONJOBS_description"><%= oDec.k("edit_record_cronjobs_description") %></label>
      <div><%= oH.textBox( "TABCRONJOBS_description", true, stWidth, 500 ) %></div>

      <label for="TABCRONJOBS_is_recurring"><%= oDec.k("edit_record_cronjobs_is_recurring") %></label>
      <div><%= oH.combo( "TABCRONJOBS_is_recurring",  true, stWidth, "cyclicCronjobs", "1" ) %></div>

      <label for="TABCRONJOBS_hour_fixed"><%= oDec.k("edit_record_cronjobs_hour") %></label>
      <div>
        <%= oH.combo( "TABCRONJOBS_hour_fixed", true, stWidth, oC.getLt( "DATI_cronjobs_hours" ), 1, 0, "" ) %>
        <%= oH.hidden( "TABCRONJOBS_hour") %>
      </div>


      <label for=""><%= oDec.k("edit_record_cronjobs_every") %></label>
      <div><%= oH.combo( "TABCRONJOBS_hour_cyclic", true, stWidth, oC.getLt( "DATI_cronjobs_every" ), 1, 0, "" ) %></div>




      <label for=""><%= oDec.k("edit_record_cronjob_dow") %></label>
      <div>
        <table class="days-selector">
            <tr>
                <td id="tdw_1" class="daySelectorTd">
                    <label id="dow_1" text="" value="1" class="daySelector"><%=oDec.k("td_dm_monday_short")%></label>
                </td><td id="tdw_2" class="daySelectorTd">
                    <label id="dow_2" text="" value="2" class="daySelector"><%=oDec.k("td_dm_tuesday_short")%></label>
                </td><td id="tdw_3" class="daySelectorTd">
                    <label id="dow_3" text="" value="3" class="daySelector"><%=oDec.k("td_dm_wednesday_short")%></label>
                </td><td id="tdw_4" class="daySelectorTd">
                    <label id="dow_4" text="" value="4" class="daySelector"><%=oDec.k("td_dm_thursday_short")%></label>
                </td><td id="tdw_5" class="daySelectorTd">
                    <label id="dow_5" text="" value="5" class="daySelector"><%=oDec.k("td_dm_friday_short")%></label>
                </td><td id="tdw_6" class="daySelectorTd">
                    <label id="dow_6" text="" value="6" class="daySelector"><%=oDec.k("td_dm_saturday_short")%></label>
                </td><td id="tdw_0" class="daySelectorTd">
                    <label id="dow_0" text="" value="0" class="daySelector"><%=oDec.k("td_dm_sunday_short")%></label>
                </td><td id="tdw_all" class="daySelectorTd">
                    <label id="dow_all" text="" value="0" class="daySelector"><%=oDec.k("td_dm_all")%></label>
                </td>
            </tr>
        </table>
        <%= oH.hidden( "TABCRONJOBS_dow") %>
      </div>

      <label for=""><%= oDec.k("edit_record_cronjob_dom") %></label>
      <div>
        <table class="days-selector" id="cblist">
            <tr id="tr_0"></tr>
            <tr id="tr_1"></tr>
            <tr id="tr_2"></tr>
            <tr id="tr_3"></tr>
            <tr id="tr_4"></tr>
        </table>
        <%= oH.hidden( "TABCRONJOBS_dom") %>
      </div>

      <label for="TABCRONJOBS_enabled"><%= oDec.k("edit_record_cronjobs_isenabled") %></label>
      <div><%= oH.combo( "TABCRONJOBS_enabled", true, stWidth, "masterkeyAbilitato", "1" ) %></div>

      <label for="TABCRONJOBS_as_user"><%= oDec.k("edit_record_cronjobs_asuser") %></label>
      <div><%= oH.combo( "TABCRONJOBS_as_user", true, stWidth, oC.getLt( "DATI_cronjobs_users" ), 0, 1, "" ) %></div>

      <label for="TABCRONJOBS_lastrun_end"><%= oDec.k("edit_record_cronjobs_lastrun") %></label>
      <div><%= oH.textBox( "TABCRONJOBS_lastrun_end", false, stWidth, 100 ) %></div>

      <label for="TABCRONJOBS_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
      <div><%= oH.textBox( "TABCRONJOBS_nomedata_insert",  false, stWidth, 100 ) %></div>

      <label for="TABCRONJOBS_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
      <div><%= oH.textBox( "TABCRONJOBS_nomedata_update",  false, stWidth, 100 ) %></div>

</div>

<div class="L-row uk-flex-between">
    <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCRONJOBS_cron_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCRONJOBS_cron_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCRONJOBS_cron_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCRONJOBS_name")+"','"+oC.getS("TABCRONJOBS_cron_id")+"')", "Q-button-secondary") %>
    </div>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
</div>

    <h2><%= oDec.k("edit_record_cronjob_lastruns") %></h2>
    <%
        SmartTable stT = new SmartTable( "x", oC.getLt( "TABCRONJOBS_lastruns" ) );

        stT.addColumn( oDec.k("edit_record_cronjobs_lastrunaction"), 5  , "200" );
        stT.addColumn( oDec.k("edit_record_cronjobs_lastruntext"),  1  , "100" );
        stT.addColumn( oDec.k("edit_record_cronjobs_lastrunstatus"),  2 , "100" );
        stT.addColumn( oDec.k("edit_record_cronjobs_lastrunduration"),  3  , "100" );
        stT.addColumn( oDec.k("edit_record_cronjobs_lastrundate"),   4       , "100" );

        if ( stT.numRows() > 0 ) {
            stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
            out.println( stT.render() );
        } else {
            out.println( "<font color='red'>"+oDec.k("edit_record_cronjobs_nolastruns")+"</font>");
        }
    %>
  </fieldset>

</div>



<%--
<center>
    <h1><%= oDec.k("edit_record_cronjobs_title") %></h1>
    <table border="0" class="ST">
        <tr><td>
                <%= oDec.k("edit_record_cronjobs_name") %>
            </td><td colspan="2">
                <%= oH.combo( "TABCRONJOBS_job_name", true, stWidth, oC.getLt( "DATI_cronjobs_list" ), 1, 0, oC.getS("selected_cronjob_name") ) %>
            </td></tr>

        <tr><td valign="top">
                <%= oDec.k("edit_record_cronjobs_description") %>
            </td><td colspan="2">
                <%= oH.textBox( "TABCRONJOBS_description", true, stWidth, 500 ) %>
            </td></tr>
        <tr><td valign="top">
                <%= oDec.k("edit_record_cronjobs_is_recurring") %>
            </td><td colspan="2">
                <%= oH.combo( "TABCRONJOBS_is_recurring",  true, stWidth, "cyclicCronjobs", "1" ) %>
            </td></tr>
        <tr id="hour"><td>
                <%= oDec.k("edit_record_cronjobs_hour") %>
            </td><td colspan="2">
                <%= oH.combo( "TABCRONJOBS_hour_fixed", true, stWidth, oC.getLt( "DATI_cronjobs_hours" ), 1, 0, "" ) %>
                <%= oH.hidden( "TABCRONJOBS_hour") %>
            </td></tr>
        <tr id="every"><td>
                <%= oDec.k("edit_record_cronjobs_every") %>
            </td><td colspan="2">
                <%= oH.combo( "TABCRONJOBS_hour_cyclic", true, stWidth, oC.getLt( "DATI_cronjobs_every" ), 1, 0, "" ) %>
            </td></tr>

        <tr><td>

                <%= oDec.k("edit_record_cronjob_dow") %>

            </td><td>
                <!--
                <div>
                        <select id="ddDow" CLASS='Input' STYLE="width: 320px;">
                        </select>

                        <button id="addDow" class='actButton' onclick="onClickDow(); return false;" disabled >Add</button>
                        <button id="delDow" class='actButton' onclick="onDelDow(); return false;" disabled >Del</button>
                </div>

                <div id="dowTable">
                </div>-->
                <table class="days-selector">
                    <tr>
                        <td id="tdw_1" class="daySelectorTd">
                            <label id="dow_1" text="" value="1" class="daySelector"><%=oDec.k("td_dm_monday_short")%></label>
                        </td><td id="tdw_2" class="daySelectorTd">
                            <label id="dow_2" text="" value="2" class="daySelector"><%=oDec.k("td_dm_tuesday_short")%></label>
                        </td><td id="tdw_3" class="daySelectorTd">
                            <label id="dow_3" text="" value="3" class="daySelector"><%=oDec.k("td_dm_wednesday_short")%></label>
                        </td><td id="tdw_4" class="daySelectorTd">
                            <label id="dow_4" text="" value="4" class="daySelector"><%=oDec.k("td_dm_thursday_short")%></label>
                        </td><td id="tdw_5" class="daySelectorTd">
                            <label id="dow_5" text="" value="5" class="daySelector"><%=oDec.k("td_dm_friday_short")%></label>
                        </td><td id="tdw_6" class="daySelectorTd">
                            <label id="dow_6" text="" value="6" class="daySelector"><%=oDec.k("td_dm_saturday_short")%></label>
                        </td><td id="tdw_0" class="daySelectorTd">
                            <label id="dow_0" text="" value="0" class="daySelector"><%=oDec.k("td_dm_sunday_short")%></label>
                        </td><td id="tdw_all" class="daySelectorTd">
                            <label id="dow_all" text="" value="0" class="daySelector"><%=oDec.k("td_dm_all")%></label>
                        </td>
                    </tr>
                </table>

                <%= oH.hidden( "TABCRONJOBS_dow") %>

            </td></tr>

        <tr><td>
                <%= oDec.k("edit_record_cronjob_dom") %>
            </td><td>

                <table class="days-selector" id="cblist">
                    <tr id="tr_0"></tr>
                    <tr id="tr_1"></tr>
                    <tr id="tr_2"></tr>
                    <tr id="tr_3"></tr>
                    <tr id="tr_4"></tr>
                </table>
                <%= oH.hidden( "TABCRONJOBS_dom") %>

            </td></tr>



        <tr><td>
                <%= oDec.k("edit_record_cronjobs_isenabled") %>
            </td><td colspan="2">
                <%= oH.combo( "TABCRONJOBS_enabled", true, stWidth, "masterkeyAbilitato", "1" ) %>
            </td></tr>
        <tr><td>
                <%= oDec.k("edit_record_cronjobs_asuser") %>
            </td><td colspan="2">
                <%= oH.combo( "TABCRONJOBS_as_user", true, stWidth, oC.getLt( "DATI_cronjobs_users" ), 0, 1, "" ) %>
            </td></tr>
        <tr><td>
                <%= oDec.k("edit_record_cronjobs_lastrun") %>
            </td><td colspan="2">
                <%= oH.textBox( "TABCRONJOBS_lastrun_end", false, stWidth, 100 ) %>
            </td></tr>

        <tr><td colspan="3">&nbsp;</td></tr>
        <tr><td>
                <%= oDec.k("edit_record_createdby") %>
            </td><td colspan="2">
                <%= oH.textBox( "TABCRONJOBS_nomedata_insert",  false, stWidth, 100 ) %>
            </td></tr>
        <tr><td>
                <%= oDec.k("edit_record_lastupdate") %>
            </td><td colspan="2">
                <%= oH.textBox( "TABCRONJOBS_nomedata_update",  false, stWidth, 100 ) %>
            </td></tr>

    </table>
    <p>
        <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
        <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCRONJOBS_cron_id") > 0 ), "", stVerbPrefix + "_edit", "N") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCRONJOBS_cron_id") > 0 ), "", stVerbPrefix + "_edit", "C") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCRONJOBS_cron_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCRONJOBS_name")+"','"+oC.getS("TABCRONJOBS_cron_id")+"')") %>

    <p>
    <h2><%= oDec.k("edit_record_cronjob_lastruns") %></h2>
    <%
        SmartTable stT = new SmartTable( "x", oC.getLt( "TABCRONJOBS_lastruns" ) );

        stT.addColumn( oDec.k("edit_record_cronjobs_lastrunaction"), 5  , "200" );
        stT.addColumn( oDec.k("edit_record_cronjobs_lastruntext"),  1  , "100" );
        stT.addColumn( oDec.k("edit_record_cronjobs_lastrunstatus"),  2 , "100" );
        stT.addColumn( oDec.k("edit_record_cronjobs_lastrunduration"),  3  , "100" );
        stT.addColumn( oDec.k("edit_record_cronjobs_lastrundate"),   4       , "100" );

        if ( stT.numRows() > 0 ) {
            out.println( stT.render() );
        } else {
            out.println( "<font color='red'>"+oDec.k("edit_record_cronjobs_nolastruns")+"</font>");
        }


    %>


</center>
--%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_reports_export_edit.jsp,v $
// Revision 1.5  2015/09/28 08:41:13  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2015/07/24 07:54:51  lenz
// Typo
//
// Revision 1.3  2014/05/19 09:46:35  lenz
// Merge FRANKIE
//
// Revision 1.2.4.1  2014/05/13 13:33:34  mirkox
// Nuova Grafica
//
// Revision 1.2  2013/02/15 11:16:56  marcos
// #1753: mail and export reports to PDF and Excel - Added orientation and header/footer with report time export
//
// Revision 1.1  2013/02/14 10:22:28  marcos
// #1753: mail and export reports to PDF and Excel
//
%>
