<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataExporters.DataExporterFactory" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>

<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_cronjobs";
    final String stTabPrefix  = "TABCRONJOBS";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            private HtmlGenerator obH = null;
            private LDecoder oDec = null;
            private LUser oU = null;
            public buttonModificaDecor( HtmlGenerator oHx, LDecoder oDecx, LUser oUx) {
                obH = oHx;
                oDec = oDecx;
                oU = oUx;
            }
            public String decorate(LTable lt, int r, int c, String width) throws TechException {

                String stTesto = lt.getS(r, c );
                String stButtonEdit = obH.imgButton( "../img/icons_silk/pencil.png", "Edit queue", true, "", stVerbPrefix + "_edit", stTesto );
                String stButton = stButtonEdit;
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
    class yesNoDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int yesOrNo = lt.getI(r, c );
                String stTesto = "<img src='../img/icons_silk/bru_notinuse.png' width=16 height=16>";
                if ( yesOrNo > 0 ) {
                    stTesto = "<img src='../img/icons_silk/accept.png' width=16 height=16>";
                }
                return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
            }
    };
    class hourDecor implements TpfCellDecoratorInterface{

        public hourDecor(){};

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String str = lt.getS(r,c);
                String hh =  str.substring(0,2);
                String mm = str.substring(2,4);
                String ss = str.substring(4,6);
                return  "  <td class='stData' style='width: " + width + ";'>" + hh + ":" + mm + ":" + ss + "</td>\n";
        }
    };
    class domDecor implements TpfCellDecoratorInterface{

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String str = lt.getS(r,c);
                str = str.replace("|", ", ");

                return  "  <td class='stData' style='width: " + width + ";'>" + str + "</td>\n";
        }
    };
    class isRunningDecor implements TpfCellDecoratorInterface{

        public isRunningDecor(){};

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            int isRunning = lt.getI(r,c);
            String stTesto = "";
            if(isRunning == 1){
                stTesto = "<img src='../img/icons_silk/accept.png' width=16 height=16>";
            }else{
                stTesto = "<img src='../img/icons_silk/bru_notinuse.png' width=16 height=16>";
            }

            return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
        }
    };
    class dowDecor implements TpfCellDecoratorInterface{

        LTable daysOfWeek;
        LDecoder oDec;

        public dowDecor(LTable daysOfWeek, LDecoder oDec){
            this.daysOfWeek = daysOfWeek;
            this.oDec = oDec;
            };

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String str = lt.getS(r,6);

                String[] days = new String[0];
                if(str.length()>0){
                    days = str.split("");
                }
                String result = "";
                int code = -1;
                for( int i = 0 ; i < days.length; i++){
                    code = U.cint(days[i]);
                    if(result.equals("")){
                        result += daysOfWeek.getS(code, 1);
                    }else{
                        result += ", " + daysOfWeek.getS(code, 1);
                    }
                }

                return  "  <td class='stData' style='width: " + width + ";'>" + result + "</td>\n";
        }
    };
    class userDecor implements TpfCellDecoratorInterface{

        LTable ltUsers;

        public userDecor(LTable ltUsers){
            this.ltUsers = ltUsers;
        };

        public String decorate(LTable lt, int r, int c, String width) throws TechException {

            int id = lt.getI(r,c);
            String result = "#"+id;
            for(int i = 0 ; i < ltUsers.numRows(); i++){
                if(ltUsers.getI(i,0)==id){
                    result = ltUsers.getS(i,1);
                }
            }

            return  "  <td class='stData' style='width: " + width + ";'>" + result + "</td>\n";
        }
    };

%>
<script>
    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
        document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
        //setFocus("<%= PagedTransactor.getQueryField( stTabPrefix ) %>");
    }

    var page_enableAdminSearch = true;
    var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
    var stVerbPrefix = "<%=stVerbPrefix%>";
</script>

<div class="qm-form-body">
  <fieldset class="qm-fieldset">
    <legend><%=oDec.k("edit_cronjobs_title")%></legend>

    <div class="qm-editor-search">

      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

      <div class="qm-editor-button"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
      <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
    </div>
  </fieldset>
</div>

<div class="qm-form-body-wide">
  <%
      SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          it.loway.app.queuemetrics.configurazione.cfg2.ptCronjobs.SORTINGS );

      LTable ltDaysOfWeek = oC.getLt("DATI_cronjobs_dow");
      LTable ltUsers = oC.getLt("DATI_users");

      stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "25px", new selectDecor( ) );
      stT.addColumn( oDec.k("edit_cronjobs_description"),         3   , "", "des" );
      stT.addColumn( oDec.k("edit_cronjobs_name"),         13   , "", "" );
      stT.addColumn( oDec.k("edit_cronjobs_hour"),        5   , "", "hou", new hourDecor());
      stT.addColumn( oDec.k("edit_cronjobs_dow"),         6   , "", "", new dowDecor(ltDaysOfWeek, oDec));
      stT.addColumn( oDec.k("edit_cronjobs_dom"),    7   , "", "", new domDecor());
      stT.addColumn( oDec.k("edit_cronjobs_asuser"),    12   , "", "", new userDecor(ltUsers));
      stT.addColumn( oDec.k("edit_cronjobs_isrecurring"),    4   , "60px", "rec", new yesNoDecor());
      stT.addColumn( oDec.k("edit_cronjobs_isenabled"),    8   , "60px", "enl", new yesNoDecor());
      stT.addColumn( oDec.k("edit_cronjobs_isrunning"),    10   , "60px", "run", new isRunningDecor());
      stT.addColumn( oDec.k("edit_cronjobs_lastrun"),    9   , "", "lre");
      stT.addColumn( oDec.k("edit_cronjobs_lastrun_state"),    11   , "", "lrs");
      stT.addColumn( "&nbsp;",        0   , "25px", new  buttonModificaDecor( oH, oDec, oU ) );

      if ( stT.getNRigheTotaliQuery() > 0 ) {
  %>
        <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
  <%
      }

  if ( stT.numRows() > 0 ) {
      stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
      out.println( stT.render() );
  }

  if ( stT.getNRigheTotaliQuery() == 0 ) {
%>
  <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
<%
  } else { // ci sono righe
%>
  <%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>
<%
  };
%>
</div>

<div class="qm-form-body">
  <div class="qm-editor-button">
    <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %></div>
    <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
  </div>
</div>


<%--


<center>
    <table>
        <tr>
            <td style="width: 33%;"></td>
            <td style="width: 33%; text-align: center;">
                <h1><%=oDec.k("edit_cronjobs_title")%></h1>
            </td>

            <td style="width: 33%; text-align: right">

            </td>
        </tr>
    </table>

    <label></label>
      <div>
        <%= oH.textBox( PagedTransactor.getQueryField( stTabPrefix ), true, "vertical-align:bottom;", 100)  %>
        <%= oH.button( "", true, "width: 32px; height:32px; vertical-align:bottom; border:none; box-shadow:none; background: url("+stWebHere+"/img/magnifierbw32.png);", stVerbPrefix + "_list", "WithQuery" ) %>
      </div>

      <div><%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %></div>
      <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %></div>
    </div>

    <p>
        <%
            SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
                it.loway.app.queuemetrics.configurazione.cfg2.ptCronjobs.SORTINGS );

            LTable ltDaysOfWeek = oC.getLt("DATI_cronjobs_dow");
            LTable ltUsers = oC.getLt("DATI_users");

            stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "25px", new selectDecor( ) );
            stT.addColumn( oDec.k("edit_cronjobs_description"),         3   , "", "des" );
            stT.addColumn( oDec.k("edit_cronjobs_name"),         13   , "", "" );
            stT.addColumn( oDec.k("edit_cronjobs_hour"),        5   , "", "hou", new hourDecor());
            stT.addColumn( oDec.k("edit_cronjobs_dow"),         6   , "", "", new dowDecor(ltDaysOfWeek, oDec));
            stT.addColumn( oDec.k("edit_cronjobs_dom"),    7   , "", "", new domDecor());
            stT.addColumn( oDec.k("edit_cronjobs_asuser"),    12   , "", "", new userDecor(ltUsers));
            stT.addColumn( oDec.k("edit_cronjobs_isrecurring"),    4   , "60px", "rec", new yesNoDecor());
            stT.addColumn( oDec.k("edit_cronjobs_isenabled"),    8   , "60px", "enl", new yesNoDecor());
            stT.addColumn( oDec.k("edit_cronjobs_isrunning"),    10   , "60px", "run", new isRunningDecor());
            stT.addColumn( oDec.k("edit_cronjobs_lastrun"),    9   , "", "lre");
            stT.addColumn( oDec.k("edit_cronjobs_lastrun_state"),    11   , "", "lrs");
            stT.addColumn( "&nbsp;",        0   , "25px", new  buttonModificaDecor( oH, oDec, oU ) );
            if ( stT.getNRigheTotaliQuery() > 0 ) {
        %>

    <table  id="tabHeader" style="margin-bottom: 15px;">
        <tr>
            <td align="left" >
                <%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
            </td><td align="center">
                <%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
                <%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
            </td><td align="right">
                <%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
            </td>
        </tr>
    </table>

    <%
        }

        if ( stT.numRows() > 0 ) {
            out.println( stT.render() );
        }
        if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
    &nbsp;
    <p>
        <%= oDec.k("editor_no_items_found") %>
    <p>
        &nbsp;
        <%
            } else { // ci sono righe
        %>
    <table  id="tabFooter">
        <tr><td align="left" >
                <%= oDec.k("editor_items_found") %> <%= stT.getNRigheTotaliQuery() %>
            </td><td align="center">
                <%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "width: 60px", stVerbPrefix + "_list", "P" ) %>
                <%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(), "width: 60px", stVerbPrefix + "_list", "N" ) %>
            </td><td align="right">
                <%= oDec.k("editor_n_page") %> <%= stT.getPaginaCorrenteQuery() %> <%= oDec.k("editor_page_of") %> <%= stT.getNPagineTotaliQuery() %>
            </td></tr>
    </table>
    <%
        };
    %>
    <div>
        <%= oH.button( oDec.k("editor_create_new"), true, "width: 100px", stVerbPrefix + "_edit", "N") %>
        <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')") %>
    </div>
</center>
--%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_reports_export_list.jsp,v $
// Revision 1.4  2015/09/28 08:41:13  marcos
// jsp/jspf refactoring.
//
// Revision 1.3  2014/09/24 08:55:14  marcos
// Cosmetic: tables are not properly rendered by some browser because the size is not specified in pixel units.
//
// Revision 1.2  2014/05/19 09:46:35  lenz
// Merge FRANKIE
//
// Revision 1.1.4.1  2014/05/13 13:33:36  mirkox
// Nuova Grafica
//
// Revision 1.1  2013/02/14 10:22:28  marcos
// #1753: mail and export reports to PDF and Excel
//
%>
