<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );


    //--------------------------------------------------------------

    class CheckBoxDecor implements TpfCellDecoratorInterface {
            String stName = "";
            public CheckBoxDecor( String name) { stName = name; };

            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                boolean boChecked = (lt.getI(r, c ) != 0);
                StringBuffer sb = new StringBuffer();
                sb.append( "<input type='checkbox' ");
                sb.append( boChecked ? "CHECKED" : "" );
                sb.append( " name='I_").append( stName ).append( ";" ).append( r ).append( "' " );
                sb.append( " value='").append( lt.getI(r, 2 ) ).append("' >" );

                return  "  <td class='stData'>" + sb.toString() + "</td>\n";
            }
    };


%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
}
</script>

<div class="qm-form-body">
  <h1 class="qm-qadmh1"><%= oDec.k("edit_queueagents_title") %> <%= oC.getS("STAMPA_coda_scelta") %></h1>
  <%
      // Vedi bug #5390 - non li posso sortare.
      SmartTable T = new SmartTable( "QUEUEAGENTS", oC.getLt("DATI_ag_membri") );
      T.addSortableColumn( oDec.k("edit_queueagents_code"), 1, "100", SmartTable.SORT_NONE );
      T.addSortableColumn( oDec.k("edit_record_description"), 0, "200", SmartTable.SORT_NONE );
      T.addColumn( oDec.k("edit_queueagents_main") +"&nbsp;",  3, "50", new CheckBoxDecor( "m" ) );
      T.addColumn( oDec.k("edit_queueagents_wrap")+"&nbsp;",  4, "50", new CheckBoxDecor( "w" ) );
      T.addColumn( oDec.k("edit_queueagents_spill")+"&nbsp;", 5, "50", new CheckBoxDecor( "s" ) );
      T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
      out.println( T.render() );

  %>
  <div class="L-row uk-flex-between">
    <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_backtoallqueues"), true, "", "qm_cfg2_queues_list", "E", "Q-button-tertiary") %>
    <%= oH.button( oDec.k("edit_record_save"), true, "", "qm_cfg2_queues_agents_save", "") %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_queues_agents.jsp,v $
// Revision 1.6  2015/09/28 08:41:13  marcos
// jsp/jspf refactoring.
//
// Revision 1.5  2015/07/14 15:33:02  marcos
// Rollback
//
// Revision 1.3  2014/05/19 09:46:35  lenz
// Merge FRANKIE
//
// Revision 1.2.8.1  2014/05/13 13:33:36  mirkox
// Nuova Grafica
//
// Revision 1.2  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.1  2007/10/01 16:05:35  lenz
// Integrazione con nuovo editor code-agenti.
//
//
//
//
%>
