<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_reports_export";
    final String stTabPrefix  = "TABREPORTS_EXPORT";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
%>

<script >
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus( "TABREPORTS_EXPORT_nome" );
}
</script>


<div class="qm-form-body">
    <fieldset class="qm-fieldset L-column L-gap-24">
    <legend><%= oDec.k("edit_record_export_title") %></legend>

    <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>

        <label for="TABREPORTS_EXPORT_name"><%= oDec.k("edit_record_export_titlefield") %></label>
        <div><%= oH.textBox( "TABREPORTS_EXPORT_name", true, stWidth, 50 ) %></div>

    <%--
        <label for="TABREPORTS_EXPORT_period"><%= oDec.k("edit_record_export_period") %></label>
        <div><%= oH.combo( "TABREPORTS_EXPORT_period", true, stWidth, oC.getLt( "DATI_report_export_periods" ), 0, 1, "" ) %></div>

        <label for="TABREPORTS_EXPORT_queue_id"><%= oDec.k("edit_record_export_queue") %></label>
        <div><%= oH.combo( "TABREPORTS_EXPORT_queue_id", true, stWidth, FA.filterSelectableQueues(oU, oC.getLt( "DATI_code" )), 2, 0, "" ) %></div>
    --%>


        <label for="TABREPORTS_EXPORT_report_id"><%= oDec.k("edit_record_export_reportname") %></label>
        <div><%= oH.combo( "TABREPORTS_EXPORT_report_id", true, stWidth, oC.getLt( "DATI_dynpages_qmreports" ), 0, 1, "" ) %></div>

        <label for="TABREPORTS_EXPORT_export_type"><%= oDec.k("edit_record_export_reporttype") %></label>
        <div><%= oH.combo( "TABREPORTS_EXPORT_export_type", true, stWidth, oC.getLt( "DATI_report_export_type" ), 0, 1, "" ) %></div>

        <label for="TABREPORTS_EXPORT_orientation"><%= oDec.k("edit_record_export_orientation") %></label>
        <div><%= oH.combo( "TABREPORTS_EXPORT_orientation", true, stWidth, oC.getLt( "DATI_report_export_orientation" ), 0, 1, "" ) %></div>


        <label for="TABREPORTS_EXPORT_security_key"><%= oDec.k("edit_record_export_visibility") %></label>
        <div><%= oH.textBox( "TABREPORTS_EXPORT_security_key", true, stWidth, 500 ) %></div>

        <label for="TABREPORTS_EXPORT_email_list"><%= oDec.k("edit_record_export_emails") %>
        <br><small class="uk-text-muted">Separate with '|'</small></label>
        <div><%= oH.textArea( "TABREPORTS_EXPORT_email_list", true, stWidth + "; height: 60px;", 500 ) %></div>

        <label for="TABREPORTS_EXPORT_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
        <div><%= oH.textBox( "TABREPORTS_EXPORT_nomedata_insert",  false, stWidth, 100 ) %></div>

        <label for="TABREPORTS_EXPORT_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
        <div><%= oH.textBox( "TABREPORTS_EXPORT_nomedata_update",  false, stWidth, 100 ) %></div>
    </div>

    <div class="L-row uk-flex-between">
        <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
        <div class="L-row L-gap-16">
            <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABREPORTS_EXPORT_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
            <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABREPORTS_EXPORT_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
            <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABREPORTS_EXPORT_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABREPORTS_EXPORT_name")+"','"+oC.getS("TABREPORTS_EXPORT_id")+"')", "Q-button-secondary") %>
        </div>
        <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>

    </fieldset>
</div>



<%--
<center>
<h1><%= oDec.k("edit_record_export_title") %></h1>
<table border="0" class="ST">
<tr><td>
    <%= oDec.k("edit_record_export_titlefield") %>
</td><td colspan="2">
    <%= oH.textBox( "TABREPORTS_EXPORT_name", true, stWidth, 50 ) %>
</td></tr>
<tr><td valign="top">
    <%= oDec.k("edit_record_export_period") %>
</td><td colspan="2">
    <%= oH.combo( "TABREPORTS_EXPORT_period", true, stWidth, oC.getLt( "DATI_report_export_periods" ), 0, 1, "" ) %>
</td></tr>
<tr><td valign="top">
    <%= oDec.k("edit_record_export_queue") %>
</td><td colspan="2">
    <%= oH.combo( "TABREPORTS_EXPORT_queue_id", true, stWidth, FA.filterSelectableQueues(oU, oC.getLt( "DATI_code" )), 2, 0, "" ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_export_reportname") %>
</td><td colspan="2">
    <%= oH.combo( "TABREPORTS_EXPORT_report_id", true, stWidth, oC.getLt( "DATI_dynpages_qmreports" ), 0, 1, "" ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_export_reporttype") %>
</td><td colspan="2">
    <%= oH.combo( "TABREPORTS_EXPORT_export_type", true, stWidth, oC.getLt( "DATI_report_export_type" ), 0, 1, "" ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_export_orientation") %>
</td><td colspan="2">
    <%= oH.combo( "TABREPORTS_EXPORT_orientation", true, stWidth, oC.getLt( "DATI_report_export_orientation" ), 0, 1, "" ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_export_visibility") %>
</td><td colspan="2">
    <%= oH.textBox( "TABREPORTS_EXPORT_security_key", true, stWidth, 500 ) %>
</td></tr>
<tr><td valign="top">
    <%= oDec.k("edit_record_export_emails") %>
    <br><small><font color="gray">Separate with '|'</font></small>
</td><td colspan="2">
    <%= oH.textArea( "TABREPORTS_EXPORT_email_list", true, stWidth + "; height: 60px;", 500 ) %>
</td></tr>
<tr><td colspan="3">&nbsp;</td></tr>
<tr><td>
 <%= oDec.k("edit_record_createdby") %>
</td><td colspan="2">
<%= oH.textBox( "TABREPORTS_EXPORT_nomedata_insert",  false, stWidth, 100 ) %>
</td></tr>
<tr><td>
<%= oDec.k("edit_record_lastupdate") %>
</td><td colspan="2">
<%= oH.textBox( "TABREPORTS_EXPORT_nomedata_update",  false, stWidth, 100 ) %>
</td></tr>
</table>
<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABREPORTS_EXPORT_id") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABREPORTS_EXPORT_id") > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABREPORTS_EXPORT_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABREPORTS_EXPORT_name")+"','"+oC.getS("TABREPORTS_EXPORT_id")+"')") %>

</center>
--%>
<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_reports_export_edit.jsp,v $
// Revision 1.5  2015/09/28 08:41:13  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2015/07/24 07:54:51  lenz
// Typo
//
// Revision 1.3  2014/05/19 09:46:35  lenz
// Merge FRANKIE
//
// Revision 1.2.4.1  2014/05/13 13:33:34  mirkox
// Nuova Grafica
//
// Revision 1.2  2013/02/15 11:16:56  marcos
// #1753: mail and export reports to PDF and Excel - Added orientation and header/footer with report time export
//
// Revision 1.1  2013/02/14 10:22:28  marcos
// #1753: mail and export reports to PDF and Excel
//
%>
